2004-09-12  Marco Pesenti Gritti  <marco@gnome.org>

	* src/toolbar.c:

	Use SAME_APP flag for drag destination. Fix #152388

2004-09-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:

	Install ephy-embed-factory.h.

2004-09-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-factory.c:

	Change documentation accordingly.

2004-09-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(import_dialog_response_cb), (ephy_bookmarks_editor_dispose):

	Add another mimetype to import types file filter.

2004-09-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-factory.c: (ephy_embed_factory_new_object):
	* embed/ephy-embed-factory.h:
	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_embed_single):
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download):
	* src/ephy-tab.c: (save_property_url), (ephy_tab_init):
	* src/popup-commands.c: (save_property_url),
	(popup_cmd_set_image_as_background):
	* src/window-commands.c: (window_cmd_file_save_as),
	(save_temp_source):

	Just pass a GType to ephy_embed_factory_new_object().

2004-09-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-topics-selector.c: (toggle_topic),
	(node_toggled_cb), (ephy_topics_selector_new_topic):

	Select the topic when adding it. Fix #151925

2004-09-08  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/eggdropdowntoolbutton.c:
	(egg_dropdown_tool_button_set_arrow_tooltip):
	* lib/egg/eggdropdowntoolbutton.h:

	Update from egg.

2004-09-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (save_yourself_cb):

	Use rm -f as remove command, not rm -r. Reported by Nikolai Weibull.

2004-09-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-navigation-action.c: (new_history_menu_item),
	(activate_back_or_forward_menu_item_cb),
	(activate_up_menu_item_cb), (build_back_or_forward_menu),
	(build_up_menu), (menu_activated_cb), (connect_proxy),
	(ephy_navigation_action_init),
	(ephy_navigation_action_set_property),
	(ephy_navigation_action_get_property),
	(ephy_navigation_action_class_init):

	Simplify and de-cruft this code a bit.

2004-09-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix "trunk" version number.

	* lib/egg/eggdropdowntoolbutton.c:
	(egg_dropdown_tool_button_set_arrow_tooltip), (menu_position_func),
	(egg_dropdown_tool_button_set_menu),
	(egg_dropdown_tool_button_get_menu):
	* lib/egg/eggdropdowntoolbutton.h:

	Fix menu positioning, menu ownership and remove unnecessary functions
	from the .h.

	* lib/widgets/Makefile.am:
	R lib/widgets/ephy-arrow-toolbutton.c:
	R lib/widgets/ephy-arrow-toolbutton.h:

	Remove EphyArrowToolButton.

	* src/ephy-navigation-action.c: (menu_activated_cb),
	(connect_proxy), (ephy_navigation_action_class_init),
	(ephy_navigation_action_init):

	Port to EggDropdownToolButton.

2004-09-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/Makefile.am:
	R lib/egg/eggmarshalers.c:
	R lib/egg/eggmarshalers.h:

	Remove auto-generated sources from cvs.

2004-09-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/Makefile.am:
	* lib/egg/update-from-egg.sh:
	A lib/egg/eggdropdowntoolbutton.c:
	A lib/egg/eggdropdowntoolbutton.h:

	Add Dropdown tool button from egg.

2004-09-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_key_press_event):

	Use the gtk setting for the menubar accel instead of hardcoding F10.

2004-09-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add "ml" to ALL_LINGUAS.

2004-09-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/toolbar.c: (toolbar_setup_actions):

	Also use "visible-overflown = FALSE" for favicon action too.

2004-09-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-location-action.c: (connect_proxy):
	* src/toolbar.c: (toolbar_setup_actions):

	Use "visible-overflown = FALSE" for the location entry action, instead
	of manually setting overflow menu item to NULL.

2004-09-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-go-action.c: (connect_proxy):

	Only connect clicked signal on a button, not on a menu item
	proxy. Same as bug #141548, but for the Go action.

2004-09-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-navigation-action.c: (connect_proxy):

	Only connect menu-activated signal to an arrow toolbutton,
	not on menu items. Fixes bug #151648.

2004-09-04  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c: (show_embed_popup):

	Separate context menu for email links. Fixes bug #144244.

2004-09-04  Marco Pesenti Gritti  <marco@gnome.org>

	* data/art/Makefile.am:
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-notebook.c: (build_tab_label):

	Use a small custom icon for tabs close instead of cutting
	the image with set_size_request. Fix #144772

2004-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.h:

	Remove leftover get_active_window (which has been on EphySession
	for a long time). Noticed by Jean-François Rameau.

2004-09-02  Christian Persch  <chpe@cvs.gnome.org>

	* data/art/Makefile.am:
	R data/art/epiphany-secure.png:
	R data/art/epiphany-unsecure.png:
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-statusbar.c: (ephy_statusbar_set_security_state):
	* src/ephy-statusbar.h:
	* src/ephy-window.c: (sync_tab_security):

	Use stock icons for the security padlock.

2004-09-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_title):
	* src/ephy-tabs-menu.c: (connect_proxy_cb),
	(ephy_tabs_menu_set_window), (ephy_tabs_menu_class_init),
	(ephy_tabs_menu_new):

	Ellipsize the menu item in the tabs menu, instead of
	shortening the string itself.

2004-08-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (show_status_icon):

	Fix status icon. Fixes bug #151501.

2004-08-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-encodings.c:
	* embed/ephy-encodings.h:

	Remove some cruft.

2004-08-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):
	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_startup),
	(ephy_shell_finalize):
	* src/ephy-shell.h:

	Remove -s mode which I forgot to remove when removing the
	nautilus view.

2004-08-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (update_download_row),
	(progress_cell_data_func), (downloader_view_build_ui):
	* embed/ephy-download.h:
	* embed/mozilla/MozDownload.cpp:
	* lib/widgets/Makefile.am:
	R lib/widgets/ephy-cell-renderer-progress.c:
	R lib/widgets/ephy-cell-renderer-progress.h:

	Remove EphyCellRendererProgress.

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	* autogen.sh:
	A configure.ac:
	R configure.in:

	Modernise configure.

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	R lib/widgets/ephy-label.h:
	R lib/widgets/ephy-label.c:
	* lib/widgets/Makefile.am:
	* src/ephy-notebook.c: (sync_label), (build_tab_label):
	* src/pdm-dialog.c: (show_cookies_properties):
	* src/prefs-dialog.c: (create_download_path_label),
	(download_path_response_cb):

	Remove EphyLabel.

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* data/.cvsignore:
	R data/epiphany-1.4.pc.in:
	A data/epiphany-1.6.pc.in:

	Epiphany 1.5.

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Post-release version bump.

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/tmpl/ephy-embed.sgml:

	=== Release 1.3.8 ===

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.in:

	Version 1.3.8.

2004-08-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (sanitize_filename),
	(ephy_print_get_print_info):

	Make sure the filename to print to doesn't contain slashes.
	Fixes bug #148849.

2004-08-29  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs.js:

	Disable SSLv2 by default.

2004-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* help/ja/legal.xml:

	Translate this too. Translation by 佐藤 暁 (SATOH Satoru).

2004-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Updated.

2004-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* help/Makefile.am:
	* help/ja/Makefile.am:
	* help/ja/epiphany-ja.omf:
	* help/ja/epiphany.xml:
	* help/ja/figures/ephy-addressbar-smartbookmark-screenshot.png:
	* help/ja/figures/ephy-bookmarkbar-smartbookmark-screenshot.png:
	* help/ja/figures/ephy-history-window-screenshot.png:
	* help/ja/figures/ephy-screenshot.png:
	* help/ja/legal.xml:

	Added japanese translation of the manual.
	Translated by 佐藤 暁 (SATOH Satoru) <ss at gnome.gr.jp>.

2004-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (popup_menu_cb),
	(ephy_topic_action_new):

	popup_menu signal handler has to return gboolean, not void.

2004-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (popup_menu_cb),
	(ephy_bookmark_action_finalize):

	popup_menu signal handler has to return gboolean, not void.

2004-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarksbar-model.c:
	(ephy_bookmarksbar_model_init), (ephy_bookmarksbar_model_dispose),
	(ephy_bookmarksbar_model_finalize):

	Remove the save timeout on dispose.

2004-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_init):

	Make sure to instantiate the toolbars model before instantiating the
 	bookmarksbar model; otherwise forwarding doesn't work.
	Fixes bug #151267.

2004-08-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Mozilla API change on stable branch.

2004-08-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	QI instead of cast.

2004-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_add_tab):

	Get the position of the new tab after the tab_added signal was emitted,
	to get it right in the case the signal handler reorders the tabs.
	Patch by Justin Wake.

2004-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (update_actions_sensitivity):

	Make "FileSave" action obey lockdown too. Fixes bug #151039.

2004-08-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Post-release version bump.

2004-08-25  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.3.7 ===

	* src/bookmarks/ephy-bookmarks-menu.c: (open_bookmark_cb),
	(add_action_for_bookmark):

	Fix crash when opening a bookmark from the menu. Fixes bug #150982.

 	* NEWS:
 	* configure.in:

	Version 1.3.7.
 
2004-08-24  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Post-release version bump.

2004-08-24  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.3.6 ===

2004-08-24  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.in:

	Version 1.3.6.

2004-08-23  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-label.c: (ephy_label_ensure_layout),
	(ephy_label_size_allocate):

	Sync.

2004-08-23  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Update for 1.3.6.

2004-08-23  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_key_press_cb),
	(ephy_node_view_button_press_cb), (ephy_node_view_class_init):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_show_popup_cb),
	(keyword_node_show_popup_cb), (ephy_bookmarks_editor_construct):
	* src/ephy-history-window.c: (ephy_history_window_show_popup_cb),
	(ephy_history_window_construct), (ephy_history_window_dispose):

	Just use the popup_menu signal. Fixes bug #150830.

2004-08-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.h:

	Change hierarchy separator to "->". Fixes bug #149150.

2004-08-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_folder),
	(folders_list_to_topic_name):
	* src/bookmarks/ephy-bookmarks.h:

	Make the hierarchy separator a #define.

	* src/bookmarks/ephy-bookmarks-menu.c: (remove_action),
	(ephy_bookmarks_menu_clean), (open_bookmark_cb),
	(add_action_for_bookmark), (ensure_bookmark_actions),
	(create_menu), (create_submenu), (ephy_bookmarks_menu_rebuild),
	(do_update_cb), (ephy_bookmarks_menu_maybe_update),
	(ephy_bookmarks_menu_set_window),
	(ephy_bookmarks_menu_set_property),
	(ephy_bookmarks_menu_get_property), (bookmarks_tree_changed_cb),
	(topics_added_cb), (topics_removed_cb), (topic_child_changed_cb),
	(bookmark_added_cb), (bookmark_removed_cb), (activate_cb),
	(ephy_bookmarks_menu_init), (ephy_bookmarks_menu_constructor),
	(ephy_bookmarks_menu_finalize), (ephy_bookmarks_menu_class_init),
	(ephy_bookmarks_menu_new):
	* src/bookmarks/ephy-bookmarks-menu.h:
	* src/bookmarks/ephy-bookmarks.c: (bookmarks_removed_cb),
	(topics_removed_cb), (ephy_bookmarks_add):

	Speed up bookmarks menu with large bookmarks collections, partially
	fixes bug #141269.
	Fix topic hierarchy and updating on changes, fixes bug #147470,
	bug 147786, and bug #150246.

2004-08-23  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Merge from gnome-2-6 branch.

2004-08-23  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-label.c: (ephy_label_size_allocate):

	Fix a warning when moving tabs between windows; see bug #150822.

2004-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/tmpl/ephy-embed.sgml:
	* src/pdm-dialog.c: (pdm_dialog_password_remove):

	Fix crash when removing a password, introduced by the last commit.

2004-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-password-manager.c: (ephy_password_manager_get_type),
	(ephy_password_manager_base_init):
	* embed/ephy-password-manager.h:
	* embed/mozilla/EphySingle.cpp:
	* src/pdm-dialog.c: (cookies_cleared_cb),
	(pdm_dialog_fill_cookies_list), (passwords_changed_cb),
	(pdm_dialog_fill_passwords_list), (pdm_dialog_password_remove),
	(pdm_dialog_finalize):

	Keep the passwords list in the pdm dialogue up-to-date wrt.
	new passwords saved from web pages.
	Fixes bug #150296.

2004-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Set accel for normal zoom, as per HIG.

2004-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* src/Makefile.am:

	Add autoconf check for dlopen, and add '-dlopen self' to
	LDFLAGS. Fixes bug #150673.

2004-08-20  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs.js:

	Set default horizontal wheel action to 'scroll'.
	Fixes bug #148557.

2004-08-19  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:

	Set mozilla binaries path before firing up.
	Fixes bug #150358.

2004-08-18  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-cell-renderer-progress.c:
	(ephy_cell_renderer_progress_render):
	* lib/widgets/ephy-tree-model-node.c:
	* src/ephy-completion-model.c:

	Change guint to correct enum type.

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

2004-08-16  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb to ALL_LINGUAS.

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-event.c:

	Remove superflous private struct.

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Post-release version bump.

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/tmpl/ephy-embed.sgml:

	=== Release 1.3.5 ===

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Update for 1.3.5.

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Version 1.3.5.
	Make dist produce a .tar.bz2 too.

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Use GetLocalName instead of GetTagName to get the attribute name.
	Patch by Mikael Brockman, fixes bug #150208.

2004-08-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	We don't build against 1.8a1, so don't list it in the help
	for --with-mozilla-snapshot.

2004-08-11  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (drag_data_get_cb),
	(set_item_drag_source), (egg_editable_toolbar_set_model):

	Remove unused variables.

2004-08-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Include mozilla-version.h; thanks to Crispin for testing.

2004-08-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GlobalHistory.h:

	Yet another mozilla API change.

2004-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (find_action),
	(egg_editable_toolbar_construct), (egg_editable_toolbar_set_model),
	(egg_editable_toolbar_set_ui_manager),
	(egg_editable_toolbar_set_property),
	(egg_editable_toolbar_get_property),
	(egg_editable_toolbar_class_init), (egg_editable_toolbar_finalize),
	(egg_editable_toolbar_new), (egg_editable_toolbar_new_with_model),
	(egg_editable_toolbar_get_model):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbar-editor.c: (find_action),
	(egg_toolbar_editor_set_ui_manager),
	(egg_toolbar_editor_set_property),
	(egg_toolbar_editor_get_property), (egg_toolbar_editor_class_init),
	(egg_toolbar_editor_finalize), (egg_toolbar_editor_new),
	(egg_toolbar_editor_init):
	* lib/egg/egg-toolbar-editor.h:
	* src/bookmarks/ephy-bookmarksbar.c:
	(ephy_bookmarksbar_set_window):
	* src/toolbar.c: (toolbar_new):

	Fix object property naming leftover from EggMenuMerge days, to
	UI manager.

2004-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	(egg_editable_toolbar_deconstruct):

	Use g_list_foreach() here.

2004-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):

	Fix a mem leak.

2004-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (compare_actions):

	Fix compilation with gcc 2.95.

2004-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-label.c:

	Include config.h upfront.

2004-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-label.c:
	* lib/widgets/ephy-label.h:

	Only use this for gtk < 2.5.1, and just add a few
	#defines otherwise.

2004-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_get_type), (ephy_topics_selector_apply),
	(provide_toggle), (ephy_topics_selector_constructor),
	(topic_destroy_cb), (node_toggled_cb),
	(ephy_topics_selector_finalize), (ephy_topics_selector_class_init):

	Free list and filter on finalize; fixes bug #149689.
	Use g_list_prepend instead of _append.
	Mark the column title for translation.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:

	Fix compiler warning about anon enum mismatch.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Allow XUL windows to open new windows.

2004-08-08  Christian Neumair  <chris@gnome-de.org>

	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_constructor):

	Sort topics by name. Fixes #149639.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/Makefile.am:
	
	Removed reference to ephy-ellipsizing-label.
	
	* po/POTFILES.in:

	Added lib/widgets/ephy-label.c

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-marshal.list:
	* lib/widgets/Makefile.am:
	R lib/widgets/ephy-ellipsizing-label.c:
	R lib/widgets/ephy-ellipsizing-label.h:
	A lib/widgets/ephy-label.c:
	A lib/widgets/ephy-label.h:
	* src/ephy-notebook.c: (sync_label), (build_tab_label):
	* src/pdm-dialog.c: (show_cookies_properties):
	* src/prefs-dialog.c: (create_download_path_label),
	(download_path_response_cb):
	
	Kill our ellipsising label implementation, and import GtkLabel
	into our prefix. Fixes bug #149114.

	* configure.in:

	 Depend on pango 1.5.1 for ellipsisation support.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* src/Makefile.am:
	R src/epiphany.in:

	Get rid of the startup script, and use rpath linking instead.
	Ported from galeon.
	
2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (notebook_drag_data_received_cb):

	Remove unused variable.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c:

	Include "ephy-string.h", fixes build with -Werror.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	Consistent naming for nsresult vars. Since 'rv' had the majority,
	'rv' it is.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_open_window):
	* embed/ephy-embed-single.h:
	* embed/mozilla/mozilla-embed-single.cpp: (impl_open_window):
	* src/ephy-tab.c: (popups_manager_show):

	Make ephy_embed_single_open_window() return the newly opened
	embed widget.

2004-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs.js:
	* embed/mozilla/mozilla-embed-single.cpp:

	Make keyword search URL localisable. Fixes bug #144909.

2004-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-version.h:

	Fix the reload workaround version checks to look for the
	correct versions. Thanks to Crispin for noticing this.

2004-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-string.c: (ephy_string_parse_uri_list):
	* lib/ephy-string.h:
	* lib/widgets/ephy-node-view.c: (drag_data_received_cb),
	(ephy_node_view_class_init):
	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/ephy-notebook.c: (notebook_drag_data_received_cb):
	* src/ephy-notebook.h:
	* src/ephy-session.c:
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-tab.c: (ephy_tab_new_window_cb):
	* src/ephy-window.c: (ephy_window_load_in_tabs):

	Fix dragging of urls which gnome-vfs can't handle.
	Fix new tab positioning when opening tabs from drags.

2004-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (write_window_geometry), (write_tool_window),
	(ephy_session_load):

	Fix restoring the history window on resume.

2004-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (ephy_session_init),
	(ephy_session_autoresume), (ephy_session_save),
	(ephy_session_get_active_window):

	Avoid overwriting the session file while resuming; preserves
	the crashed session when crashing while resuming.

2004-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Now that mozilla bug #246392 is fixed, only enable our work-around
	for old mozilla versions.

2004-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_solve_smart_url):

	Use s/""/NULL/ in g_string_new().

2004-08-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (ephy_session_init), (ephy_session_finalize),
	(ephy_session_set_property), (ephy_session_class_init),
	(ephy_session_close), (write_tool_window), (ephy_session_save),
	(parse_embed), (ephy_session_load), (ephy_session_add_window),
	(ephy_session_remove_window), (ephy_session_get_active_window):

	Make ephy_session_get_windows() return only the list of
	EphyWindows, and store the tool windows internally.

2004-08-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Code cleanup.

2004-08-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (editor_can_open_uri):

	Fix mem leak; noticed by Jean-François Rameau.

2004-08-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_view_page_source):

	Fix mem leak; noticed by Jean-François Rameau.

2004-08-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Move g_set_application_name() call after gnome_program_init(),
	so that i18n works correctly. Fixes bug #148948.

2004-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:

	Don't QI the event target to nsIDOMEventReceiver and back
	to nsIDOMEventTarget when using it, just store it as-is.
	Thanks to Crispin for noticing this.

2004-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Post-release version bump.

2004-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* doc/reference/tmpl/ephy-embed.sgml:

	=== Release 1.3.4 ===

2004-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Version 1.3.4.

	* NEWS:

	Updated for 1.3.4.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_get_type),
	(update_exit_fullscreen_popup_position), (screen_size_changed_cb),
	(destroy_exit_fullscreen_popup), (ephy_window_destroy),
	(add_widget), (ephy_window_fullscreen), (ephy_window_unfullscreen),
	(update_chromes_actions), (update_actions_sensitivity):

	Diconnect from screen's size-changed signal on finalize too.

2004-07-31  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_property), (ephy_tab_get_property),
	(ephy_tab_class_init), (ephy_tab_get_popups_allowed),
	(ephy_tab_set_popups_allowed), (ephy_tab_address_cb),
	(ephy_tab_content_change_cb):

	Rename property to "popups-allowed" consistently. Move page change
	code from address_cb to content_change_cb so that the location from
	the embed is the one of the loaded page.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Fix a mem leak.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Confirm before overwriting a file. Fixes bug #143501.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (prefs_download_path_button_clicked_cb):

	Start the directory chooser in the home dir. Fixes bug #146055.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (ensure_folder),
	(create_submenu):

	Fix submenu creation with non-ascii topic names. Fixes bug #147469.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (drag_data_get_cb):
	* src/bookmarks/ephy-bookmarks-export.c: (write_topics_list),
	(ephy_bookmarks_export_rdf):
	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_bookmark),
	(xbel_parse_folder), (xbel_parse_xbel), (parse_rdf_subjects),
	(parse_rdf_item), (ephy_bookmarks_import_rdf):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_save),
	(ephy_bookmarks_init):
	* src/bookmarks/ephy-bookmarksbar-model.c:
	(ephy_bookmarksbar_model_get_node):
	* src/bookmarks/ephy-topic-action.c: (drag_data_get_cb):
	* src/ephy-session.c: (write_tab), (write_window_geometry),
	(write_tool_window), (write_ephy_window), (ephy_session_save),
	(parse_embed), (ephy_session_load):

	Fix signedness difference warnings with gcc 3.5. Patch by Jon Oberheide.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_get_type),
	(toolbars_toolbar_new), (toolbars_item_new),
	(egg_toolbars_model_set_flags), (egg_toolbars_model_add_separator),
	(impl_add_item), (egg_toolbars_model_add_toolbar),
	(egg_toolbars_model_class_init),
	(egg_toolbars_model_remove_toolbar),
	(egg_toolbars_model_remove_item), (egg_toolbars_model_move_item),
	(egg_toolbars_model_get_item_id),
	(egg_toolbars_model_get_item_data),
	(egg_toolbars_model_get_item_type):
	* lib/egg/egg-toolbars-model.h:

	Small code style cleanups.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (free_toolbar_node),
	(free_item_node), (free_toolbar), (egg_toolbars_model_finalize),
	(egg_toolbars_model_remove_toolbar),
	(egg_toolbars_model_remove_item):

	Free node data and destroy nodes on finalize.

2004-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbars-model.c: (update_flags_and_save_changes):

	Correctly clear the not-removable toolbar flag.

2004-07-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyAboutRedirector.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:

	Don't use -include which compilers other than gcc don't
	understand. Instead include mozilla-config.h as first thing
	in each file. Part of bug #143094.

	* embed/mozilla/EphyUtils.cpp:

	Also include config.h.

2004-07-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (parse_toolbars):

	Fix a call to egg_toolbars_model_set_flags().

2004-07-28  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyContentPolicy.cpp:

	Mozilla API change.

2004-07-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.h:

	Remove load_proxy_autoconf() vfunc.

	* embed/mozilla/mozilla-notifiers.cpp:

	Only include gnome-i18n.h here.

	Thanks to Crispin for noticing those buglets.

2004-07-26  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_set_flags):
	* lib/egg/egg-toolbars-model.h:
	* src/bookmarks/ephy-bookmarksbar-model.c:
	(update_flags_and_save_changes):
	* src/ephy-toolbars-model.c: (update_flags_and_save_changes):

	Switch parameter order for egg_toolbars_model_set_flags().

2004-07-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/popup-commands.c: (popup_cmd_download_link),
	(popup_cmd_download_link_as):

	Fix "Save Link As" filechooser title, and change
	capitalisation on the "Download Link" filechooser
	title. Fixes bug #138208.

2004-07-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Make sure we don't release the single observer more than
	once.

2004-07-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:

	Disallow some more characters in the suggested filename.

2004-07-24  Adam Hooper  <adamh@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	#include <nsEmbedString.h>

2004-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbar-editor.c:
	* lib/egg/egg-toolbar-editor.h:

	Make egg_toolbar_editor_add_action public again.

2004-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Remove some unneeded includes.

2004-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (show_status_icon):

	Don't load the status icon from the file, use the
	registered stock icon instead.

2004-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Refactores storing the security info, move it into
	EphyBrowser.

2004-07-23  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (cell_renderer_edited),
	(renderer_editing_canceled_cb), (ephy_node_view_init),
	(ephy_node_view_edit):
	* lib/widgets/ephy-node-view.h:
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_add_topic),
	(cmd_rename):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_new_topic):

	Do not remove the topic when rename is cancelled.

2004-07-23  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-marshal.list:
	* lib/widgets/ephy-node-view.c: (path_toggled),
	(ephy_node_view_key_press_cb), (get_selection_refs),
	(ephy_node_view_button_press_cb), (cell_renderer_edited),
	(renderer_editing_canceled_cb), (ephy_node_view_add_column),
	(ephy_node_view_init), (ephy_node_view_edit),
	(ephy_node_view_constructor), (ephy_node_view_add_toggle),
	(ephy_node_view_class_init):
	* lib/widgets/ephy-node-view.h:

	Add support for toggles. When editing is canceled remove
	the node.

	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_add):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_get_type),
	(ephy_topics_selector_set_bookmarks),
	(ephy_topics_selector_set_property), (ephy_topics_selector_apply),
	(provide_toggle), (ephy_topics_selector_constructor),
	(topic_destroy_cb), (node_toggled_cb), (ephy_topics_selector_init),
	(ephy_topics_selector_new), (ephy_topics_selector_new_topic),
	(ephy_topics_selector_class_init):
	* src/bookmarks/ephy-topics-selector.h:

	Use EphyNodeView instead of a list store. Share a lot of code
	and we get updating for free. Fix bug #144770

2004-07-23  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (filter_changed_cb),
	(ephy_node_view_set_filter), (ephy_node_view_set_property),
	(ephy_node_view_init), (ephy_node_view_select_node),
	(filter_visible_func), (ephy_node_view_constructor),
	(ephy_node_view_class_init):
	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_set_property),
	(ephy_tree_model_node_get_property),
	(ephy_tree_model_node_class_init), (ephy_tree_model_node_init),
	(ephy_tree_model_node_new), (ephy_tree_model_node_get_column_type),
	(ephy_tree_model_node_get_value):
	* lib/widgets/ephy-tree-model-node.h:
	* src/prefs-dialog.c: (create_node_combo):

	Simplify node view filtering code and make it a normal
	property (no more constructor only)

2004-07-23  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_new),
	(ephy_node_view_constructor), (ephy_node_view_class_init):

	Use gobject constructor

2004-07-22  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.c: (ephy_profiler_dump):

	Ignore the microseconds part
        of the g_timer_elapsed call, its redundant information,
        and breaks when the timer is over a second.
	(ported from galeon).

2004-07-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c:
	* embed/ephy-embed-single.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:

	No need to make proxy PAC configuration public, we only
	use it in a pref notifier.

2004-07-22  Marco Pesenti Gritti  <marco@gnome.org>

	* doc/reference/tmpl/ephy-embed.sgml:
	* embed/mozilla/MozDownload.cpp:
	* lib/ephy-file-helpers.c: (ephy_ensure_dir_exists):
	* lib/ephy-file-helpers.h:

	Handle the case where the downloads dir cannot be
	created gracefully. Fix #146902

2004-07-22  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c:
	(ephy_bookmarks_import_mozilla):

	Handle the bookmark in the root folder case
	correctly. Fix #145611

2004-07-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:

	Fix mem leaks (ported from Galeon).

2004-07-21  Xan Lopez  <xan@gnome.org>

	* data/epiphany.desktop.in:

	Added application/xhtml+xml, text/html, text/xml for MimeType entry.

2004-07-21  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphySingle.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	No need to use a weak ref for the observer,
	makes the single code easier.

2004-07-20  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/mozilla-embed-persist.cpp:

	Pass single to the sniffer and weak ref it.
	Fix #141928

2004-07-19  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS:
	* configure.in:
	* doc/reference/tmpl/ephy-embed.sgml:

	=== Release 1.3.3 ===

2004-07-19  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-prefs.h:
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-window.c: (ephy_window_fullscreen),
	(ephy_window_unfullscreen), (update_actions_sensitivity),
	(tab_detached_cb), (tab_delete_cb), (ephy_window_init):
	* src/window-commands.c: (window_cmd_file_new_window),
	(window_cmd_file_close_window):

	Add disable_quit, disable_new_window, first_window_fullscreen
	lockdown options.

2004-07-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_dialog_browse_button_cb):

	Since the print dialogue is modal the filechooser needs to be modal
	too. Fixes bug #147628.

2004-07-14  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (compare_string_values),
	(ephy_node_view_sort_func), (ephy_node_view_add_data_column),
	(ephy_node_view_add_column), (ephy_node_view_set_priority),
	(ephy_node_view_set_sort), (ephy_node_view_init):
	* lib/widgets/ephy-node-view.h:

	Improve sort/priority API.

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_init):
	* src/ephy-history-window.c: (ephy_history_window_construct):

	Sort history items by last visit

2004-07-12  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (properties_activate_cb),
	(show_context_menu), (bookmark_destroy_cb),
	(ephy_bookmark_action_set_bookmark_id),
	(ephy_bookmark_action_set_property),
	(ephy_bookmark_action_finalize), (ephy_bookmark_action_init):

	Add a Properties item to bookmark context menu

2004-07-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarksbar.c: (bookmark_open_in_tab_cb):

	When opening bookmarks in a tab from toolbars jump to them.

2004-07-11  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (toolbar_drag_motion_cb):
	* src/bookmarks/ephy-bookmark-action.c: (connect_proxy):
	* src/bookmarks/ephy-topic-action.c: (connect_proxy):

	Disable sliding when not in toolbar editing mode.
	We cant assume GDK_ACTION_MOVE there.

2004-07-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-topic-action.c: (stop_drag_check),
	(button_release_cb), (button_press_cb):

	Make sure we stop the drag check also when button
	is released while the menu grab is still in effect.

2004-07-11  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_move_item):
	* lib/egg/egg-toolbars-model.h:

	Add api to move items.

	* src/bookmarks/ephy-bookmark-action.c: (get_item_position),
	(remove_from_model), (move_in_model), (move_left_activate_cb),
	(move_right_activate_cb), (show_context_menu):
	* src/bookmarks/ephy-topic-action.c: (get_item_position),
	(remove_from_model), (move_in_model), (move_left_activate_cb),
	(move_right_activate_cb), (show_context_menu):

	Add Move Left/Move Right context menus.

2004-07-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (drag_begin_cb),
	(drag_end_cb), (connect_proxy):
	* src/bookmarks/ephy-topic-action.c: (drag_begin_cb),
	(drag_end_cb), (connect_proxy):

	Hide the item when dragging it like we do for normal
	toolbars.

2004-07-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-topic-action.c: (create_tool_item),
	(menu_deactivate_cb), (remove_from_model), (remove_activate_cb),
	(drag_data_get_cb), (drag_data_delete_cb), (stop_drag_check),
	(check_horizontal_threshold), (drag_motion_cb),
	(button_toggled_cb), (button_release_cb), (button_press_cb),
	(connect_proxy):

	Implement topics drag and drop. Totally tricky but it seem
	to work fine :)

2004-07-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (drag_motion_cb):

	Fix a mem leak.

2004-07-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Depend on lignomeui >= 2.6.0.

2004-07-09  Xan Lopez  <xan@gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download):

	Plug leak, thanks to Crispin.

2004-07-08  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (toolbar_drag_motion_cb):

	When moving in the same toolbar force GDK_ACTION_MOVE.
	Fix #145529

2004-07-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_get_print_info):

        Don't convert filename encoding here, since we use it
        as UTF-8 in MozillaPrivate.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Add "he" to ALL_LINGUAS.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Post-release version bump.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.3.2 ===

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.in:

	Version 1.3.2.

2004-07-06  Xan Lopez  <xan@gnome.org>

	* embed/mozilla/MozDownload.cpp:

	<chpe> didn't I said to make that NS_IF_ADDREF () ?
	<xan> mmm, yes

	Fix the downloader crasher.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	-1 is valid button number, it's used for synthesised "mouse" events
	on form submit via Return key. Fixes bug #145420.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Post-release version bump.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/tmpl/ephy-embed.sgml:

	=== Release 1.3.1 ===

2004-07-06  Xan Lopez  <xan@gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download):
	* embed/mozilla/mozilla-download.cpp:

	If the MIME is unknown, use application/octet-stream.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* data/Makefile.am:

	Add MAINTAINERS to EXTRA_DIST, and make gconf schema install
	less noisy.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Version 1.3.1.

2004-07-05  Xan Lopez  <xan@gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download):

	Scale the MIME icon.

2004-07-05  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/downloader-view.c: (downloader_view_build_ui):

	Some ordering/sizing tweak

2004-07-05  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (drag_motion_cb):

	Support also GDK_ACTION_COPY. Fix #145254.

	* src/ephy-notebook.c: (notebook_drag_data_received_cb):

	Use the notebook to access the toplevel, data passed to the
	signal can be NULL.

2004-07-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:

	Decode ACE for UI, and encode UTF-8 hostnames before using
	cookie and passwords functions with them.
	Fixes bug #130930.

2004-07-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:

	Unescape the mailto: address, fixes bug #144462.

2004-07-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_cache_get_type),
	(ephy_spinner_images_free), (ephy_spinner_images_copy),
	(ephy_spinner_cache_unload), (extract_frame),
	(ephy_spinner_cache_load), (compare_size), (scale_to_size),
	(ephy_spinner_cache_get_images), (ephy_spinner_cache_init),
	(ephy_spinner_cache_finalize), (ephy_spinner_cache_class_init),
	(ephy_spinner_cache_ref), (ephy_spinner_load_images),
	(ephy_spinner_unload_images), (icon_theme_changed_cb),
	(ephy_spinner_init), (select_spinner_image), (ephy_spinner_expose),
	(bump_spinner_frame_cb), (ephy_spinner_start),
	(ephy_spinner_remove_update_callback), (ephy_spinner_stop),
	(ephy_spinner_set_size), (ephy_spinner_size_request),
	(ephy_spinner_finalize), (ephy_spinner_class_init):

	Cache the scaled spinner images to make creating new spinners very
	fast, now that we use so many of them.

2004-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Updated for 1.3.1.

2004-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (menubar_deactivate_cb),
	(ephy_window_key_press_event), (ephy_window_class_init):

	Show and activate the menubar with F10 when it's hidden.
	Fixes bug #141999.

2004-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:

	Normal context menus for check/radio/submit buttons.
	Fixes bug #143942.

2004-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download):

	Use regular return for valid error conditions, not
	g_return_if_fail.

2004-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-download.cpp: (impl_get_mime_type):

	Fix compilation with mozilla 1.7.

2004-07-04  Xan Lopez  <xan@gnome.org>

	* embed/downloader-view.c: (downloader_view_get_type),
	(downloader_view_class_init), (downloader_view_init),
	(downloader_view_finalize), (format_interval),
	(downloader_view_add_download), (downloader_view_build_ui),
	(downloader_view_remove_download):

	Add a MIME icon in the File column. Some indent fixes.
	
	* embed/ephy-download.c: (ephy_download_get_mime):
	* embed/ephy-download.h:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/mozilla-download.cpp:

	Implement the method to get the MIME of a download and
	port to nsEmbedString.

	* embed/mozilla/PrintingPromptService.cpp:

	Remove bogus nsString.h header.

2004-07-03  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-topic-action.c: (can_open_in_tabs),
	(append_bookmarks_menu), (add_open_in_tabs_menu),
	(build_bookmarks_menu), (show_context_menu):

	"Open in tabs" insensitive when there are not
	multiple bookmarks in the topic.

2004-07-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_load_images):

	Add profiler calls.

2004-07-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Mozilla API change.

2004-07-02  Christian Persch  <chpe@cvs.gnome.org>

	* data/art/Makefile.am:
	R data/art/epiphany-tab-loading.gif:
	* lib/widgets/ephy-spinner.c: (get_spinner_dimensions),
	(ephy_spinner_init), (ephy_spinner_expose),
	(ephy_spinner_unload_images), (scale_to_real_size),
	(ephy_spinner_set_size), (ephy_spinner_size_request):
	* lib/widgets/ephy-spinner.h:
	* src/ephy-notebook.c: (sync_load_status), (build_tab_label):
	* src/toolbar.c: (fixed_toolbar_reconfigured_cb), (toolbar_init):

	Remove our tab loading animation and use mini-spinners instead.

2004-07-02  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_sync_icon):
	* src/ephy-favicon-action.c: (ephy_favicon_action_sync_icon):

	Use blank document as default favicon

2004-07-02  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:

	Depend on mozilla >= 1.7 final. Simplify some mozilla
	version checks.

2004-07-02  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (show_context_menu),
	(popup_menu_cb), (button_press_cb), (connect_proxy):
	* src/bookmarks/ephy-topic-action.c: (show_context_menu),
	(popup_menu_cb), (button_press_cb), (connect_proxy):

	Follow popups keybindings.

2004-07-02  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (open_in_tab_activate_cb),
	(open_in_window_activate_cb), (remove_from_model),
	(drag_data_delete_cb), (remove_activate_cb), (show_context_menu),
	(button_press_cb):

	Implement bookmark context menu.

2004-07-02  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-topic-action.c: (remove_activate_cb),
	(add_open_in_tabs_menu), (build_bookmarks_menu),
	(show_context_menu), (button_press_cb), (connect_proxy):

	Implement topic context menu.

2004-07-02  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-favorites-menu.c:
	* src/bookmarks/ephy-favorites-menu.h:

	Move in the bookmarks dir.

	* lib/ephy-gui.c: (ephy_gui_select_row_by_key),
	(ephy_gui_is_middle_click):
	* lib/ephy-gui.h:

	Add a function to check if menus was activated
	by a middle or a ctrl+click (which is equivalent in epiphany)

	* lib/ephy-marshal.list:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmark-action.c: (activate_cb),
	(ephy_bookmark_action_class_init):
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmarks-menu.c: (open_bookmark_cb),
	(create_menu):
	* src/bookmarks/ephy-bookmarksbar.c: (bookmark_open_in_tab_cb),
	(bookmark_open_cb), (ephy_bookmarksbar_action_request):
	* src/bookmarks/ephy-topic-action.c: (menu_activate_cb),
	(ephy_topic_action_class_init):
	* src/bookmarks/ephy-topic-action.h:

	Add signals to open bookmarks in new window/tab. I'll need
	them for context menus.
	Use them for middle/ctrl click.

2004-07-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	s/Off-Line/Offline/

2004-07-01  Marco Pesenti Gritti  <marco@gnome.org>

	* data/ui/epiphany-ui.xml:

	Change position to popups and offline menus.

2004-07-01  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_sync_smart_url):

	Do not show the icon for smartbookmarks

2004-07-01  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (toolbar_drag_motion_cb):

	Do not allow dragging out of edit mode on ITEMS_ONLY toolbars.

2004-07-01  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_sync_icon):

	No need to show the default icon for bookmarks menu.

2004-07-01  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item),
	(favicon_cache_changed_cb), (ephy_bookmark_action_sync_icon),
	(stop_drag_check), (drag_data_get_cb), (drag_data_delete_cb),
	(drag_motion_cb), (button_press_cb), (button_release_cb),
	(connect_proxy), (ephy_bookmark_action_init):

	Allow to drag bookmarks around also when not in edit mode.
	Use the default bookmark icon when there is not a specific
	one, it acts as a separator. Put some space between the icon
	and the text.

2004-06-30  Adam Hooper  <adamh@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/epiphany-popup-hidden.png:
	* data/art/epiphany-popup-hidden.svg:
	* data/ui/epiphany-ui.xml:
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-statusbar.c: (create_statusbar_popups_manager_icon),
	(ephy_statusbar_init), (ephy_statusbar_set_security_state),
	(ephy_statusbar_set_popups_state):
	* src/ephy-statusbar.h:
	* src/ephy-tab.c: (ephy_tab_set_property), (ephy_tab_get_property),
	(ephy_tab_class_init), (popups_manager_free_info),
	(popups_manager_add), (popups_manager_remove_window),
	(disconnect_popup), (popups_manager_add_window),
	(ephy_tab_get_popups_displayed), (popups_manager_show),
	(popups_manager_show_all), (popups_manager_new_window_info),
	(popups_manager_hide), (popups_manager_hide_all),
	(ephy_tab_set_popups_displayed), (popup_blocker_n_hidden),
	(popups_manager_reset), (ephy_tab_finalize), (ephy_tab_address_cb),
	(ephy_tab_new_window_cb), (ephy_tab_popup_blocked_cb),
	(ephy_tab_init):
	* src/ephy-window.c: (sync_tab_popup_windows),
	(sync_tab_popups_allowed), (ephy_window_set_active_tab),
	(ephy_window_get_property), (allow_popups_notifier),
	(ephy_window_init), (ephy_window_finalize), (ephy_window_load_url),
	(ephy_window_view_bookmarksbar_cb),
	(ephy_window_view_popup_windows_cb):

	Popup blocking support. View -> Popup Windows.

	* doc/reference/Makefile.am:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/tmpl/ephy-embed-single.sgml:
	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/ephy-permission-manager.sgml:
	* doc/reference/tmpl/ephy-shell.sgml:
	* doc/reference/tmpl/ephy-tab.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:

	Added a couple of docs, but mostly this is stuff that I imagine
	nobody ever commits because it's all auto-generated.

2004-06-30  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarksbar.c: (open_in_tabs_cb):
	* src/bookmarks/ephy-topic-action.c: (append_bookmarks_menu),
	(open_in_tabs_activate_cb), (build_bookmarks_menu):

	Use a new window for "Open in Tabs"

2004-06-30  Xan Lopez  <xan@gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Be a bit smarter about double extensions.

2004-06-30  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-notebook.c:

	Change tabs sizing again. Now we use a width
	of 20 (estimated) chars.

2004-06-29  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Update for 1.3.1.

2004-06-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (togglebutton_clicked_cb),
	(radiobutton_clicked_cb), (spinbutton_timeout_cb), (changed_cb):

	Set sane_state to TRUE from user changes, otherwise broken prefs
	will never get overwritten.

2004-06-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphySingle.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	EphySingle needs to implement nsISupportsWeakReference.

2004-06-26  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init),
	(ephy_embed_single_set_offline_mode),
	(ephy_embed_single_get_offline_mode):
	* embed/ephy-embed-single.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* src/ephy-window.c: (network_status_changed), (ephy_window_init),
	(ephy_window_finalize):
	* src/window-commands.c: (window_cmd_file_save_as),
	(window_cmd_file_work_offline):
	* src/window-commands.h:

	Implement File->Work Off-Line command and backend.
	No DBUS/HAL/whatever integration yet.

2004-06-26  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import),
	(xbel_parse_folder), (xbel_parse_xbel):

	Preserve hierarchy in the xbel importer too. Use mime
	sniffing to determine the file mime type.

2004-06-25  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed.h:
	* embed/mozilla/MozillaPrivate.h:
	* embed/print-dialog.h:

	Move PrintInfo to print-dialog since
	it's no more use by embed api.

2004-06-25  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/MozillaPrivate.cpp:

	Fix typo in the printer name

2004-06-25  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/MozillaPrivate.cpp:

	Remove preview flag

2004-06-25  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed.c: (ephy_embed_print),
	(ephy_embed_set_print_preview_mode):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/print-dialog.c: (ephy_print_dialog_response_cb),
	(ephy_print_dialog_new):
	* embed/print-dialog.h:
	* src/ephy-window.c: (ephy_window_delete_event_cb),
	(ephy_window_finalize), (update_embed_dialogs), (ephy_window_find):
	* src/ppview-toolbar.c: (toolbar_cmd_ppv_close):
	* src/window-commands.c: (window_cmd_file_print_preview),
	(window_cmd_file_print):

	Simplify print code. Now there is only one case to deal with,
	the mozilla prompt dialog.
	This should help with xprint.

2004-06-24  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-node.c: (ephy_node_new_with_id), (ephy_node_get_id),
	(child_changed), (write_parent):
	* lib/ephy-node.h:
	* src/bookmarks/ephy-bookmark-action.c:
	(bookmarks_child_changed_cb):
	* src/bookmarks/ephy-bookmark-properties.c:
	(toolbar_checkbox_changed_cb), (build_ui):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_show_in_bookmarks_bar), (ephy_bookmarks_editor_update_menu):
	* src/bookmarks/ephy-bookmarks-menu.c: (create_menu),
	(topic_child_changed_cb):
	* src/bookmarks/ephy-new-bookmark.c:
	* src/bookmarks/ephy-new-bookmark.h:
	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_set_topic_id), (topic_child_changed_cb):

	Use guint consistently for node ids

2004-06-24  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarksbar.c: (open_in_tabs_cb),
	(go_location_cb), (ephy_bookmarksbar_action_request):
	* src/bookmarks/ephy-topic-action.c: (append_bookmarks_menu),
	(open_in_tabs_activate_cb), (build_bookmarks_menu),
	(build_topics_menu), (build_menu),
	(ephy_topic_action_set_topic_id), (ephy_topic_action_set_property),
	(ephy_topic_action_class_init):
	* src/bookmarks/ephy-topic-action.h:
	* src/ephy-window.c: (ephy_window_load_in_tabs):

	Implement open in tabs from toolbar topics

2004-06-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Removed unused array, and added a few missing statics.

2004-06-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarksbar.c:
	(ephy_bookmarksbar_set_window):
	* src/toolbar.c: (toolbar_realize):

	Use g_signal_connect_after to connect to the toolbar_added
	signal, otherwise the toolbar isn't created yet and we crash
	when trying to set the drag dests on a newly added toolbar.

2004-06-23  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/tmpl/ephy-permission-manager.sgml:
	* embed/ephy-permission-manager.c: (ephy_permission_info_new),
	(ephy_permission_info_copy), (ephy_permission_manager_add),
	(ephy_permission_manager_remove), (ephy_permission_manager_test),
	(ephy_permission_manager_list):
	* embed/ephy-permission-manager.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:

	Make the permission type a string instead of an enum, that way
	we can support more than just the hardcoded 3 types.

2004-06-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_get_tabs):

	Simply use gtk_container_get_children().

2004-06-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (exit_fullscreen_button_clicked_cb),
	(get_chromes_visibility), (ephy_window_state_event_cb):

	Make the "Exit Fullscreen" button toggle the action instead of
	doing to work itself. Fixes bug #144785.

2004-06-23  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-notebook.c: (notebook_drag_data_received_cb):
	* src/ephy-window.c: (ephy_window_set_zoom),
	(ephy_window_load_in_tabs):
	* src/ephy-window.h:

	Add EphyWindow API to open multiple uris in
	tabs, use it for dnd on the notebook.

2004-06-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Move check for javascript after the http[s] checks.

2004-06-23  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c:
	(folders_list_to_topic_name):
	* src/bookmarks/ephy-bookmarks-menu.c: (create_menu),
	(ensure_folder), (create_submenu), (ephy_bookmarks_menu_rebuild):

	"/" in a topic title is now a submenu in
	the bookmarks menu.

2004-06-22  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c:
	(folders_list_to_topic_name), (ephy_bookmarks_import_mozilla):

	Keep the whole hierarchy of folders in the topic name, separated
	by |. Mozilla importer only for now.

2004-06-22  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (bookmark_add),
	(xbel_parse_bookmark), (ephy_bookmarks_import_mozilla),
	(parse_rdf_item):

	Drop some unused code.

2004-06-21  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-gui.c: (ephy_gui_help), (ephy_gui_select_row_by_key):
	* lib/widgets/ephy-node-view.c: (ephy_node_view_key_press_cb):
	* src/bookmarks/ephy-topics-selector.c: (topic_key_pressed):

	Factor out the helper to select a treeview row by column and
	use it also in the topic selector.

	* lib/ephy-gui.h:
	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/bookmarks/ephy-new-bookmark.c:
	* src/ephy-history-window.c:
	* src/pdm-dialog.c:
	* src/ppview-toolbar.c:
	* src/prefs-dialog.c:
	* src/window-commands.c:
	* embed/downloader-view.c:

	Remove braindead gtk.h inclusion and deal with
	fallout headers.

2004-06-21  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: (response_cb),
	(ephy_new_bookmark_construct):
	* src/bookmarks/ephy-topics-selector.c: (renderer_edited_cb),
	(renderer_editing_canceled_cb), (ephy_topics_build_ui),
	(ephy_topics_selector_new), (ephy_topics_selector_new_topic):
	* src/bookmarks/ephy-topics-selector.h:

	Add a New topic button to the new bookmark dialog.

2004-06-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_get_flags),
	(parse_item_list), (parse_toolbars):

	Check for empty attributes before adding the item when parsing
	the toolbars file. Should fix bug #144698.

2004-06-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):

	Allow importing from Epiphany bookmarks format (RDF),
	fixes bug #144699.

2004-06-21  Adam Hooper  <adamh@cvs.gnome.org>

	* lib/ephy-marshal.list:

	Whoops. Um. Fixed the build.

2004-06-21  Adam Hooper  <adamh@cvs.gnome.org>

	* embed/ephy-embed-single.c:
	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Implement popup-blocking signals. Part of bug #111930.

2004-06-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Remove implementation of ::HidePage again, it's really not used
	anyway in mozilla (history load listener is the only place, and it's
	not build, not even updated for API changes).

2004-06-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Implement GlobalHistory2::HidePage, fixes bug #142143.

2004-06-20  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (sync_label), (tab_label_style_set_cb),
	(build_tab_label), (ephy_notebook_add_tab):
	* src/ephy-window.c: (ephy_window_get_tabs):

	Make tab labels 1/n-th of the window width (n = number of tabs),
	with a minimum size so they don't get too tiny.
	Make the tooltip cover the label + favicon, not just the label.

2004-06-19  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_move_tab), (move_tab),
	(ephy_notebook_switch_page_cb), (ephy_notebook_init),
	(ephy_notebook_finalize), (ephy_notebook_add_tab),
	(ephy_notebook_remove_tab):
	* src/ephy-notebook.h:
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-shell.h:
	* src/ephy-tab.c: (ephy_tab_new_window_cb):
	* src/ephy-window.c: (ephy_window_add_tab):

	Append tabs at the end instead of grouping
	them near the current one.

2004-06-19  Marco Pesenti Gritti  <marco@gnome.org>

	* data/art/epiphany-tab-loading.gif:

	Update from new winstripe theme of Firefox

2004-06-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:

	Escape strings before using the with markup in labels.
	Patch by Crispin Flowerday.

2004-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (build_tab_label):

	Set data for close-button on the tab label. 

2004-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	(egg_editable_toolbar_disconnect_model),
	(egg_editable_toolbar_deconstruct),
	(egg_editable_toolbar_set_model),
	(egg_editable_toolbar_class_init), (egg_editable_toolbar_finalize),
	(egg_editable_toolbar_new), (egg_editable_toolbar_new_with_model),
	(egg_editable_toolbar_set_fixed):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_get_flags),
	(parse_toolbars):
	* src/bookmarks/ephy-bookmarksbar.c:
	(ephy_bookmarksbar_set_window), (ephy_bookmarksbar_class_init):
	* src/ephy-window.c: (ephy_window_fullscreen),
	(ephy_window_unfullscreen), (ephy_window_init):
	* src/toolbar.c: (toolbar_style_changed_cb), (parent_set_cb),
	(toolbar_init), (toolbar_finalize), (toolbar_new):

	Go back to construction the toolbar when the model is set, fixes
	bug #144191.

2004-06-15  Marco Pesenti Gritti  <marco@gnome.org>

	* data/bme.desktop.in:
	* data/epiphany.desktop.in:

	Use GenericName. See #144284 for the hig change.
	Fix bug #140625.

2004-06-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Work around mozilla bug #246392 which goes back to the original urls
	when reloading a frameset. Fixes bug #115800.

2004-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct):

	Use g_markup_print_escaed().

2004-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct):
	* src/bookmarks/ephy-topic-action.c: (build_topics_menu):

	Escape strings before using them with markup in labels.

2004-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_reload):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/prefs-dialog.c:
	* src/window-commands.c: (window_cmd_view_reload):

	Get rid of EmbedReloadFlags, and use a gboolean force parameter
	in ephy_embed_reload() instead, since we only had two states anyway
	- EMBED_RELOAD_NORMAL, and EMBED_RELOAD_FORCE.

2004-06-13  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:

	Add GNOME_COMMON_INIT

2004-06-12  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_open_window):
	* embed/ephy-embed-single.h:
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:

	Add a way to open new windows passing features and uri.
	Something like js window.open. It's necessary for popup
	blocker.

2004-06-12  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (toolbar_drag_motion_cb):

	Allow items to be dragged from toolbar editor also when
	in items only mode.

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_add_separator):

	The type should be the same as tool items.

2004-06-12  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_class_init):

	Put proper property IDs on properties (PROP_LOAD_STATUS was there
	three times).

2004-06-12  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_new),
	(ephy_spinner_init), (ephy_spinner_expose):

	Make spinner not use a visible window, and fix coordinates
	accordingly. Patch by Crispin Flowerday, fixes bug #134686.

2004-06-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_finalize):
	* src/bookmarks/ephy-bookmarksbar-model.c:
	(ephy_bookmarksbar_model_dispose),
	(ephy_bookmarksbar_model_finalize),
	(ephy_bookmarksbar_model_class_init):
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_dispose),
	(ephy_toolbars_model_finalize), (ephy_toolbars_model_class_init):

	Save the toolbars models from dispose, not from finalize, since you
	cannot emit signals from the latter (the get_item_* signals are
	emitted while saving).

2004-06-11  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:

	Do not put ACLOCAL flags in the Makefile,
	it should not be necessary anymore with
	recent gnome-common.

2004-06-10  Christian Persch  <chpe@cvs.gnome.org>

	Merging bookmarksbar-separation branch.

2004-06-09  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (drag_data_get_cb),
	(set_item_drag_source):
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_to_xml),
	(impl_get_item_id), (impl_get_item_data),
	(egg_toolbars_model_class_init),
	(egg_toolbars_model_get_item_data):
	* lib/egg/egg-toolbars-model.h:
	* src/ephy-toolbars-model.c: (impl_get_item_data),
	(impl_get_item_id), (ephy_toolbars_model_class_init):

	s/get_item_name/get_item_data

	Do not assume data isnt changing, use the id
	and convert later instead.

2004-06-09  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (drag_data_get_cb),
	(set_item_drag_source), (create_item_from_action), (create_item),
	(drag_data_received_cb), (egg_editable_toolbar_set_edit_mode):
	* lib/egg/egg-toolbar-editor.c: (model_has_action):
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_item_nth):
	* lib/egg/egg-toolbars-model.h:
	* src/ephy-toolbars-model.c: (get_toolbar_and_item_pos),
	(ephy_toolbars_model_class_init), (item_added):

	Retain custom types when moving items around

2004-06-10  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(toolbar_items_changed_cb), (cmd_show_in_bookmarks_bar),

	Block the signal when removing bookmarks from toolbars.

	(ephy_bookmarks_editor_get_property):
	* src/bookmarks/ephy-bookmarksbar-model.c:
	(ephy_bookmarksbar_model_remove_bookmark):

	Remove all copy of a bookmark from toolbar, not just one
	of them.

2004-06-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarksbar-model.c:
	(ephy_bookmarksbar_model_finalize):
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_finalize):

	Save models on exit.

2004-06-10  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarksbar-model.c: (item_added_cb):
	* src/bookmarks/ephy-bookmarksbar.c: (remove_action_from_model),
	(bookmark_destroy_cb), (ephy_bookmarksbar_action_request):

	Cleanup the toolbars model when destroying a bookmark
	action. Remove the cleanup code from the model.

2004-06-10  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (toolbar_drag_motion_cb),
	(egg_editable_toolbar_get_model):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbars-model.h:

	Add a getter for the model.
	Add a flag to accept only tool items as source.

	* src/bookmarks/ephy-bookmarksbar.c:
	* src/ephy-toolbars-model.c: (update_flags_and_save_changes):
	* src/toolbar.c: (toolbar_added_cb), (toolbar_realize),
	(toolbar_unrealize), (toolbar_class_init), (toolbar_finalize):

	Fixup dnd targets and use the new flag for main toolbar.

2004-06-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_class_init):
	* src/bookmarks/ephy-bookmarks.c: (get_item_type_forward_cb),
	(get_item_id_forward_cb), (get_item_data_forward_cb),
	(ephy_bookmarks_get_toolbars_model):
	* src/ephy-shell.c: (ephy_shell_get_toolbars_model):
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_load),
	(ephy_toolbars_model_init):
	* src/ephy-toolbars-model.h:

	Forward get_item_[type|id|data] from toolbars model to
	bookmarksbar model. That way we can have bookmarks/topics also
	on the main toolbar.

2004-06-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (_egg_accumulator_STRING),
	(egg_toolbars_model_class_init), (egg_toolbars_model_get_item_id),
	(egg_toolbars_model_get_item_data),
	(egg_toolbars_model_get_item_type):
	* lib/egg/egg-toolbars-model.h:
	* lib/egg/eggmarshalers.c:
	(_egg_marshal_BOOLEAN__OBJECT_STRING_STRING),
	(_egg_marshal_STRING__POINTER),
	(_egg_marshal_STRING__STRING_STRING):
	* lib/egg/eggmarshalers.h:
	* lib/egg/eggmarshalers.list:

	Make get_item_[type|id|data] signals.

2004-06-08  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (find_action), (create_item),
	(egg_editable_toolbar_construct), (egg_editable_toolbar_realize),
	(egg_editable_toolbar_unrealize), (egg_editable_toolbar_set_model),
	(egg_editable_toolbar_set_merge),
	(egg_editable_toolbar_set_property),
	(egg_editable_toolbar_get_property),
	(egg_editable_toolbar_class_init), (egg_editable_toolbar_init),
	(egg_editable_toolbar_set_edit_mode):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_load),
	(egg_toolbars_model_init):

	Only construct the toolbar on realize. When setting a different model,
	unrealize the toolbar. Connect to model only while realized, fixes
	crashes when setting flags on the toolbars model.

	* data/ui/epiphany-bookmarksbar.xml:
	* data/ui/epiphany-fs-toolbar.xml:
	* data/ui/epiphany-toolbar.xml:

	Separated. Fix root name to be "toolbars" which is the name we
	save the model with.

	* src/bookmarks/ephy-bookmarksbar-model.c:
	(ephy_bookmarksbar_model_get_type), (get_toolbar_and_item_pos),
	(get_toolbar_pos), (ephy_bookmarksbar_model_get_action_name),
	(ephy_bookmarksbar_model_get_node),
	(ephy_bookmarksbar_model_add_bookmark),
	(ephy_bookmarksbar_model_remove_bookmark),
	(ephy_bookmarksbar_model_has_bookmark), (save_changes_idle),
	(save_changes), (update_flags_and_save_changes),
	(bookmark_destroy_cb), (item_added_cb), (impl_add_item),
	(impl_get_item_id), (impl_get_item_type), (load_toolbars),
	(ephy_bookmarksbar_model_init), (ephy_bookmarksbar_model_finalize),
	(ephy_bookmarksbar_model_set_property),
	(ephy_bookmarksbar_model_get_property),
	(ephy_bookmarksbar_model_class_init),
	(ephy_bookmarksbar_model_new):
	* src/bookmarks/ephy-bookmarksbar-model.h:
	* src/ephy-toolbars-model.c: (save_changes_idle), (save_changes),
	(update_flags_and_save_changes), (get_toolbar_pos),
	(load_toolbars), (ephy_toolbars_model_init),
	(ephy_toolbars_model_finalize), (ephy_toolbars_model_class_init),
	(ephy_toolbars_model_new):
	* src/ephy-toolbars-model.h:

	Split toolbars model in bookmarks and non-bookmarks parts.

	* src/bookmarks/ephy-bookmarksbar.c: (ephy_bookmarksbar_get_type),
	(go_location_cb), (bookmark_destroy_cb),
	(ephy_bookmarksbar_action_request), (toolbar_added_cb),
	(ephy_bookmarksbar_set_window), (ephy_bookmarksbar_realize),
	(ephy_bookmarksbar_unrealize), (ephy_bookmarksbar_init),
	(ephy_bookmarksbar_finalize), (ephy_bookmarksbar_set_property),
	(ephy_bookmarksbar_get_property), (ephy_bookmarksbar_class_init),
	(ephy_bookmarksbar_new):
	* src/bookmarks/ephy-bookmarksbar.h:
	* src/toolbar.c: (go_location_cb), (toolbar_set_property),
	(toolbar_get_property), (toolbar_class_init), (toolbar_set_window),
	(toolbar_init), (toolbar_new), (toolbar_set_location),
	(toolbar_update_navigation_actions):
	* src/toolbar.h:
	* src/ephy-window.c: (get_chromes_visibility),
	(sync_chromes_visibility), (ephy_window_fullscreen),
	(ephy_window_unfullscreen), (action_request_forward_cb),
	(ephy_window_init), (ephy_window_get_toolbar),
	(ephy_window_get_bookmarksbar):
	* src/ephy-window.h:
	* src/window-commands.c: (window_cmd_view_fullscreen),
	(toolbar_editor_destroy_cb), (toolbar_editor_response_cb),
	(window_cmd_edit_toolbar):

	Split toolbars in bookmarks and non-bookmarks toolbars.

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init_defaults),
	(ephy_bookmarks_get_toolbars_model), (ephy_bookmarks_set_property),
	(ephy_bookmarks_get_property), (ephy_bookmarks_class_init),
	(ephy_bookmarks_finalize):
	* src/bookmarks/ephy-bookmarks.h:
	* src/ephy-shell.c: (ephy_shell_get_toolbars_model):
	* src/ephy-shell.h:

	Made bookmarksbar toolbars model a service of EphyBookmarks.

	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_set_property),
	(toolbar_checkbox_changed_cb), (build_ui),
	(ephy_bookmark_properties_init):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_show_in_bookmarks_bar), (ephy_bookmarks_editor_update_menu),
	(toolbar_items_changed_cb), (ephy_bookmarks_editor_init):

	Adapt to changes above.

	* data/ui/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Makefile changes.

2004-06-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs.js:

	Disable xpinstall by default. Fixes bug #144035.

2004-06-09  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (drag_data_get_cb),
	(set_item_drag_source):
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_to_xml),
	(impl_get_item_id), (impl_get_item_data),
	(egg_toolbars_model_class_init),
	(egg_toolbars_model_get_item_data):
	* lib/egg/egg-toolbars-model.h:
	* src/ephy-toolbars-model.c: (impl_get_item_data),
	(impl_get_item_id), (ephy_toolbars_model_class_init):

	s/get_item_name/get_item_data

	Do not assume data isnt changing, use the id
	and convert later instead.

2004-06-09  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (drag_data_get_cb),
	(set_item_drag_source), (create_item_from_action), (create_item),
	(drag_data_received_cb), (egg_editable_toolbar_set_edit_mode):
	* lib/egg/egg-toolbar-editor.c: (model_has_action):
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_item_nth):
	* lib/egg/egg-toolbars-model.h:
	* src/ephy-toolbars-model.c: (get_toolbar_and_item_pos),
	(ephy_toolbars_model_class_init), (item_added):

	Retain custom types when moving items around

2004-06-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Fix CSS background detection, based on a galeon patch by
	Crispin Flowerday. Fixed bug #143602.

2004-06-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Adjust comment about mozilla bug #232057, which was
	WONTFIXed.

2004-06-08  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-window.c: (show_embed_popup):

	Do not hide clipboard items for the input context
	(Bug #139040)

2004-06-08  Marco Pesenti Gritti  <marco@gnome.org>

	* data/default-prefs.js:
	* embed/mozilla/mozilla-embed-single.cpp:

	Move external protocols prefs defaults in
	the javascript file and add webcal (Bug #143899)

2004-06-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/FilePicker.cpp:

	Fix setting default filename in the !modeSave case.

2004-06-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/FilePicker.cpp:

	Don't allow ::SetDefaultString unless we're in modeSave.
	
2004-06-07  Ross Burton  <ross@burtonini.com>

	* src/ephy-shell.c:

	Load extensions from ~/.gnome2/epiphany/extensions as well.

2004-06-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/FilePicker:

	Use ephy-file-chooser convenience constructor instead of duplicating
	code here.

2004-06-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/mozilla-version.h:

	Simplified mozilla version checks with new MOZILLA_IS_VERSION4 macro.

2004-06-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Add help/es/Makefile to AC_OUTPUT.

2004-06-05  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* help/es: Added Spanish help pages and related stuff

2004-06-03  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:
	* embed/ephy-embed.c: (ephy_embed_base_init),
	(ephy_embed_set_zoom):
	* embed/ephy-embed.h:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EphyAboutRedirector.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GlobalHistory.h:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-version.h:
	* src/ephy-tab.c: (ephy_tab_address_cb),
	(ephy_tab_content_change_cb), (ephy_tab_init):
	* src/ephy-window.c: (ephy_window_set_zoom):

	Merge mozilla-embed-strings branch

2004-06-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (update_exit_fullscreen_popup_position):

	Move the "Exit Fullscreen" popup to the right in RTL locale.
	Fixes bug #140828.
	
2004-06-01  Adam Hooper  <adamh@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-toolbar-editor.c: (compare_actions),
	(editor_drag_data_received_cb), (editor_drag_data_delete_cb),
	(egg_toolbar_editor_add_action), (update_actions_list): Update from
	libegg

2004-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Post-release version bump.

2004-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* doc/reference/tmpl/ephy-command-manager.sgml:
	* doc/reference/tmpl/ephy-embed-persist.sgml:
	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/ephy-glade.sgml:
	* doc/reference/tmpl/ephy-node-db.sgml:
	* doc/reference/tmpl/ephy-tab.sgml:
	* doc/reference/tmpl/ephy-window.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:

	=== Release 1.3.0 ===

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_view_reload):

	Fix reload logic not to use forced reload by default.
	Patch by C. J. N. Breame, fixes bug #143365

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.h:

	Revert varargs change, it doesn't work for LOG("Message") without
	arguments.

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.h:

	Use ISO style variable argument macros. Patch by Brian Cameron,
	part of bug #141319.
	
2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Add check for 'mkdtemp', since solaris doesn't have it.

	* lib/ephy-file-helpers.c: (ephy_file_tmp_dir):

	Error out if we don't have mkdtemp.
	Part of bug #141319.

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (ephy_dialog_construct):

	Don't return a value in void function, part of bug #141319.

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_print_preview_navigate):

	Don't return a value in void function, part of bug #141319.

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Depend on glib >= 2.4.1 because of the fix for bug #112222.

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:

	Fix for mozilla API change (ported from galeon).

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Increase mozilla snapshot level for 1.8a2/trunk.

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Update for 1.3.0.

2004-05-29  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "tk" to ALL_LINGUAS.

2004-05-28  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.h:

	Include "config.h".

2004-05-28  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.h:

	Always include "config.h" !

2004-05-28  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.h:

	Fix snapshot check for mozilla >= 1.7rc2 .

2004-05-24  Xan Lopez  <xan@gnome.org>

	* embed/downloader-view.c: (update_status_icon):

	Remove unused field in struct

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:

	Fix build with 1.8a2

2004-05-23  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2004-05-23  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/MozillaPrivate.cpp:

	Fix some headers fallouts with mozilla head

2004-05-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.h:

	Fix compilation with moz 1.6.

2004-05-22  Crispin Flowerday  <gnome@flowerday.cx>

	* libegg/toolbareditor/egg-toolbar-editor.c
	(event_box_realize_cb), (editor_create_item):

	Set the drag icon on
	realize, otherwise the current icon theme isn't used, and it falls
	back to the default theme.

2004-05-22  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Recognise mozilla 1.8a1 and 1.8a2.

2004-05-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (ephy_statusbar_set_progress):
	* src/ephy-tab.c: (ephy_tab_class_init), (build_load_percent),
	(ephy_tab_net_state_cb), (ephy_tab_get_load_percent):

	Elimiate indeterminate progress, fixes bugs #142303 and #142305.

2004-05-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (ephy_history_set_property),
	(ephy_history_get_property):

	Fix stupid bug.

2004-05-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_remove_tab):
	* src/ephy-window.c: (tab_removed_cb):

	Emit the "tab_removed" signal also for the window's last tab.
	Part of bug #142078.

2004-05-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (activate_cb),
	(button_press_cb), (button_release_cb), (connect_proxy),
	(ephy_bookmark_action_class_init):
	* src/toolbar.c: (go_location_cb):

	Open bookmark in new tab on middle-click. Fixes bug #106250.

2004-05-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-cell-renderer-progress.c:
	(ephy_cell_renderer_progress_init), (compute_dimensions),
	(ephy_cell_renderer_progress_get_size),
	(ephy_cell_renderer_progress_render):

	Backported fixes from gtk+ cvs head.

2004-05-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Fix a MOZILLA_SNAPSHOT check for 1.7 branch.

2004-05-19  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Generate Makefile in help/es too.

2004-05-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_dialog_browse_button_cb):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(import_dialog_response_cb):

	Fix capitalisation.

2004-05-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySingle.cpp:

	Fix observer topic check for cookie "cleared" notification.

2004-05-15  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (set_value_from_editable),
	(set_value_from_radiobuttongroup), (set_value_from_spin_button),
	(set_value_from_togglebutton), (set_combo_box_from_value):

	Fix mem leak.

2004-05-15  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (egg_toolbar_editor_finalize):

	Fix mem leaks.

2004-05-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:

	Fix refcount leak.

2004-05-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Set mEventReceiver to nsnull in ::Destroy(), fixes a crasher.

2004-05-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyContentPolicy.cpp:

	Yet another mozilla API change.

2004-05-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Forgot to change action entries for last commit.

2004-05-13  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/popup-commands.c:
	* src/popup-commands.h:

	Simplify context menu wrt. frames. Fixes bug #138442.

2004-05-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/epiphany.in:

	Make sure we don't add a colon at the end of LD_LIBRARY_PATH,
	which will make LD_LIBRARY_PATH include the current directory.
	Should fix bug #141576.

2004-05-12  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-cell-renderer-progress.c:
	(ephy_cell_renderer_progress_class_init),
	(ephy_cell_renderer_progress_init),
	(ephy_cell_renderer_progress_new),
	(ephy_cell_renderer_progress_finalize),
	(ephy_cell_renderer_progress_get_property),
	(ephy_cell_renderer_progress_set_property),
	(ephy_cell_renderer_progress_set_value),
	(ephy_cell_renderer_progress_set_text), (compute_dimensions),
	(ephy_cell_renderer_progress_get_size),
	(ephy_cell_renderer_progress_render):
	* lib/widgets/ephy-cell-renderer-progress.h:
	
	Backport changed from the new gtkcellrendererprogress which
	was based on ephy's, to support RTL.

2004-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (set_combo_box_from_value):

	Fix compilation with gcc 2.95.

2004-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	One more NS_ENSURE_TRUE.

2004-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Changed back to NS_ENSURE_TRUE as per discussion in bug #142184.

2004-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Remove unused variable.

2004-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	Destroy the EphyBrowser in destroy handler, but delete it only on
	finalize. Make public EphyBrowser methods safe for calling after
	Destroy. Part of bug #142184.

2004-05-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (create_statusbar_security_icon),
	(create_statusbar_progress), (sync_shadow_type),
	(ephy_statusbar_init), (ephy_statusbar_set_progress),
	(ephy_statusbar_add_widget):
	* src/ephy-tab.c: (ephy_tab_net_state_cb):

	Statusbar re-design: Move lock icon to left; hide progress bar
	when no activity. Part of bug #137845.

2004-05-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Fix accelerator for OpenImage action.

2004-05-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-automation.c: (impl_ephy_automation_loadurl):

	Jump to new tabs created from command lines; fixes bug #141168.

2004-05-08  Christian Persch  <chpe@cvs.gnome.org>
	* lib/ephy-file-chooser.c: (ephy_file_chooser_add_pattern_filter),
	(ephy_file_chooser_add_mime_filter), (ephy_file_chooser_new):
	* lib/ephy-file-chooser.h:

	Add convenience functions for creating a filter with a bunch of mime
	types or patterns and add it to a file chooser. Those should really
	be in gtk+; see bug #142142.

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/print-dialog.c: (ephy_print_dialog_browse_button_cb):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(import_dialog_response_cb):
	* src/prefs-dialog.c: (prefs_download_path_button_clicked_cb):
	* src/window-commands.c: (window_cmd_file_open):

	Add some filters to the file chooser dialogues. Fixes bug #139418.

2004-05-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:

	Forward nsIAuthPrompt interface to the single sign-on prompt
	implementation.

2004-05-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/FilePicker.cpp:

	Adjust MOZILLA_SNAPSHOT checks for changed snapshot levels.

2004-05-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Increase snapshot level for mozilla >= 1.7rc2 and 1.8a/trunk.

2004-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Check for nsIPassword.h

	* embed/mozilla/mozilla-embed-single.cpp:

	Allow compilation without nsIPassword (mozilla wallet extension).

2004-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Adapt to mozilla API change.

2004-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Recognise 1.7rc* too.

2004-05-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:

	Whenever we have one, pass the cache key to the persist object.
	That way we don't re-fetch the page on save. Fixes bug #141652.

2004-05-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:

	Fix a mem leak; thanks to Crispin for spotting it.

2004-05-03  Patanjali Somayaji <patanjali@codito.com>

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):

	title added back to dialog - see notes on bug #133152

2004-05-03  Patanjali Somayaji <patanjali@codito.com>

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):

	More HIGifying of the overwrite confirmation dialog - 
	- title removed from dialog
	- dialog removed from window list

2004-05-02  Piers Cornwell  <piers@gnome.org>

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):

	Make Escape cancel overwrite dialog.

2004-05-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_get_encoding),
	(ephy_embed_has_automatic_encoding):
	* embed/ephy-embed.h:
	* embed/ephy-encodings.c:
	* embed/ephy-encodings.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-encoding-dialog.c: (sync_embed_cb), (activate_choice):
	* src/ephy-encoding-menu.c: (update_encoding_menu_cb),
	(encoding_activate_cb):

	Clean up encoding handling.

2004-05-01  Piers Cornwell  <piers@gnome.org>

	* help/C/epiphany.xml:

	Minor updates to match UI.

2004-05-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (ephy_statusbar_init),
	(ephy_statusbar_finalize), (ephy_statusbar_set_security_state):
	* src/ephy-statusbar.h:

	Make the statusbar's GtkTooltips publicly accessibly.

2004-04-30  Piers Cornwell  <piers@gnome.org>

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):

	More HIG love for overwrite confirmation. Partial fix for bug #133152.

2004-04-29  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/MozillaPrivate.h:
	* embed/mozilla/mozilla-embed.cpp:

	Complete headers defines

2004-04-29  Patanjali Somayaji <patanjali@codito.com>

	* lib/ephy-gui.c
	
	changes in ephy_gui_confirm_overwrite_file ()
	
	HIGified dialog created with "Cancel" and "Overwrite"
	buttons.
	
	Fix for bug #133152

2004-04-29  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EphyAboutRedirector.cpp:
	* embed/mozilla/EphyAboutRedirector.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyContentPolicy.h:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GlobalHistory.h:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.h:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.h:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	More defines work, still lack EventContext and
	EmbedPrivate.
	Use mozilla like warning flags instead of those gnome
	macros. Remove several unused variables.

2004-04-29  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/Makefile.am:

	Add defines for private mozilla api usage. It will
	make easier to track what we need to port to embed
	string and what we need to be using only public api
	(on the long time).

2004-04-28  Piers Cornwell  <piers@gnome.org>

	* help/C/epiphany.xml:
	* help/C/figures/ephy-addressbar-smartbookmark-screenshot.png:
	* help/C/figures/ephy-bookmarkbar-smartbookmark-screenshot.png:

	Updated Smart Bookmarks help content. Patch by 
	poobar@nycap.rr.com. Fixes bug #139616.

2004-04-28  Piers Cornwell  <piers@gnome.org>

	* help/C/figures/ephy-screenshot.png:
	* help/C/figures/ephy-history-window-screenshot.png:

	Update screenshots.

2004-04-28  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	Ensure we have a DOM window before trying to
	get his url. The check was not working anymore
	because of initialization changes.

2004-04-28  Sebastian Heinlein  <glatzor@pimpzkru.de>

	* help/C/epiphany.xml:

	Correct listitems to contain para tags. Fixes bug #140918.

2004-04-27  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EventContext.h:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:

	Nice mess of defines to support 1.8a. Damn.

2004-04-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_delete_event_cb):

	Exit print preview mode before closing a window. Fixes a crasher;
	Epiphany equivalent of galeon bug #121298.

2004-04-26  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Fix encoding of saved content; fixes bug #141050.

2004-04-23  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-1.4.pc.in:

	Fix dependency libs not to include libbonoboui.

2004-04-22  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* help/eu/*: added Basque help files from
	Hizkuntza Politikarako Sailburuordetza <hizkpol@ej-gv.es>

2004-04-22  Christian Persch  <chpe@cvs.gnome.org>

	* HACKING:

	Document UTF-8 requirement.

	* lib/widgets/ephy-cell-renderer-progress.c:
	* lib/widgets/ephy-cell-renderer-progress.h:
	* src/bookmarks/ephy-bookmarks-menu.h:
	* ChangeLog:

	Converted to UTF-8.

2004-04-20  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/tmpl/ephy-glade.sgml:

	History repeats itself. Added the missing documentation file.

2004-04-19  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/tmpl/ephy-embed.sgml:
	* lib/ephy-glade.c: (ephy_glade_widget_new):

	Documented EphyGlade... which is just a single function.

2004-04-18  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* lib/ephy-dialog.c: (set_value_from_editable),
	(set_value_from_combobox), (set_value_from_radiobuttongroup),
	(set_value_from_spin_button), (set_value_from_togglebutton),
	(set_value_from_info), (set_combo_box_from_value),
	(set_pref_from_info_and_emit), (save_info),
	(ephy_dialog_get_value):
	* lib/ephy-dialog.h:
	* src/prefs-dialog.c: (setup_font_combo):

	Fix font selection combo box issues; fixes bug #138560.

2004-04-18  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Remove libbonoboui checks, we don't depend on it anymore.

2004-04-18  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed.c: (ephy_embed_chrome_get_type):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-window.c: (ephy_window_set_chrome),
	(ephy_window_set_property), (ephy_window_class_init):

	Fix chrome for new windows opened from _blank target.
	Fixes bug #139512.

2004-04-17  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Do not uncompress when the type is not html. Fixes bug #131778.

2004-04-17  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/Makefile.am:
	* lib/egg/egg-editable-toolbar.c: (set_drag_cursor):
	* lib/egg/egg-toolbar-editor.c: (set_drag_cursor):
	* lib/egg/eggstatusicon.c: (egg_status_icon_init),
	(egg_status_icon_button_press), (egg_status_icon_button_release):

	Resync with egg

2004-04-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp: (InitiateMozillaDownload):

	Fix saving of linked content. Don't create the directory; mozilla
	will do it for us if necessary. Make the "Files" suffix translatable.

2004-04-14  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-chooser.c: (ephy_file_chooser_constructor),
	(ephy_file_chooser_class_init):

	Add "Downloads" folder shortcut to our file chooser dialogues.

2004-04-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_new_window_cb),
	(ephy_tab_visibility_cb), (ephy_tab_destroy_brsr_cb):

	Add debug output.

2004-04-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (add_bookmarks_menu),
	(ephy_bookmarks_menu_rebuild):
	* src/ephy-encoding-menu.c: (add_action):
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_rebuild):
	* src/ephy-tabs-menu.c: (tab_added_cb):

	Set the action's accel_path, fixes bug #139641 for ephy.

2004-04-09  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/FilePicker.cpp:

	Don't quit the filechooser when selecting "No" from the confirm-
	overwrite dialoge. Fixes bug #139400.

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):

	Convert the filename to UTF-8 before showing it in the confirm
	dialogue.

2004-04-09  Piers Cornwell  <piers@gnome.org>

	* src/ephy-window.c:
	* data/ui/epiphany-ui.xml:

	Add Ctrl+S as an alternate accel for Save As.
	Fixes bug #139415.

2004-04-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-location-action.c: (compare_actions),
	(init_actions_list):

	Sort the actions in the location entry autocompletion dropdown.
	Fixes bug #139575.

2004-04-09  Adam Hooper  <adamh@cvs.gnome.org>

	* embed/ephy-encodings.c: (ephy_encodings_init):
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_init):
	* embed/ephy-history.c: (ephy_history_init):
	* lib/ephy-node.c: (ephy_node_new_with_id):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init):

	Make ephy-node refcount initialize to 1 and not 0.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-08  Piers Cornwell  <piers@gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Make warning message selectable.

2004-04-07  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/tmpl/ephy-node-db.sgml:

	remembered to commit this file with my EphyNodeDb documentation.

2004-04-07  Christian Biesinger  <cbiesinger@web.de>

	* embed/mozilla/ExternalProtocolHandlers.cpp:
	* embed/mozilla/ExternalProtocolHandlers.h:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/MozRegisterComponents.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Eliminate ExternalProtocolHandlers in favor of setting prefs to make Mozilla
	not handle the protocols internally.

2004-04-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/eel-gconf-extensions.c: (eel_gconf_handle_error):

	Remove unused variable.

2004-04-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/eel-gconf-extensions.c: (eel_gconf_handle_error):

	Don't abort on errors, just display a message on console. Fixes bug #139247.

2004-04-06  Piers Cornwell  <piers@gnome.org>

	* doc/plan/plan.xml

	Add some bugzilla references.

2004-04-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (window_focus_in_event_cb),
	(impl_attach_window), (ephy_session_set_property),
	(ephy_session_get_property), (ephy_session_class_init):

	Track the active window.

2004-04-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:
	* data/glade/print.glade:

	Make pdm and print setup dialogues destroy with parent, too.

2004-04-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:
	* lib/ephy-dialog.c: (ephy_dialog_get_parent):
	* lib/ephy-dialog.h:
	* src/prefs-dialog.c: (prefs_homepage_current_button_clicked_cb):
	* src/window-commands.c: (window_cmd_file_print_setup),
	(window_cmd_edit_personal_data), (window_cmd_edit_prefs):

	Make prefs, pdm and print setup dialogues transient to their parent.
	Fixes bug #139124.

2004-04-04  Adam Hooper  <adamh@cvs.gnome.org>

	* HACKING:

	Suggest /* to open comments instead of /** (rationale: gtk-doc)

	* src/ephy-tab.c: (ephy_tab_set_title):

	Change /** to /*

	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* lib/ephy-node-db.c: (node_from_id_real),
	(ephy_node_db_get_node_from_id), (_ephy_node_db_new_id),
	(_ephy_node_db_add_id), (_ephy_node_db_remove_id):
	* lib/ephy-node-db.h:

	Documented EphyNodeDb. Changed the ids to guints to conform with
	GPtrArray.

	* doc/reference/tmpl/ephy-tab.sgml:

	Say how to get an EphyWindow from an EphyEmbed

	* doc/reference/tmpl/ephy-embed-persist.sgml:
	* doc/reference/tmpl/ephy-embed.sgml:

	Automatically changed when I rebuilt docs

2004-04-03  Crispin Flowerday  <gnome@flowerday.cx>

	* lib/egg/egg-editable-toolbar.c: (set_fixed_style),
	(unset_fixed_style), (toolbar_changed_cb), (unparent_fixed),
	(update_fixed), (toolbars_clean), (egg_editable_toolbar_construct),
	(egg_editable_toolbar_set_model):
	* lib/egg/egg-toolbar-editor.c: (egg_toolbar_editor_load_actions):
	* lib/egg/egg-toolbars-model.h:

	Synchronise changes from galeon, this fixes simple usage, stops
	crashes when dragging items to and from other applications, and
	adds the ability to override the toolbar style.

2004-04-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (notebook_drag_data_received_cb):

	Remove stray semicolon. Fixes bug #138902.

2004-04-02  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: 
	
	Added "eu" (Basque) to ALL_LINGUAS.

2004-04-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_chrome_get_type):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-window.c: (get_chromes_visibility),
	(sync_chromes_visibility), (update_chromes_actions),
	(get_default_chrome), (ephy_window_init), (sync_prefs_with_chrome),
	(ephy_window_view_bookmarksbar_cb):

	Fix bookmarks toolbar visibility in fullscreen and print preview mode, as
	well as for javascript popups. Fixes bug #138520.

2004-03-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Fix --with-mozilla-snapshot help string; we don't support 1.4 and 1.5
	any more. 

2004-03-30  Piers Cornwell  <piers@gnome.org>

	* src/ephy-history-window.c: (confirmation_dialog_construct):

	Make buttons the same size in Industrial theme and make text 
	selectable.

2004-03-30  Piers Cornwell  <piers@gnome.org>

	* data/glade/prefs-dialog.glade:

	Use right capitalisation for label.

2004-03-30  Piers Cornwell  <piers@gnome.org>

	* data/glade/prefs-dialog.glade:
	* embed/mozilla/mozilla-notifiers.cpp: (mozilla_font_size_notifier):

	Don't allow a font size less than 1.	

2004-03-30  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:

	Get rid of the separators in the Image and Image/Link popups.
	Fixes bug #115897.

2004-03-30  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/tmpl/ephy-embed-factory.sgml:
	* embed/ephy-embed-factory.c:

	Documented EphyEmbedFactory. My, that was challenging. Not.

2004-03-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:

	Get rid of #if GTK_CHECK_VERSION() stuff and remove optionmenu code.
	
2004-03-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:
	* src/popup-commands.c:
	* src/popup-commands.h:
	* data/ui/epiphany-ui.xml:

	Remove Open Image in New Tab and New Window from the
	context menu.

2004-03-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* data/.cvsignore:
	* data/GNOME_Epiphany_NautilusView.server.in:
	* data/Makefile.am:
	* data/ui/.cvsignore:
	* data/ui/Makefile.am:
	* data/ui/nautilus-epiphany-view.xml:
	* doc/reference/Makefile.am:
	* embed/Makefile.am:
	* embed/ephy-embed-popup-control.c:
	* embed/ephy-embed-popup-control.h:
	* lib/Makefile.am:
	* lib/ephy-bonobo-extensions.c:
	* lib/ephy-bonobo-extensions.h:
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/ephy-nautilus-view.c:
	* src/ephy-nautilus-view.h:
	* src/ephy-shell.c: (ephy_automation_factory_cb):

	Removed the nautilus view.

2004-03-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-completion-model.h:

	Make EphyCompletionColumn a typedef enum, fixes bug #136878.

2004-03-29  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* embed/ephy-command-manager.c: (ephy_command_manager_base_init):
	* embed/ephy-command-manager.h:

	Document EphyCommandManager.

2004-03-29  Federico Mena Quintero  <federico@ximian.com>

	Fixes #138263.

	* lib/ephy-file-chooser.h: Remove EPHY_RESPONSE_OPEN and
	EPHY_RESPONSE_SAVE; we'll use GTK_RESPONSE_ACCEPT instead.

	* lib/ephy-file-chooser.c (ephy_file_chooser_new): Use
	GTK_RESPONSE_ACCEPT rather than EPHY_RESPONSE_*.

	* embed/print-dialog.c (print_filechooser_response_cb): Likewise.

	* src/bookmarks/ephy-bookmarks-editor.c
	(import_from_file_response_cb): Likewise.

	* src/prefs-dialog.c (download_path_response_cb): Likewise.

	* src/window-commands.c (open_response_cb): Likewise.

	* embed/mozilla/ContentHandler.cpp (PromptForSaveToFile):
	Likewise.

	* embed/mozilla/EphyHeaderSniffer.cpp (filechooser_response_cb):
	Likewise.

	* embed/mozilla/FilePicker.cpp (Init): Likewise.
	(Show): Likewise.

2004-03-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/epiphany.in:

	Test with -d, fixes bug #138088.

2004-03-29  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:

	Add "Save Link As..." to Image/Link popup. Fixes bug #138207.

2004-03-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Don't assume every anchor has a href attribute. Fixes bug #138200.

2004-03-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(cmd_open_bookmarks_in_tabs):

	Fix opening in new tabs when there is no existing window.
	Fixes bug #138343.

2004-03-28  Xan Lopez  <xan@gnome.org>

	* embed/mozilla/MozRegisterComponents.cpp:

	Tiny cleanup.

2004-03-27  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/epiphany.types:
	* doc/reference/tmpl/ephy-embed-persist.sgml:
	* embed/ephy-embed-persist.c: (ephy_embed_persist_get_type),
	(ephy_embed_persist_class_init):
	* embed/ephy-embed-persist.h:

	Document EphyEmbedPersist. Also, make it an abstract class. Change
	the return type of ephy_embed_persist_get_type() to long.

2004-03-27  Piers Cornwell  <piers@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_import):

	Use verb for action button and various minor tidy ups.

2004-03-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (show_embed_popup):

	Log context of event in debug mode.

2004-03-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-location-action.c: (location_url_activate_cb),
	(disconnect_proxy), (ephy_location_action_set_address):

	Correctly disconnect the handler not from the proxy but from the entry
	itself. Rationalise away one strdup.

2004-03-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):

	Register our stock icons.

	* embed/mozilla/ContentHandler.cpp:

	Use stock icon for "Download".

2004-03-26  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/tmpl/ephy-embed-single.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:
	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init),
	(ephy_embed_single_load_proxy_autoconf),
	(ephy_embed_single_get_font_list):
	* embed/ephy-embed-single.h:

	Documented EphyEmbedSingle. Made argument names consistent across the
	c and header files.

	* embed/ephy-embed.c:

	Fix gtk-doc warnings

	* doc/reference/tmpl/ephy-tab.sgml:

	All the properties showed up when chpe fixed gtk-doc-ness.

2004-03-26  Piers Cornwell  <piers@gnome.org>

	* src/ephy-window.c: (confirm_close_with_modified_forms):

	Fix duplicate accesskey, use correct case for button 
	text and make message selectable.

2004-03-26  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/Makefile.am:

	Add base dir to mozilla includes since the
	embed SDK dir structure has been flattened in cvs

2004-03-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp: (MIMEConfirmAction):
	
	Use stock icon for open. Fixes bug #135765.

2004-03-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init):

	Fix arg type of dom_* signals to match the closure.

2004-03-25  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/epiphany.types:

	Add ephy_tab_get_type(), fixes EphyTab documentation to include
	object properties.

2004-03-25  Adam Hooper  <adamh@cvs.gnome.org>

	* embed/ephy-embed.c:

	Fixed three gtk-doc comments.

2004-03-25  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/epiphany.types:
	* doc/reference/tmpl/ephy-embed.sgml
	* doc/reference/tmpl/ephy-tab.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:
	* embed/ephy-embed.c: (ephy_embed_base_init),
	(ephy_embed_set_zoom), (ephy_embed_get_zoom),
	(ephy_embed_find_set_properties):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-nautilus-view.c: (gnv_zoomable_set_zoom_level_cb),
	(gnv_zoomable_zoom_in_cb), (gnv_zoomable_zoom_out_cb),
	(gnv_zoomable_zoom_to_default_cb):
	* src/ephy-tab.c: (ephy_tab_address_cb),
	(ephy_tab_zoom_changed_cb):
	* src/ephy-window.c: (ephy_window_set_zoom):

	Documented EphyEmbed.

	s/zoom_[sg]et/[sg]et_zoom/g.

	Removed the ge_popup_blocked signal, which can be done entirely from
	an extension now.

	s/match_word/wrap_around/ and s/char */const char */ in
	ephy_embed_find_set_properties.

2004-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c:
	* src/ephy-window.c:

	Tiny doc fixes.

2004-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_property), (ephy_tab_get_property),
	(ephy_tab_get_window), (ephy_tab_action_activate_cb),
	(ephy_tab_class_init), (ephy_tab_destroy_brsr_cb),
	(ephy_tab_size_to_cb), (ephy_tab_dom_mouse_click_cb),
	(ephy_tab_init):
	* src/ephy-tab.h:
	* src/ephy-window.c: (tab_context_menu_cb),
	(ephy_window_set_active_tab):
	* src/ephy-window.h:

	Get rid of ephy_tab_[get|set]_window().

2004-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_visibility_cb):

	Fix the build, bad noda :P

2004-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-go-action.c: (connect_proxy), (disconnect_proxy),
	(ephy_go_action_class_init):

	Make the "Go" button actually work. Thanks to aes for alerting us to
	this problem.

2004-03-23  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/tmpl/ephy-tab.sgml:
	* src/ephy-tab.c: (ephy_tab_get_size), (ephy_tab_visibility_cb):
	* src/ephy-tab.h:

	Added EphyTab API documentation.

	Also removed ephy_tab_set_visibility
	and moved its functionality into ephy_tab_visibility_cb (), since I
	doubt it's got any practical use outside of there. (Though admittedly,
	I don't know whether "visibility" has any practical use anywhere.)

	Lastly, let ephy_tab_get_size () be called with NULL width or height,
	like gtk_window_get_size ().

2004-03-23  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/tmpl/epiphany-unused.sgml:

	Rearranged so that a) the stuff I haven't gone over is clearly marked,
	and b) the docs build for people who aren't chpe :).

2004-03-23  Adam Hooper  <adamh@cvs.gnome.org>

	* data/.cvsignore:

	Add epiphany-1.4.pc

	* doc/plan.xml:

	Add a comment about EphyPermissionManager's incorrect timing

	* doc/reference-howto.txt:

	s/TRUE/%TRUE, like gtk does it.

	* doc/reference/Makefile.am:
	* doc/reference/tmpl/ephy-permission-manager.sgml:
	* doc/reference/tmpl/ephy-window.sgml:
	* embed/ephy-permission-manager.c:
	* embed/ephy-permission-manager.h:
	* src/ephy-window.c: (ephy_window_activate_location):
	* src/ephy-window.h:

	API documentation.
	Also, put a newline in ephy_window_activate_location's definition

2004-03-22  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):

	the xbel mime type is now application/x-xbel

2004-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Forgot to s/logo/icon/g.

2004-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:

	Fix "Add" button width in the prefs dialogue for some themes.
	Fixes bug #137811.

2004-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Set window icon. Fixes bug #137806.

2004-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyContentPolicy.h:
	* embed/mozilla/MozRegisterComponents.cpp:

	Don't override nsWebBrowserContentPolicy contract ID, just register our own
	content policy with the category manager.

2004-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* data/Makefile.am:
	R data/epiphany-1.2.pc.in:
	A data/epiphany-1.4.pc.in:
	* src/Makefile.am:

	Make epiphany-extensions for epiphany 1.3 parallel-installable with those
	for epiphany 1.2.

2004-03-20  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-properties.c: (set_window_icon):

	Don't try to unref NULL icon. Fixes bug #137715.

2004-03-16  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed.c: (ephy_embed_chrome_get_type):
	* embed/ephy-embed.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed.cpp:

	Cleanups chromes code and register a type for the enum.

	* src/ephy-nautilus-view.c: (gnv_embed_new_window_cb):

	Adapt to the api changes

	* src/ephy-tab.c: (ephy_tab_new_window_cb):

	Move js chrome lockdown pref check here.

	* src/ephy-window.c: (get_chromes_visibility),
	(sync_chromes_visibility), (ephy_window_fullscreen),
	(ephy_window_unfullscreen), (update_chromes_actions),
	(update_actions_sensitivity), (show_embed_popup),
	(get_default_chrome), (ephy_window_set_property),
	(ephy_window_class_init), (actions_notifier),
	(navigation_notifier), (ephy_window_init), (ephy_window_finalize),
	(ephy_window_new_with_chrome), (ephy_window_set_print_preview),
	(ephy_window_show), (sync_prefs_with_chrome),
	(sync_chrome_with_view_toggle), (ephy_window_view_statusbar_cb),
	(ephy_window_view_toolbar_cb), (ephy_window_view_bookmarksbar_cb):

	Rework chrome handling so that it's not applied to all windows.
	Changes are now saved on the fly like for window size.

	* src/ephy-window.h:

	Use a construct property instead of a _set for chrome.

	* src/window-commands.c:
	* src/window-commands.h:

	Move chromes actions to EphyWindow so we dont need to expose
	chrome handling.

2004-03-18  Xan Lopez  <xan@gnome.org>

	* lib/widgets/ephy-node-view.c:
	(ephy_node_view_select_node_by_key):

	Make select-by-key support unsorted lists. Fuzzy matching is gone
	though. Oh well ... :) (bug #137054)

2004-03-18  Piers Cornwell  <piers@gnome.org>

	* src/pdm-dialog.c: (show_cookies_properties):

	Make secure description better (Bug #136443).

	* src/window-commands.c: (window_cmd_help_about):

	Add my email address.

	* embed/mozilla/GtkNSSDialogs.cpp:

	Include nsReadableUtils.h.

2004-03-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-import.h:

	Add firefox option in bookmarks import dialogue.

2004-03-17  Piers Cornwell  <piers@gnome.org>

	* help/C/epiphany.xml: Fix notes and tips to validate.

2004-03-15  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS
	* configure.in:
	
	Update for 1.2.0.

	* embed/mozilla/mozilla-download.cpp:

	Register the private structure.

2004-03-14  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (drag_data_received_cb),
	(toolbar_drag_motion_cb), (egg_editable_toolbar_init):

	Deal with the case where data_received signal is emitted
	asyncrounously.

2004-03-13  Alexander Shopov  <ash@contact.bg>

	* configure.in: Added bg to ALL_LINGUAS.

2004-03-09  Åsmund Skjæveland  <aasmunds@fys.uio.no>

	* configure.in (HAVE_MOZILLA_PSM): Added nn to ALL_LINGUAS.
	* po/nn.po: Started Norwegian Nynorsk translation.

2004-03-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (editor_drag_data_received_cb):

	Check if the dragged item is a separator. Fixes crash when it _is_
	a separator.

	* lib/egg/egg-toolbars-model.c:
	(egg_toolbars_model_remove_toolbar):

	Fix logic check for removable toolbar, & instead of &&.

	* src/ephy-location-action.c: (create_menu_proxy_cb),
	(connect_proxy), (ephy_location_action_activate):

	Don't make a proxy menu item for the location entry. Fixes crash
	when trying to activate its proxy menu item.

2004-03-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:

	Use CopyUTF8toUTF16 where appropriate.

2004-03-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (editor_drag_data_received_cb):

	Check if the dragged item is a separator. Fixes a crash if it _is_ one.

	* src/ephy-location-action.c: (create_menu_proxy_cb),
	(connect_proxy), (ephy_location_action_activate):

	Don't make the location entry have a proxy menu item. Fixes a crash when
	trying to activate the proxy menu item.

2004-03-08  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c:
	(egg_toolbars_model_remove_toolbar):

	Test flags with & not &&. (Thanks to Crispin for spotting this.)

2004-03-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	EPIPHANY_MAJOR=1.3

2004-03-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.h:
	* embed/ephy-embed-factory.c:
	* embed/ephy-embed-factory.h:
	* embed/mozilla/EphyAboutRedirector.cpp:
	* embed/mozilla/EphyAboutRedirector.h:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/ExternalProtocolHandlers.h:
	* embed/mozilla/mozilla-notifiers.h:
	* lib/eel-gconf-extensions.c:
	* lib/eel-gconf-extensions.h:
	* lib/ephy-bonobo-extensions.c:
	* lib/ephy-bonobo-extensions.h:
	* lib/ephy-dnd.c:
	* lib/ephy-state.c:
	* lib/ephy-string.c:
	* lib/ephy-zoom.c:
	* lib/widgets/ephy-arrow-toolbutton.h:
	* lib/widgets/ephy-cell-renderer-progress.c:
	* lib/widgets/ephy-cell-renderer-progress.h:
	* lib/widgets/ephy-ellipsizing-label.c:
	* lib/widgets/ephy-ellipsizing-label.h:
	* lib/widgets/ephy-spinner.c:
	* lib/widgets/ephy-zoom-action.h:
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmark-properties.c:
	* src/bookmarks/ephy-bookmarks-export.h:
	* src/bookmarks/ephy-bookmarks-import.h:
	* src/bookmarks/ephy-bookmarks-menu.h:
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-new-bookmark.c:
	* src/bookmarks/ephy-topic-action.h:
	* src/ephy-toolbars-model.h:
	* src/popup-commands.h:
	* src/ppview-toolbar.h:
	* src/prefs-dialog.h:
	* src/toolbar.h:

	CVS version markers.

2004-03-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c:
	* embed/ephy-download.c:
	* embed/ephy-embed-dialog.c:
	* embed/ephy-embed-event.c:
	* embed/ephy-embed-factory.c:
	* embed/find-dialog.c:
	* embed/print-dialog.c:
	* lib/ephy-bonobo-extensions.c:
	* lib/ephy-debug.c:
	* lib/ephy-dnd.c:
	* lib/ephy-glade.c:
	* lib/ephy-node-db.c:
	* lib/ephy-node-filter.c:
	* lib/ephy-state.c:
	* lib/ephy-stock-icons.c:
	* lib/ephy-zoom.c:
	* lib/widgets/ephy-arrow-toolbutton.c:
	* lib/widgets/ephy-cell-renderer-progress.c:
	* lib/widgets/ephy-ellipsizing-label.c:
	* lib/widgets/ephy-location-entry.c:
	* lib/widgets/ephy-node-view.c:
	* lib/widgets/ephy-search-entry.c:
	* lib/widgets/ephy-tree-model-node.c:
	* lib/widgets/ephy-tree-model-sort.c:
	* src/bookmarks/ephy-bookmark-properties.c:
	* src/bookmarks/ephy-bookmarks-export.c:
	* src/bookmarks/ephy-new-bookmark.c:
	* src/bookmarks/ephy-topics-selector.c:
	* src/ephy-automation.c:
	* src/ephy-completion-model.c:
	* src/ephy-extension.c:
	* src/ephy-favicon-action.c:
	* src/ephy-history-window.c:
	* src/ephy-location-action.c:
	* src/ephy-navigation-action.c:
	* src/ephy-toolbars-model.c:
	* src/ppview-toolbar.c:

	Include "config.h" everywhere, and s/<config.h>/"config.h". Guard
	with #if HAVE_CONFIG_H.

2004-03-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	s/UCS2/UTF16/g now that we can depend on mozilla >= 1.6.

2004-03-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-encodings.c:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* embed/mozilla/ExternalProtocolHandlers.cpp:
	R embed/mozilla/ExternalProtocolService.cpp:
	R embed/mozilla/ExternalProtocolService.h:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.h:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.h:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/MozRegisterComponents.h:
	* embed/mozilla/PrintingPromptService.h:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* lib/ephy-langs.c:
	* src/ephy-window.c: (show_embed_popup):

	Kill support for mozilla < 1.6. 

2004-03-08  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-cell-renderer-progress.c:
	(ephy_cell_renderer_progress_set_property):
	* lib/widgets/ephy-zoom-action.c: (ephy_zoom_action_set_property):
	* lib/widgets/ephy-zoom-control.c:
	(ephy_zoom_control_set_property):
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_set_property):
	* src/ephy-favicon-action.c: (ephy_favicon_action_set_property):
	* src/ephy-location-action.c: (ephy_location_action_set_property):

	Remove unnecessary g_object_notify. RTFM chpe :P

2004-03-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Version 1.3.0.
	Kill support for mozilla < 1.6.

2004-03-07  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS:
	* configure.in:
	* help/Makefile.am:

	Remove nl docs (incomplete). Ready for 1.1.11

2004-03-07  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Updated for 1.1.11.

2004-03-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_bookmark),
	(xbel_parse_folder), (xbel_parse_xbel),
	(ephy_bookmarks_import_xbel):

	Really always check the return value of xmlTextReaderRead(), don't advance
	if it's != 1. Fixes bug #136151.

2004-03-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (notebook_drag_data_received_cb):

	Fix crash when dragging a link to a tab label; I forgot to change
	this making the recent EphyTab/EphyEmbed changes.

2004-03-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Also pop up the context menu with the menu key.

2004-03-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Persist changed accels with gnome_accelerator_sync().

2004-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Increase MOZILLA_SNAPSHOT for 1.7b, and depend on gtk+ >= 2.3.5.

	* embed/mozilla/GlobalHistory.cpp:

	Adapt to changed mozilla API.

2004-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Don't return an error when a DOM document isn't a HTML document, it's ok
	not to be one (happens for XUL docs, like about:config).

2004-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_downloads_dir):

	Don't assume Desktop directory location, check the gconf key if it's
	$HOME/Desktop or $HOME. Fixes bug #134951.

2004-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:

	Replace filename validity check, it was making the filename invalid
	UTF-16. Simply convert to UTF-8 beforehand and check for "/" chars.

2004-03-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_address_cb), (ephy_tab_title_cb),
	(ensure_page_info), (ephy_tab_net_state_cb),
	(clipboard_text_received_cb), (ephy_tab_dom_mouse_click_cb),
	(ephy_tab_update_navigation_flags), (ephy_tab_set_title):

	Don't use ephy_tab_get_embed(), instead use the pointer provided when
	we connected the callbacks. Hopefully fixes bug #136122.

2004-03-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Don't set the 5-star icon as window icon for the about dialogue.
	Fixes bug #135010.

2004-03-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Change wait interval between updates to 0.2 s.

2004-03-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (uri_list_parse),
	(drag_data_received_cb):

	Copy and modify gnome_vfs_uri_list_parse() so that we get a list
	of string uris instead of GnomeVFSURIs. Change signature of
	::node-dropped accordingly. Fixes bug #120231.

	* src/bookmarks/ephy-bookmarks-editor.c: (node_dropped_cb):

	Adapt to the changed ::node-dropped signal signature.
	
2004-03-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (download_dialog_pause_cb),
	(download_dialog_abort_cb):

	Unset the GValue after we're done using what it contained.

	* embed/mozilla/MozDownload.cpp:

	Weak ref mEphyDownload, and assert that is has been finalised by the time
	we get to ~MozDownload.

	* embed/mozilla/mozilla-download.cpp:

	Debug output in _init and _finalize.

2004-03-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (favicon_cache_changed_cb),
	(ephy_bookmark_action_sync_icon), (ephy_bookmark_action_init):

	If the favicon isn't ready when we need it, connect to the favicon
	cache's ::changed signal to show it when we have it. Fixes bug #135855.

2004-03-02  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-tab.c: (ephy_tab_destroy_brsr_cb):

	Do not show the unsubmitted dialog for js close

2004-03-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-chooser.c: (ephy_file_chooser_init):

	Don't remember the size of the filechoose dialogue, because it doesn't
	play nicely with the new save mode when toggling the expander.
	Fixes bug #135947.

2004-03-02  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-session.c: (ephy_session_init), (offer_to_resume),
	(ephy_session_autoresume):

	Never show two resume dialogs, just re-present the old one.

2004-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (backup_file),
	(ephy_bookmarks_init):

	Don't try to backup non-existing files :)
	Also, when neither ephy-bookmarks.xml nor bookmarks.rdf exist,
	assume we have a new profile and don't warn about missing bookmarks.

2004-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (smart_child_added_cb),
	(smart_child_removed_cb), (ephy_bookmark_action_init):

	Correctly sync the smarturl property of EphyBookmarksAction when
	it changes. Fixes incorrect show/hide of the entry on the bookmarks
	toolbar.

2004-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (update_has_smart_address):

	When changing a bookmark address and it was a smart bookmark but
	now is not anymore, remove the bookmark from the smart_bmks node
	instead of adding it :)

2004-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbars-model.c: (get_toolbar_pos),
	(ephy_toolbars_model_set_bookmarks):

	Ensure we always have a BookmarksBar toolbar in the model.
	Fixes bug #135701.

2004-03-01  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/eggstatusicon.c: (egg_status_icon_init),
	(egg_status_icon_button_press):

	The icon should be activated by double click

2004-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c:

	Add API docs.

2004-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (backup_file),
	(ephy_bookmarks_init):

	If reading the bookmarks file, or re-importing the bookmarks from the
	rdf file fails, back up those files so that the user can afterwards
	try to manually recover his bookmarks. Fixes bug #128308.

2004-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_folder),
	(xbel_parse_xbel), (ephy_bookmarks_import_xbel):

	Fix XBEL importer not to tag all bookmarks with a "Bookmarks" category.

2004-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (create_statusbar_security_icon),
	(ephy_statusbar_add_widget):
	* src/ephy-statusbar.h:

	Export ephy_statusbar_add_widget() for use by extensions.

2003-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node-db.c: (ephy_node_db_load_from_file):

	Guard against xml reading error, check for NULL subtree before
	trying to parse it.

2004-03-01  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download),
	(downloader_view_remove_download):

	Keep a ref for downloads in the view.

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:

	Ensure the download directory exist.

	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-download.h:

	Use a property to store MozDownload in the
	wrapper. The wrapper now keep a reference
	on the c++ implementation, that way references
	will be correctly propagated (unreffing the
	GObject will unref the c++ object).

	(Bug 135755)

2004-02-29  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Correct the label of the action button (Open)

2004-02-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (remove_obsolete_pages):

	Iterate backwards over the children when removing a host.

2004-02-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_class_init),
	(kill_download), (ephy_favicon_cache_finalize),
	(favicon_name_build), (favicon_download_completed_cb),
	(favicon_download_cancelled_cb), (ephy_favicon_cache_download),
	(ephy_favicon_cache_get):
	* embed/ephy-favicon-cache.h:

	Remove cancelled downloads from the downloads hash; and remove
	partially downloaded favicons.

2004-02-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/PrintingPromptService.cpp:

	Add debug output in ctors and dtors.

2004-02-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (ephy_bookmarks_menu_clean),
	(ephy_bookmarks_menu_rebuild):

	Separately profile bookmarks menu clean and rebuild.

2004-02-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.c: (ephy_embed_persist_class_init):
	* embed/ephy-embed-persist.h:

	Add "cancelled" signal to EphyEmbedPersist.

	* embed/mozilla/mozilla-embed-persist.cpp:

	Emit "cancelled" signal when the download is cancelled.

2004-02-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-event.cpp: (mozilla_embed_event_init),
	(mozilla_embed_event_finalize), (mozilla_embed_event_set_property):

	Add debug output.

2004-02-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp: (PerformSave):

	Decode RFC 2231 and RFC 2047 encoded filenames in content-disposition
	headers. Ported from mozilla Camino, see
	http://bugzilla.mozilla.org/show_bug.cgi?id=233798 .

2004-02-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp: (MozDownload), (~MozDownload):

	Add debug output.
		
2004-02-29  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Fix max size logic, thanks to chpe.

2004-02-29  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-session.c: (impl_attach_window),
	(ephy_session_add_window):

	Fix order of the windows, they was reversed before.

2004-02-28  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (topics_removed_cb):

	fix typo that was causing categorized bookmarks to
	go in the uncategorized topic (Bug #135702)

2004-02-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_folder),
	(ephy_bookmarks_import_xbel):

	If a folder has no name, don't tag its bookmarks with "Untitled"
	keyword, just skip it.

2004-02-28  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Use getInterface to get the dom window from the
	docshell, not queryInterface. (Bug #121160)

	* embed/mozilla/MozillaPrivate.cpp:

	Do not fallback to the active window if
	the parent cannot be found. It just hides problems
	and cause more annoying behaviors (like dialogs
	parented on the wrong window).

2004-02-28  Marco Pesenti Gritti  <marco@gnome.org>

	* HACKING:

	Add a note about changelog entry.

	* TODO:

	Remove old stuff

2004-02-28  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	(egg_editable_toolbar_get_edit_mode):
	* lib/egg/egg-editable-toolbar.h:
	* lib/widgets/ephy-location-entry.c: (toolbar_is_editable),
	(entry_drag_motion_cb), (entry_drag_drop_cb),
	(ephy_location_entry_construct_contents):

	Sucky but not intrusive hack to make dnd on the address
	entry work when editing toolbar. A better solution
	will be found when the toolbar editor will get in gtk.
	Based on a patch from Søren Sandmann, bug 132467.

2004-02-28  Xan Lopez  <xan@gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):

	Add missing check for Firebird bookmarks, patch by André Dahlqvist.

2004-02-27  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:

	Remove an useless check.

	* lib/ephy-state.c: (ephy_state_window_set_size):

	Make sure window is never bigger than screen.

2004-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Depend on gk+ >= 2.3.4, but since the filechooser API changed, you'll really
	need the latest from cvs.

2004-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/FilePicker.cpp:
	* lib/ephy-file-chooser.c: (ephy_file_chooser_init),
	(ephy_file_chooser_new):
	* src/prefs-dialog.c: (prefs_download_path_button_clicked_cb):

	Fix for gtk+ filechooser API change.

2004-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (ns_parse_bookmark_item):

	Fix potential crash.

	(ephy_bookmarks_import_mozilla):

	Fix mem leak.

2004-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import_mozilla):

	Replace entities also in folder names, fixes bug #135440.

2004-02-26  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-tab.c: (ephy_tab_address_cb), (ensure_page_info):

	Do not show about:blank to the user, an empty address bar
	will do better.
	When the address bar is empty (no page or blank page is
	loaded) set the address before loading succeeded.

2004-02-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (open_response_cb):

	Check for NULL before converting filename to UTF-8.

2004-02-25  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed-persist.c: (ephy_embed_persist_set_max_size),
	(ephy_embed_persist_set_property),
	(ephy_embed_persist_get_property), (ephy_embed_persist_init),
	(ephy_embed_persist_class_init):
	* embed/ephy-embed-persist.h:

	Make max size property use long / bytes.

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download):

	Correct to use bytes.

	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/mozilla-embed-persist.cpp:

	Actually respect the max_size property.

2004-02-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (let_me_resize_hack), (ephy_tab_size_to_cb):

	Change this back to simply do g_idle_add(), accidentally forgot to
	revert my change.

2004-02-24  Xan Lopez  <xan@gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:

	Unescape filenames whenever possible.
	
	* src/popup-commands.c: (save_property_url):

	Nitpick.

2004-02-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-nautilus-view.c: (gnv_embed_new_window_cb):
	* src/ephy-notebook.c: (ephy_notebook_class_init),
	(tab_label_size_request_cb), (ephy_notebook_move_tab), (move_tab),
	(motion_notify_cb), (move_tab_to_another_notebook),
	(button_release_cb), (ephy_notebook_switch_page_cb),
	(ephy_notebook_init), (close_button_clicked_cb), (build_tab_label),
	(ephy_notebook_insert_tab), (smart_tab_switching_on_closure),
	(ephy_notebook_remove_tab):
	* src/ephy-notebook.h:
	* src/ephy-session.c: (tab_added_cb), (tab_removed_cb):
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-tab.c: (ephy_tab_get_type), (ephy_tab_size_allocate),
	(ephy_tab_parent_set), (ephy_tab_class_init), (ephy_tab_finalize),
	(ephy_tab_new), (ephy_tab_get_embed), (ephy_tab_for_embed),
	(ephy_tab_new_window_cb), (let_me_resize_hack),
	(ephy_tab_visibility_cb), (ephy_tab_size_to_cb),
	(ephy_tab_dom_mouse_click_cb), (ephy_tab_init),
	(ephy_tab_update_navigation_flags), (ephy_tab_set_title):
	* src/ephy-tab.h:
	* src/ephy-tabs-menu.c: (tab_added_cb), (tab_removed_cb),
	(tabs_reordered_cb), (ephy_tabs_menu_set_window),
	(ephy_tabs_menu_update):
	* src/ephy-window.c: (tab_added_cb), (tab_removed_cb),
	(tab_detached_cb), (tabs_reordered_cb), (tab_delete_cb),
	(setup_notebook), (ephy_window_add_tab), (ephy_window_jump_to_tab),
	(real_get_active_tab), (ephy_window_remove_tab),
	(ephy_window_get_active_tab), (ephy_window_get_active_embed),
	(ephy_window_get_tabs):
	* src/ephy-window.h:
	* src/window-commands.c: (window_cmd_tabs_move_left),
	(window_cmd_tabs_move_right), (window_cmd_tabs_detach):

	Make EphyTab inherit from GtkBin, and contain the EphyEmbed as its child.

2004-02-24  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-tab.c: (address_has_web_scheme):

	Do not use gnome vfs to check the scheme because
	it can handle only supported methods.

2004-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/Makefile.am:

	Remove nsUnicharUtils.h from docs makefile.

2004-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.h:
	* lib/ephy-glade.c:

	Removed an unused #include.

2004-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (connect_signals):

	Always connect signals, not just for PT_AUTOAPPLY props.

2004-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/tmpl/EphyContentPolicy.sgml:
	* doc/reference/tmpl/EphySingle.sgml:
	* doc/reference/tmpl/ephy-cookie-manager.sgml:
	* doc/reference/tmpl/ephy-embed-factory.sgml:
	* doc/reference/tmpl/ephy-embed-single.sgml:
	* doc/reference/tmpl/ephy-password-manager.sgml:
	* doc/reference/tmpl/ephy-permission-manager.sgml:
	* doc/reference/tmpl/ephy-session.sgml:
	* doc/reference/tmpl/ephy-shell.sgml:
	* doc/reference/tmpl/mozilla-embed-event.sgml:

	Commit changed, auto-generated templates.

2004-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Epiphany 1.1.10.

2004-02-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-21  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/Makefile.am:

	Actually remove nsUnicharUtils.*

	* embed/mozilla/mozilla-embed-persist.cpp:

	Use our helper to construct tmp file name: fix
	security issue.

	* src/window-commands.c: (save_temp_source):

	Cosmetic change

2004-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	R embed/mozilla/nsUnicharUtils.h:
	R embed/mozilla/nsUnicharUtils.cpp:

	Adapt to changed mozilla string APIs by getting rid of
	nsUnicharUtils, and using EqualsIgnoreCase instead of
	Equal with nsCaseInsensitiveStringComparator().

2004-02-20  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-completion-model.c: (is_base_address),
	(init_relevance_col):

	Ensure that there are no more chars after the last /.
	Cut down number of visists properly.

2004-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (popup_toolbar_context_menu_cb):

	Fix logic error, spotted by Crispin.

	* lib/egg/egg-toolbars-model.h:

	Make it clear that EggTbModelFlags is a bitfield enum.

2004-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/eel-gconf-extensions.c:

	#ifdef HAVE_CONFIG_H the inclusion of config.h.

2004-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:

	Remove duplicate entry for ephy-gui.h.

2004-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-command-manager.c: (ephy_command_manager_get_type),
	(ephy_command_manager_base_init),
	(ephy_command_manager_do_command),
	(ephy_command_manager_can_do_command):
	* embed/ephy-command-manager.h:
	* embed/ephy-cookie-manager.c: (ephy_cookie_manager_get_type),
	(ephy_cookie_manager_base_init),
	(ephy_cookie_manager_list_cookies),
	(ephy_cookie_manager_remove_cookie), (ephy_cookie_manager_clear):
	* embed/ephy-cookie-manager.h:
	* embed/ephy-embed-event.c: (ephy_embed_event_get_type),
	(ephy_embed_event_get_event_type), (ephy_embed_event_get_context),
	(ephy_embed_event_get_modifier), (ephy_embed_event_get_coords),
	(ephy_embed_event_get_property), (ephy_embed_event_has_property),
	(ephy_embed_event_get_dom_event):
	* embed/ephy-embed-event.h:
	* embed/ephy-embed-single.c: (ephy_embed_single_get_type),
	(ephy_embed_single_iface_init), (ephy_embed_single_clear_cache),
	(ephy_embed_single_clear_auth_cache),
	(ephy_embed_single_set_offline_mode),
	(ephy_embed_single_load_proxy_autoconf),
	(ephy_embed_single_get_font_list):
	* embed/ephy-embed-single.h:
	* embed/ephy-embed.c: (ephy_embed_get_type),
	(ephy_embed_base_init), (ephy_embed_load_url),
	(ephy_embed_stop_load), (ephy_embed_can_go_back),
	(ephy_embed_can_go_forward), (ephy_embed_can_go_up),
	(ephy_embed_get_go_up_list), (ephy_embed_go_back),
	(ephy_embed_go_forward), (ephy_embed_go_up),
	(ephy_embed_get_title), (ephy_embed_get_location),
	(ephy_embed_get_link_message), (ephy_embed_get_js_status),
	(ephy_embed_reload), (ephy_embed_zoom_set), (ephy_embed_zoom_get),
	(ephy_embed_shistory_n_items), (ephy_embed_shistory_get_nth),
	(ephy_embed_shistory_get_pos), (ephy_embed_shistory_go_nth),
	(ephy_embed_get_security_level), (ephy_embed_find_set_properties),
	(ephy_embed_find_next), (ephy_embed_activate),
	(ephy_embed_set_encoding), (ephy_embed_get_encoding_info),
	(ephy_embed_print), (ephy_embed_print_preview_close),
	(ephy_embed_print_preview_n_pages),
	(ephy_embed_print_preview_navigate),
	(ephy_embed_has_modified_forms):
	* embed/ephy-embed.h:
	* embed/ephy-password-manager.c: (ephy_password_manager_get_type),
	(ephy_password_manager_add), (ephy_password_manager_remove),
	(ephy_password_manager_list):
	* embed/ephy-password-manager.h:
	* embed/ephy-permission-manager.c:
	(ephy_permission_manager_get_type),
	(ephy_permission_manager_base_init), (ephy_permission_manager_add),
	(ephy_permission_manager_remove), (ephy_permission_manager_clear),
	(ephy_permission_manager_test), (ephy_permission_manager_list):
	* embed/ephy-permission-manager.h:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	s/IFace/Iface/g to match the gtk+ naming convention.

2004-02-20  Julio M. Merino Vidal  <jmmv@menta.net>

	* configure.in:

	Remove duplicate --with-html-dir argument

	* data/epiphany.schemas.in:

	fix a syntax error

2004-02-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (update_editor_sheet):

	Fix off-by-one error when computing the height of the table.

2004-02-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (toolbar_removed_cb),
	(egg_toolbar_editor_set_model), (egg_toolbar_editor_class_init),
	(update_actions_list), (egg_toolbar_editor_load_actions):
	* lib/egg/egg-toolbar-editor.h:

	When removing a toolbar, make its items available again in the toolbar
	editor. Fixes bug #131182.

2004-02-18  Alexander Winston  <alexander.winston@comcast.net>

	* help/C/epiphany.xml: Fixed typos in the bookmarks explanation.

2004-02-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (item_added_cb),
	(item_removed_cb), (egg_editable_toolbar_construct):

	Remove the toolbar height contraint when the first item is added
	to it. Fixes bug #131181.

2004-02-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extension.c: (ephy_extension_get_type),
	(ephy_extension_attach_window), (ephy_extension_detach_window):
	* src/ephy-extension.h:
	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_iface_init):
	* src/ephy-session.c: (ephy_session_iface_init):

	s/EphyExtensionClass/EphyExtensionIface/g

2004-02-17  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.in:

	Epiphany 1.1.9.

2004-02-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Don't use #if inside a macro. Fixe compilation with gcc 3.2.2.

2004-02-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/FilePicker.cpp: (::AppendFilter):

	Make it work (TM).

2004-02-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/FilePicker.cpp: (::Show), (::GFilePicker),
	(::~GFilePicker):

	Weak ref the real dialogue, and hide the dialogue after
	running it. Fixes interaction with nsIFilePicker lifecycle
	when shown from javascript.

2004-02-15  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS:
	* configure.in:

	Prepare for 1.1.8

	* embed/downloader-view.c: (downloader_view_build_ui):

	Revert the timeout for now, I dont think it's mature
	for the release.

2004-02-14  Xan Lopez  <xan@gnome.org>

	* data/.cvsignore:

	Quiet cvs.

2004-02-13  Marco Pesenti Gritti  <marco@gnome.org>

	* data/mime-types-permissions.xml:

	Several types are actually safe.

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:

	Change the safe/unsafe logic to not consider unkown
	files unsafe, they will not be opened anyway.
	Cleanups.

2004-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/Makefile.am:
	* src/Makefile.am:

	Install the statusbar .h file.

	R src/statusbar.[ch]:
	A src/ephy-statusbar.[ch]:

	s/statusbar/ephy-statusbar/ and friends.

	* src/ephy-window.c: (sync_tab_load_progress), (sync_tab_security),
	(ephy_window_init):

	Change references from statusbar to ephy-statusbar.
	Remove selection-received stuff, since it now lives in EphyTab.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* data/Makefile.am:
	R data/epiphany-1.0.pc.in:
	A data/epiphany-1.2.pc.in:

	Changed .pc file version to 1.2, since we're not API-compatible with
	1.0.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (download_dialog_abort_cb):

	Safety check.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp: (mozilla_embed_security_change_cb):

	Use static_cast<>, don't cast directly.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (set_sensitivity):

	Don't set entries insensitive, only set the non-editable when the
	gconf key isn't writable.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:
	* src/prefs-dialog.c: (get_download_button_label):

	Unify fallback downloads dir to get the home directory.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:

	Don't insist on a parent for the dialogue; because there isn't one
	when we try to load a favicon over https: at startup.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-popup-control.c: (save_url),
	(embed_popup_set_image_as_background_cmd):
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_get_type),
	(ephy_favicon_cache_class_init), (favicon_name_build),
	(favicon_download_completed_cb), (ephy_favicon_cache_get):
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/MozDownload.cpp:
	* lib/ephy-file-chooser.c: (ephy_file_chooser_set_persist_key):
	* lib/ephy-file-helpers.c: (ephy_file_downloads_dir):
	* src/popup-commands.c: (popup_cmd_set_image_as_background):
	* src/prefs-dialog.c: (get_download_button_label),
	(download_path_response_cb):

	Fix numerous places where we weren't properly converting between UTF-8
	and filename encoding.

	* embed/ephy-favicon-cache.c:

	Bump favicon cache xml version.

	* embed/mozilla/EphyHeaderSniffer.cpp:

	Fix mem leak, and use CONF_STATE_SAVE_DIR instead of the download dir
	key for directory persistence.

2004-02-12  Marco Pesenti Gritti  <marco@gnome.org>

	* data/glade/prefs-dialog.glade:

	Add a missing accellerator

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node-db.c: (ephy_node_db_write_to_xml_valist):
	* src/bookmarks/ephy-bookmarks-export.c:
	(ephy_bookmarks_export_rdf):
	* src/ephy-session.c: (ephy_session_save):

	Re-enalble indentation.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Depend on libxml2 >= 2.6.6 because of bug #133298 and bug # 131548.

	* src/ephy-main.c: (main):

	Use LIBXML_TEST_VERSION to check for API compatibility.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Fix compilation with mozilla 1.4.

2004-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GlobalHistory.h:
	* embed/mozilla/MozRegisterComponents.cpp:

	Adapt to the ever-changing mozilla APIs.

2004-02-12  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-location-entry.c: (keyword_match):

	Simplify and hopefully fix mem corruption

2004-02-12  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	When open is explicitly requested from the dialog use
	a tmp file.

2004-02-11  Chris Lahey  <clahey@rigger.boston.ximian.com>

	* embed/downloader-view.c: Added timeout so that dialog won't
	disappear before 5 seconds is over.  Made Pause/Resume button
	update label properly.

2004-02-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c:

	Increase bookmarks format version.

2004-02-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_add):

	Update bookmarks keywords

2004-02-11  Xan Lopez  <xan@gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Put the serial numbers in duplicated filenames just before
	the last dot so we won't confuse apps like file-roller.

2004-02-11  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/downloader-view.c: (downloader_view_build_ui):

	Make columns resizable

2004-02-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-tab.c: (open_link_in_new_tab),
	(ephy_tab_dom_mouse_click_cb):

	Do not load js urls when middle clicked.

2004-02-11  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-location-entry.c: (completion_func):

	Cleanup

	* src/bookmarks/ephy-bookmarks.c:

	Increase format version

2004-02-11  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-location-entry.c: (keyword_match),
	(completion_func):

	Better keyword matching function. Should match only words
	(not middle parts of them) and maybe be a bit faster.

2004-02-11  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-node.c: (callback), (child_changed),
	(ephy_node_set_property):

	Pass the property id to the changed signal.

	* lib/ephy-node.h:

	Cleanup.

	* embed/ephy-history.c: (hosts_changed_cb), (pages_changed_cb):
	* lib/widgets/ephy-location-entry.c: (completion_func):
	* lib/widgets/ephy-tree-model-node.c: (root_child_changed_cb):
	* src/bookmarks/ephy-bookmark-action.c:
	(bookmarks_child_changed_cb):
	* src/bookmarks/ephy-bookmarks-menu.c: (topic_child_changed_cb):
	* src/bookmarks/ephy-topic-action.c: (topic_child_changed_cb):
	* src/ephy-completion-model.c: (root_child_changed_cb):
	* src/ephy-location-action.c: (actions_child_changed_cb):

	Fixup changed signals signature.

	* src/bookmarks/ephy-bookmarks.c: (update_bookmark_keywords),
	(bookmarks_changed_cb), (bookmark_is_categorized),
	(topics_removed_cb), (ephy_bookmarks_set_keyword),
	(ephy_bookmarks_unset_keyword):

	Cleanup keywords building, normalize and case fold it, add
	the title words as keywords too.

2004-02-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp: (impl_save):

	Fix mem leaks.

2004-02-11  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-completion-model.c: (is_base_address),
	(init_relevance_col):

	Better autocompletion sorting logic.

	* src/window-commands.c: (window_cmd_help_about):

	s/translator_credits/translator-credits

2004-02-10  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-completion-model.c: (init_text_col):

	Show the title of the bookmark, not the address

2004-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (clipboard_text_received_cb),
	(ephy_tab_dom_mouse_click_cb):

	Fix the fix for the epiphany equivalent of bug #133633. Don't convert
	the clipboard contents directly as the souurce may not offer UTF-8 text.
	Instead request the contents, and gtk+ will convert it for us.

2004-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c:
	* embed/ephy-embed-popup-control.c:

	Include config.h.

2004-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mi" to ALL_LINGUAS.

2004-02-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_init):

	Remove trailing / in invocation of mkdir, since it's unneeded and not
	portable. Patch by Julio M. Merino Vidal, fixes bug 133738.

2004-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_dom_mouse_click_cb):

	Make middle-click paste work with urls with IDN domain names.
	Fixes the epiphany equivalent of galeon bug 133633.

2004-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Excise old galeon 1, non ported, defined-out code.

2004-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Honour the --with-gconf-schema-file-dir and --disable-schemas-install
	configure options. Patch by Julio M. Merino Vidal, fixes bug #133533.

2004-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:

	Now that GtkComboBox supports mnemonic activation,
	set the focus target of the combos' labels.

2004-02-05  Piers Cornwell  <piers@cvs.gnome.org>

	* src/ephy-session.c: (offer_to_resume):

	Make warning message selectable per hig.

2004-02-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (connect_proxy):
	* src/bookmarks/ephy-topic-action.c: (connect_proxy):

	No need to connect to the toolitem's create-menu-proxy signal,
	gtk+ does it for us.

2004-02-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-go-action.c: (ephy_go_action_get_type),
	(create_tool_item), (ephy_go_action_class_init):

	gtk+ now connects the tool item's create_menu_proxy to the
	action's create_menu_item, so we don't need to do it ourselves.
	Also unnecessary to do connect_proxy.
	The go action is now almost empty, we should really see if
	we can use a stock gtktoolbutton for it.

2004-02-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-zoom-action.c: (ephy_zoom_action_get_type),
	(zoom_to_level_cb), (connect_proxy), (proxy_menu_activate_cb),
	(create_menu_item), (ephy_zoom_action_class_init):
	* lib/widgets/ephy-zoom-action.h:
	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_class_init):

	Fix toolbar overflow menu creation. Don't connect zoom control signals
	to a menu item.

2004-02-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-arrow-toolbutton.c: 
	(ephy_arrow_toolbutton_finalize):
	
	Fix mem leak.

2004-02-04  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:
	* data/glade/certificate-dialogs.glade:
	* data/glade/print.glade:
	* data/glade/prefs-dialog.glade:

	Dialogs shouldn't show up in the window list, period.

2004-02-04  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/pref-dialog.glade:
	* data/glade/epiphany.glade:

	Don't show Find, Add Language, and Encodings dialogue in
	window list.

2004-02-04  David Bordoley      <bordoley@msu.edu>

	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_new):

	Set a default height/width for the dialog.	

2004-02-04  Biggest Flake Ever  <flake@whataflake.com>
	    David Bordoley      <bordoley@msu.edu>

	* embed/downloader-view.c: (downloader_view_new):
	* src/prefs-dialog.c: (setup_add_language_dialog):

	Use a default width/height for dialogs with
	tree views that don't have a fixed requisition.

2004-02-04  Piers Cornwell  <piers@cvs.gnome.org>

	* src/ephy-history-window.c: (confirmation_dialog_construct):

	Use title capitalisation for title.

2004-02-02  Maxim Dziumanenko <mvd@mylinux.com.ua>

	* configure.in: Added "uk" in ALL_LINGUAS

2004-02-02  Marco Pesenti Gritti  <marco@gnome.org>

	* autogen.sh:
	* omf.make:
	* xmldocs.make:

	Use gnome-common to generate help makefiles

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Version 1.1.7.

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c: (ephy_extensions_manager_init):
	* src/ephy-extensions-manager.h:
	* src/ephy-shell.c: (ephy_shell_get_extensions_manager):

	Decouple extensions manager initialisation and extensions loading.
	Fixes a crash when an extensions tried to get the session,
	causing us to load extensions more than once.

2004-02-01  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-stock-icons.h:

	typo in icon name

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler:

	Add a space after period, fixes bug #133151.

2004-02-01  Xan Lopez  <xan@gnome.org>

	* embed/downloader-view.c: (status_icon_activated),
	(downloader_view_build_ui):

	Activating the status icon should only show it (HIG says so).
	Also set the downloader view to BROSWE mode.

2004-01-31  Adam Hooper  <adamh@cvs.gnome.org>

	* NEWS:
	* configure.in:

	Prepare for 1.1.6

2004-01-30  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_class_init):

	Fix typo: s/PROP_LOAD_STATUS/PROP_LOAD_PROGRESS.

2004-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Don't try to g_free a nsCOMPtr<>, and use nsMemory::Free for the
	mMimeType string.

2004-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:

	Fix mem leak.

2004-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-favicon-action.c: (ephy_favicon_action_set_property),
	(ephy_favicon_action_get_property):

	Fix property getter of "icon" property.

2004-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Fix mem leak.

2004-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (update_download_row):

	Fix mem leak.

2004-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:

	Fix encodign conversion of "Untitled" filename suggestion.
	Fixes bug #132822.

2004-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c:
	(ephy_bookmarks_import_rdf):

	Don't crash when reading the RDF file fails.

2004-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-export.c:
	(ephy_bookmarks_export_rdf):

	Use rdf:resource instead of rdf:about, fixes bug #131543.

2004-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_get_type), (sync_topic_properties),
	(topic_child_changed_cb), (ephy_bookmarks_menu_init):

	Sync topic names in the menu. Fixes bug #128097.

2004-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_solve_smart_url),
	(options_find_first_option), (smart_url_options_get):

	Fix options parsing.

2004-01-28  David Bordoley  <bordoley@msu.edu>  
	
	* src/ephy-window.c:
	Use EPHY_STOCK_DOWNLOAD for the download
	link icon.

2004-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:

	Fix linking with nautilus view enabled.

2004-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* src/Makefile.am:

	Check for required libnautilus version, and conditionally enable
	nautilus view.

2004-01-27 Piers Cornwell  <piers@myrealbox.com>

	* help/C/epiphany.xml:

	Update documentation.

2004-01-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_helpers_shutdown):

	Only try to rmdir() the tmp directory if we have one.

2004-01-27  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:

	Make sure to not initialize EphyBrowser
	multiple times.

2004-01-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-download.c: (ephy_download_get_name):

	Fix mem leak.

2004-01-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (update_download_row):

	Fix mem leak.

2004-01-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (update_download_row):

	Fix mem leak.

2004-01-26  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	closing dialog == cancel

2004-01-25  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS:

	Correct a translator name.

	* embed/mozilla/ContentHandler.cpp:

	Really cancel the download when the user told so.

	* lib/ephy-dialog.c: (setup_default_size), (ephy_dialog_run),
	(ephy_dialog_init), (ephy_dialog_set_property),
	(ephy_dialog_get_property), (ephy_dialog_class_init):

	Add default width/height properties.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.h:

	Include nsIMIMEInfo.h to fix compilation with mozilla 1.4.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_file_print_preview):

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (get_details_value):

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-export.c:
	(ephy_bookmarks_export_rdf):

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (search_entry_search_cb),
	(get_details_value):

	Fix mem leaks.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_finalize):

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_finalize):

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node-filter.c: (ephy_node_filter_finalize),
	(ephy_node_filter_new), (ephy_node_filter_add_expression):

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (ephy_history_finalize):

	Fix mem leak.

2004-01-25  David Bordoley  <bordoley@cvs.gnome.org>

	* help/C/figures/ephy-screenshot.png:

	Update the screenshot to match the default toolbar layout.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node-db.c: (ephy_node_db_finalize):

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-export.c:
	(ephy_bookmarks_export_rdf):

	Fix mem leak.

2004-01-25  Adam Hooper  <adamh@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_tmp_dir):

	mkdtemp() modifies *template in-place. So it shouldn't be freed.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tabs-menu.c: (tab_set_action_accelerator):

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (ephy_session_save):

	Fix mem leaks.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):

	Fix mem leaks.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_tmp_dir),
	(ephy_file_tmp_filename):

	Fix mem leaks.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (set_value_from_pref),
	(set_combo_box_from_value):

	Fix mem leaks.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Fix mem leak.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (remove_obsolete_icons):

	Fix mem leak.

2004-01-25  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_tmp_dir),
	(ephy_file_downloads_dir):
	* lib/ephy-file-helpers.h:

	Add a way to get the downloads dir with a comment
	for translators.
	Use dir instead of directory consistently with
	the other functions.

	* embed/mozilla/MozDownload.cpp:
	* src/prefs-dialog.c: (get_download_button_label):
	* src/window-commands.c: (save_temp_source):

	Use the helper.

2004-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Updated copyright date.

2004-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_title):

	Double underscores, since otherwise the menu entry will
	display them as accellerators.

2004-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	When checking forms for modifications, handle correctly
	text entries with default value longer than maxlength.
	Mozilla bug #232057.

2004-01-24  David Bordoley  <bordoley@msu.edu>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c:

	Add a hidden tools menu that extensions can use.

2004-01-24  Adam Hooper  <adamh@cvs.gnome.org>

	* lib/ephy-string.c:

	Remove totally wrong comment before ephy_string_blank_chr ()

2004-01-24  Adam Hooper  <adamh@cvs.gnome.org>

	* lib/ephy-file-helpers.c:
	* lib/ephy-file-helpers.h:
	* src/window-commands.c: (save_temp_source):

	ephy_file_tmp_directory () now returns a const char * instead of char *

2004-01-24  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:

	Prepare for 1.1.5

	* lib/ephy-dialog.c: (setup_default_size):

	Fix a bug with dialog size persistance

2004-01-24  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS:
	* configure.in:

	Prepare for 1.1.4

	* embed/mozilla/ContentHandler.cpp:

	Fix Save As from download dialog

2004-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (get_download_button_label):

	Fall back to Home directory when the pref is NULL.

2004-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-chooser.c: (ephy_file_chooser_get_type),
	(current_folder_changed_cb):

	Use our eel_gconf_set_path() function to persist the directory.

2004-01-24  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-dialog.c: (setup_default_size), (ephy_dialog_init),
	(ephy_dialog_set_property), (ephy_dialog_get_property),
	(ephy_dialog_class_init):

	Add a persist-position property.

	* embed/downloader-view.c: (downloader_view_new):

	Persist downloader position.

	* src/prefs-dialog.c: (get_download_button_label):
	* embed/mozilla/MozDownload.cpp:
	* data/epiphany.schemas.in:

	Default to ~/Desktop/Downloads.

2004-01-23  Marco Pesenti Gritti  <marco@gnome.org>

	* data/epiphany.schemas.in:
	* lib/ephy-prefs.h:
	* src/ephy-tab.c: (ephy_tab_dom_mouse_click_cb):
	* src/popup-commands.c: (save_property_url):

	Sometimes reading gnomedesktop flames is useful:

	Do not use the same pref of 1.0 for the download dir.
	Use a different key for Save Link As.

2004-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_build_ui):
	* embed/find-dialog.c: (find_dialog_init):
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/print-dialog.c: (ephy_print_dialog_new),
	(ephy_print_setup_dialog_new):
	* lib/ephy-dialog.c: (impl_construct), (ephy_dialog_construct):
	* lib/ephy-dialog.h:
	* lib/ephy-glade.c: (ephy_glade_widget_new):
	* lib/ephy-glade.h:
	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_init):
	* src/pdm-dialog.c: (pdm_dialog_init):
	* src/prefs-dialog.c: (setup_add_language_dialog),
	(prefs_dialog_init):

	Allow passing the translation domain to ephy_dialog_construct,
	to make extension's dialogues translatable. Fix all callers.

2004-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	We really depend on gtk+ >= 2.3.2.

2004-01-23  Xan Lopez  <xan@gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Make Cancel safe against non active downloads.

2004-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/window-commands.c: (window_cmd_view_reload):

	Use both BYPASS_CACHE and BYPASS_PROXY on force-reload.
	Unified the handling in mozilla-embed by introducing
	EMBED_RELOAD_FORCE, and killed EMBED_RELOAD_BYPASS_[CACHE|PROXY]
	since we now always use both together.

2004-01-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-encodings.c:

	Delete UTF-7 from our list of known encodings, since no web page
	should ever be in UTF-7.

2004-01-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:
	* src/ephy-tab.c: (address_has_web_scheme):

	data: urls can be opened in new tabs too.

2004-01-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Work around a bug in mozilla where  0xa0 (NBSP) are converted to spaces,
	so we think that the element is modified when in fact it's not.
	(Thanks to Crispin).

2004-01-22  Christopher James Lahey  <clahey@ximian.com>

	* lib/ephy-file-helpers.c, lib/ephy-file-helpers.h
	(ephy_file_tmp_directory, ephy_file_delete_on_exit): New function
	to get temp directory and moved ephy_shell_delete_on_exit to here.

	* lib/widgets/ephy-location-entry.c: Changed how this goes about
	showing itself when hidden and activated.

	* src/ephy-shell.c, src/ephy-shell.h (ephy_shell_delete_on_exit):
	Moved to ephy_file_delete_on_exit.

	* src/window-commands.c: Changed ephy_shell_delete_on_exit to
	ephy_file_delete_on_exit.  Used ephy_file_tmp_directory to save
	source files for viewing in a directory that isn't world readable.

2004-01-22  Marco Pesenti Gritti  <marco@gnome.org>

	* data/epiphany-lockdown.schemas.in:

	Slightly better string for history disable.

2004-01-22  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:

	Set the parent of the dialogs.

	* src/ephy-window.c:

	Use Save Link As and correct icons.

2004-01-21  Adam Hooper  <adamh@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_build_ui):
	* embed/find-dialog.c: (find_dialog_init):
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/print-dialog.c: (ephy_print_dialog_new),
	(ephy_print_setup_dialog_new):
	* lib/ephy-glade.c: (ephy_glade_widget_new):
	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_init):
	* src/pdm-dialog.c: (pdm_dialog_init):
	* src/prefs-dialog.c: (setup_add_language_dialog),
	(prefs_dialog_init):

	Explicitly call ephy_file () whenever specifying a Glade file. This
	gives the ability to load a Glade file outside of SHARE_DIR (i.e., in
	extensions). Fixes Bug #132018.

2004-01-21  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Destroy filepicker once it's done. I dunno
	about much more bugs so please report now ;)

2004-01-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_get_type),
	(ephy_bookmark_action_set_property),
	(ephy_bookmark_action_get_property),
	(ephy_bookmark_action_class_init):

	Set "tooltip" property on bookmark actions to the url. That way
	we display it in the status bar with no extra steps taken.

2004-01-21  Piers Cornwell  <piers@myrealbox.com>

	* embed/downloader-view.c: (update_status_icon),
	(downloader_view_remove_download):

	Use ngettext for number of downloads and remaining
	minutes display in the tooltip of the tray icon.

2004-01-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:
	* src/ephy-tab.c: (address_has_web_scheme):

	about: can be opened in new tab too.

2004-01-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Re-enable fonts language font filtering, fixes bug #128814

2004-01-19  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/MozDownload.cpp:

	Make uri canonical before passing it as
	launch argument to make vfs happy.

	* lib/eel-gconf-extensions.c: (eel_gconf_set_path):

	Do not mix utf8/locale. Thanks to chpe to notice it.

2004-01-19  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Merge from gnome-2-4 branch.

2004-01-19  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/eel-gconf-extensions.c: (tilde_compress),
	(eel_gconf_set_path):
	* lib/eel-gconf-extensions.h:

	Add a way to store paths.

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:

	Actually save the file in downloads dir and then
	open it. It doesnt seem to open it but it's prolly
	a gnome-vfs bug.

	* src/prefs-dialog.c: (get_download_button_label),
	(download_path_response_cb):

	Simplify the label logic using ~.

2004-01-19  Marco Pesenti Gritti  <marco@gnome.org>

	* data/epiphany.schemas.in:
	* data/glade/prefs-dialog.glade:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/MozDownload.cpp:
	* lib/ephy-prefs.h:
	* src/prefs-dialog.c: (get_download_button_label):

	Change default dir to /home/Downloads. Show the
	pref about warning on files downloading. Cleanup
	warning dialogs a bit.

2004-01-18  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (ephy_dialog_hide):
	* lib/ephy-dialog.h:

	Introduce ephy_dialog_hide().

2004-01-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	We need to use do_QueryInterface to get from the
	nsIDOM[Key|Mouse]Event to the nsIDOMEvent, not just
	cast it.

2004-01-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-tab.c: (ephy_tab_init):

	Use g_signal_connect_object to connect the embed signals,
	that way they're disconnected before the tab object is
	finalised. Should fix crasher bug #131635.

2004-01-16    <clahey@ximian.com>

	* data/epiphany-lockdown.schemas.in: Typo fixes.

2004-01-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (download_path_response_cb):

	Use gtk_file_chooser_get_filename() instead of
	gtk_file_chooser_get_current_folder(). Fixes bug #131646.

2004-01-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (menu_item_select_cb),
	(menu_item_deselect_cb), (disconnect_proxy_cb), (connect_proxy_cb),
	(setup_ui_manager), (ephy_window_init):

	Show help for menu items in the statusbar.

2004-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-event.c: (ephy_embed_event_get_type),
	(ephy_embed_event_base_init), (ephy_embed_event_get_event_type),
	(ephy_embed_event_get_context), (ephy_embed_event_get_modifier),
	(ephy_embed_event_get_coords), (ephy_embed_event_get_property),
	(ephy_embed_event_has_property), (ephy_embed_event_get_dom_event):
	* embed/ephy-embed-event.h:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-event.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-window.c: (popup_menu_at_coords):
	* src/popup-commands.c: (popup_cmd_copy_link_address):

	Make EphyEmbedEvent abstract, implemented by MozillaEmbedEvent.
	Port callers to the new api.
	Fix some callers in src/ which were using private fields of
	EphyEmbedEvent struct.

2004-01-14  Xan Lopez  <xan@gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:

	Let the user decide about what to do with automatic dialogs.

2004-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.c: (ephy_embed_persist_to_string):
	* embed/ephy-embed-persist.h:
	* embed/mozilla/mozilla-embed-persist.cpp:

	Get the page content into a string.

2004-01-13  Xan Lopez  <xan@gnome.org>

	* embed/downloader-view.c: (status_icon_activated):

	Allow to  show/hide downloader clicking on tray icon.
	Fixes #131012.

2004-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Version 1.1.3.

2004-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* FEATURE FREEZE !

	From now on, no commits are allowed which add new features.

2004-01-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (download_dialog_pause_cb):

	Add accelerator to Pause/Resume button.

2004-01-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (ephy_history_set_enabled),
	(ephy_history_init):

	Default history to "enabled".

2004-01-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.h:
	* src/ephy-tab.c: (address_has_web_scheme):

	Forgot to commit those.

2004-01-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:
	* src/ephy-tab.c: (address_has_web_scheme):
	* src/ephy-window.c: (show_embed_popup):

	Only allow "Open in New Tab/Window" for certain protocols.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.xhtml:

	Verified the quote and put the original here.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (update_exit_fullscreen_popup_position),
	(ephy_window_fullscreen):

	Fix signal parameter, and add a NULL check. Fixes bug #131117,
	patch by Martin Kretzschmar.

2004-01-10  Christopher James Lahey  <clahey@ximian.com>

	* embed/mozilla/PrintingPromptService.cpp:
	* lib/ephy-prefs.h:
	* src/ephy-main.c: (main):
	* src/ephy-window.c: (update_actions), (ephy_window_init),
	(ephy_window_finalize), (ephy_window_print):

	Implement print and print setup disabling for lockdown mode.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EventContext.cpp:

	Adapt to the ever-changing mozilla API.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (ephy_history_get_type),
	(ephy_history_set_enabled), (ephy_history_set_property),
	(ephy_history_get_property), (ephy_history_class_init),
	(page_removed_from_host_cb), (disable_history_notifier),
	(ephy_history_init), (ephy_history_finalize), (ephy_history_new),
	(ephy_history_get_host), (ephy_history_visited),
	(ephy_history_add_page), (ephy_history_set_page_title),
	(ephy_history_clear), (ephy_history_is_enabled):
	* embed/ephy-history.h:
	* lib/ephy-node-db.c: (ephy_node_db_get_property),
	(ephy_node_db_set_property), (ephy_node_db_set_immutable):
	* lib/ephy-node-db.h:
	* lib/ephy-prefs.h:
	* src/bookmarks/ephy-bookmarks.c: (clear_favorites),
	(history_cleared_cb), (ephy_setup_history_notifiers):

	Implement history disabling.

2004-01-09  Christopher James Lahey  <clahey@ximian.com>

	* data/epiphany-lockdown.schemas.in, lib/ephy-prefs.h: Added
	disable_arbitrary_url, disable_toolbar_editing, and
	disable_history keys.

	* src/ephy-automation.c (impl_ephy_automation_loadurl): Make this
	ignore a url given on the command line if disable_arbitrary_url is
	on.

	* src/ephy-notebook.c (notebook_drag_data_received_cb): Made this
	ignore drags if disable_arbitrary_url is on.

	* src/ephy-session.c (ephy_session_load): Don't show history
	window if disable_history is on.

	* src/ephy-tab.c (ephy_tab_dom_mouse_click_cb): Disable middle
	click to paste url if disable_arbitrary_url is on.

	* src/ephy-window.c: Disable menu actions based on
	disable_arbitrary_url, disable_toolbar_editing, and
	disable_history keys.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Fix type to make it compile with MOZILLA_SNAPSHOT <= 11 again.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_finalize):

	Call parent class' finalize.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:

	Use NS_ENSURE_SUCCESS/NS_ENSURE_TRUE at appropriate places.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/MozillaPrivate.cpp:

	Use NS_ENSURE_SUCCESS/NS_ENSURE_TRUE at appropriate places.
 
2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ExternalProtocolHandlers.cpp:

	Use NS_ENSURE_SUCCESS/NS_ENSURE_TRUE at appropriate places.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Use NS_ENSURE_SUCCESS/NS_ENSURE_TRUE at appropriate places.
	
2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:

	Use NS_ENSURE_SUCCESS/NS_ENSURE_TRUE at appropriate places.

2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySingle.cpp:

	Use NS_ENSURE_SUCCESS/NS_ENSURE_TRUE at appropriate places instead of
	silent "if (...) return ...;".
		
2004-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutRedirector.cpp:
	* embed/mozilla/EphyAboutRedirector.h:

	Use NS_ENSURE_SUCCESS/NS_ENSURE_TRUE at appropriate places instead of
	silent "if (...) return ...;".
	Really kill "about:options".

2004-01-10  Xan Lopez  <xan@gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c:
	* src/popup-commands.c: (popup_cmd_download_link_as):
	* src/popup-commands.h:

	Add "Download Link As" to the link context menu.

2004-01-09  Christopher James Lahey  <clahey@ximian.com>

	* src/toolbar.c (update_location_editable): Check if embed is valid
	here.

2004-01-09  Christopher James Lahey  <clahey@ximian.com>

	* data/epiphany-lockdown.schemas.in, lib/ephy-prefs.h: Added
	disable_bookmark_editing key.

	* lib/ephy-node-db.c, ephy-node-db.h, ephy-node.c: Added immutable
	property.

	* lib/egg/egg-editable-toolbar.c (drag_data_received_cb,
	toolbar_drag_motion_cb), src/ephy-toolbars-model.c
	(impl_get_item_id): Made these handle immutable models/node_dbs.

	* src/ephy-automation.c, src/ephy-session.c: Don't show the
	bookmark editor if disabled.

	* src/ephy-window.c: Disable a bunch of menus if bookmark editing
	is disabled.

	* src/bookmarks/ephy-bookmarks-import.c,
	src/bookmarks/ephy-bookmarks.c: Disable bookmark editing and
	importing is key is set.  Uses immutable property.

2004-01-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	* data/ui/epiphany-ui.xml:
	* embed/ephy-embed-prefs.h:
	* embed/mozilla/mozilla-notifiers.cpp:
	* src/ephy-window.c: (ephy_window_finalize),
	(browse_with_caret_notifier), (ephy_window_init):
	* src/pdm-dialog.c: (show_cookies_properties):
	* src/window-commands.c: (window_cmd_browse_with_caret):
	* src/window-commands.h:

	Add an accellerator-only action (F7) to toggle caret browsing. Hook
	up listener to set the mozilla pref, added the gconf key to the schema.

2004-01-09  Roozbeh Pournader  <roozbeh@sharif.edu>

	* lib/ephy-state.c: Fixed a logic error in using & instead of &&
	(bug #130919, Dave Jones).

2004-01-08  Christopher James Lahey  <clahey@ximian.com>

	* embed/mozilla/ContentHandler.cpp (MIMEAskAction): Don't save the
	file if disable_save_to_disk is on.

	* lib/ephy-prefs.h (CONF_DISABLE_SAVE_TO_DISK): Added this key here.

	* src/ephy-window.c (update_actions): Obey disable_save_to_disk.
	Also, disable toggling view settings if their keys are locked.

2004-01-06  Piers Cornwell  <piers@myrealbox.com>

	* help/C/epiphany-C.omf

	Update help.

2004-01-06  Christian Persch  <chpe@cvs.gnome.orgf>

	* src/ephy-encodings.c: (ephy_encodings_get_node):

	Add a comment for translators.

2004-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-encoding-menu.c: (update_encoding_menu_cb):

	Move "automatic" check back to where it was, since we now always have
	a node for the encoding.

2004-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* configure.in:

	Sigh, yet another intltool change. Remove OrigTree.pm from EXTRA_DIST,
	and depend on intltool >= 0.29.

2004-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-encodings.c: (add_encoding),
	(ephy_encodings_get_node), (ephy_encodings_add_recent),
	(ephy_encodings_get_recent), (ephy_encodings_init):
	* embed/ephy-encodings.h:
	* src/ephy-encoding-dialog.c: (sync_embed_cb):
	* src/ephy-encoding-menu.c: (update_encoding_menu_cb),
	(add_action), (ephy_encoding_menu_set_window):
	* src/prefs-dialog.c: (create_node_combo):

	Behave better when the encoding used on the page is unknown to us.
	Previously we skipped important steps in menu building, resulting in
	incorrect encoding indicator. Now, we dynamically add an entry with
	name "Unknown" to our menu.

	Also add back some rarely used encodings (us-ascii, UTF-16*, UTF-32*)
	to our known encodings repertoire.

2004-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-encoding-menu.c: (update_encoding_menu_cb):

	Always set the "automatic" toggle button correctly, even if the encoding
	wasn't found in our database

2004-01-06  Mohammad DAMT  <mdamt@bisniweb.com>

	* configure.in: Added "id" in ALL_LINGUAS
	* po/id.po: Added Indonesian translation by
	Tunggul Arif Siswoyo <tunggul@matralintas.net>

2004-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozillaPrivate.cpp:

	Remove debug output leftover.

2004-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/PrintingPromptService.cpp:

	Ensure that if the nsIDOMWindow provided is a frame inside an embed,
	we get the top-level window and then get the embed from that. 
	Fixes bug #129028.

2004-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Added spark to documenters tab.

2004-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_dialog_response_cb):

	Fix parent for help window.

2004-01-04  Piers Cornwell  <piers@myrealbox.com>

	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_get_type),
	(ephy_encoding_dialog_response_cb):

	Add help button to encodings dialogue.

2004-01-04  Piers Cornwell  <piers@myrealbox.com>

	* data/glade/certificate-dialogs.glade:
	* data/glade/epiphany.glade:
	* data/glade/print.glade:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/print-dialog.c: (ephy_print_dialog_response_cb),
	(ephy_print_setup_dialog_help_button_cb):
	* src/pdm-dialog.c: (pdm_dialog_show_help):
	* src/prefs-dialog.c: (prefs_dialog_show_help):

	Add help buttons to Certificate Viewer, PDM, print and print setup
	dialogues.

2004-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (confirm_close_with_modified_forms):

	Daveb will hate me for this, but making the confirm dialogue only
	window-modal will make menus not work after cancelling the close.
	Removing this for the time being since it's a nasty regression,
	until I find the bug.

2004-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_has_modified_forms):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Add API to check if an EphyEmbed has forms with user input in them.
	Currently it required one modified textarea, or two modified text
	fields.

	* src/ephy-notebook.c: (ephy_notebook_class_init),
	(close_button_clicked_cb):
	* src/ephy-notebook.h:
	* src/ephy-window.c: (confirm_close_with_modified_forms),
	(ephy_window_delete_event_cb), (tab_delete_cb), (setup_notebook),
	(ephy_window_init), (ephy_window_remove_tab):

	When closing a window or tab, check if there is unsubmitted user
	input in form fields, and if so, warn the user before closing.
	Fixes bug #119857.

2004-01-03  Michael Terry <mterry@fastmail.fm> 

	* data/ui/epiphany-ui.xml:

	Show copy text menu item also for links

	* src/ephy-window.c: (update_edit_actions_sensitivity),
	(enable_edit_actions_sensitivity), (edit_menu_show_cb),
	(edit_menu_hide_cb), (hide_embed_popup_cb), (show_embed_popup):

	Show copy text menu item only when there is actually selected
	text.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

	* configure.in: Added "hr" in ALL_LINGUAS.

2004-01-02  Taneem Ahmed  <taneem@bengalinux.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2004-01-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (notebook_drag_data_received_cb),
	(ephy_notebook_insert_page), (ephy_notebook_remove_page):
	* src/ephy-tab.c: (ephy_tab_for_embed), (ephy_tab_init):
	* src/ephy-tab.h:
	* src/ephy-tabs-menu.c: (tab_added_cb), (tab_removed_cb):
	* src/ephy-window.c: (tab_context_menu_cb), (tab_added_cb),
	(tab_removed_cb), (real_get_active_tab), (ephy_window_get_tabs):

	New API to get the EphyTab from an EphyEmbed. Port all users.

2004-01-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-command-manager.c: (ephy_command_manager_get_type),
	(ephy_command_manager_base_init),
	(ephy_command_manager_do_command),
	(ephy_command_manager_can_do_command):
	* embed/ephy-command-manager.h:
	* embed/ephy-cookie-manager.c: (ephy_cookie_manager_list_cookies),
	(ephy_cookie_manager_remove_cookie), (ephy_cookie_manager_clear):
	* embed/ephy-cookie-manager.h:
	* embed/ephy-embed-dialog.h:
	* embed/ephy-embed-shell.c:
	* embed/ephy-embed-single.c: (ephy_embed_single_get_type),
	(ephy_embed_single_iface_init), (ephy_embed_single_clear_cache),
	(ephy_embed_single_clear_auth_cache),
	(ephy_embed_single_set_offline_mode),
	(ephy_embed_single_load_proxy_autoconf),
	(ephy_embed_single_get_font_list):
	* embed/ephy-embed-single.h:
	* embed/ephy-embed.c: (ephy_embed_get_type),
	(ephy_embed_base_init), (ephy_embed_load_url),
	(ephy_embed_stop_load), (ephy_embed_can_go_back),
	(ephy_embed_can_go_forward), (ephy_embed_can_go_up),
	(ephy_embed_get_go_up_list), (ephy_embed_go_back),
	(ephy_embed_go_forward), (ephy_embed_go_up),
	(ephy_embed_get_title), (ephy_embed_get_location),
	(ephy_embed_get_link_message), (ephy_embed_get_js_status),
	(ephy_embed_reload), (ephy_embed_zoom_set), (ephy_embed_zoom_get),
	(ephy_embed_shistory_n_items), (ephy_embed_shistory_get_nth),
	(ephy_embed_shistory_get_pos), (ephy_embed_shistory_go_nth),
	(ephy_embed_get_security_level), (ephy_embed_find_set_properties),
	(ephy_embed_find_next), (ephy_embed_activate),
	(ephy_embed_set_encoding), (ephy_embed_get_encoding_info),
	(ephy_embed_print), (ephy_embed_print_preview_close),
	(ephy_embed_print_preview_n_pages),
	(ephy_embed_print_preview_navigate):
	* embed/ephy-embed.h:
	* embed/ephy-password-manager.h:
	* embed/ephy-permission-manager.h:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed-single.h:
	* embed/mozilla/mozilla-embed.cpp:

	Unify interface struct and type macro naming to be EphyFooIFace,
	EPHY_FOO_IFACE, EPHY_IS_FOO_IFACE, EPHY_FOO_GET_IFACE.

2004-01-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-prefs.h:
	* embed/mozilla/mozilla-notifiers.cpp:

	Remove default font notifier, it's been obsoleted by the fonts rewrite.

2004-01-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Set socks prefs from gconf too.

2004-01-01  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" (Persian) to ALL_LINGUAS.

2003-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:
	* embed/print-dialog.c: (ephy_print_get_print_info):

	Fix mem leaks.

2003-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:

	Adjust includes to make it compile with mozila 1.4.

2003-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_clear_auth_cache):
	* embed/ephy-embed-single.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Add API to EphyEmbedSingle to clear the HTTP authentication cache.

2003-12-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_favicon_cache),
	(ephy_embed_shell_get_global_history),
	(ephy_embed_shell_get_downloader_view),
	(ephy_embed_shell_get_embed_single),
	(ephy_embed_shell_get_encodings), (ephy_embed_shell_check_mime),
	(ephy_embed_shell_class_init):
	* embed/ephy-embed-shell.h:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* src/bookmarks/ephy-bookmarks.c: (compute_lower_fav),
	(ephy_setup_history_notifiers):
	* src/ephy-completion-model.c: (ephy_completion_model_init):
	* src/ephy-shell.c: (ephy_shell_get_history_window):
	* src/ephy-tab.c: (ephy_tab_set_icon_address),
	(ephy_tab_address_cb), (ephy_tab_zoom_changed_cb):
	* src/ephy-toolbars-model.c: (impl_get_item_id):
	* src/prefs-dialog.c: (setup_font_combo),
	(prefs_clear_cache_button_clicked_cb):

	Unified return type of ephy_embed_shell_get_X to be GObject *.
	Fixed all callers.

2003-12-28  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Added OrigTree.pm to EXTRA_DIST.

2003-12-28  Marco Pesenti Gritti  <marco@gnome.org>

	* NEWS:
	* configure.in:

	Update for 1.1.2

2003-12-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (find_action),
	(drag_data_delete_cb), (drag_data_get_cb),
	(egg_editable_toolbar_set_model), (egg_editable_toolbar_set_merge),
	(egg_editable_toolbar_class_init), (egg_editable_toolbar_init),
	(egg_editable_toolbar_finalize), (egg_editable_toolbar_new):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbar-editor.c: (find_action),
	(egg_toolbar_editor_set_merge), (egg_toolbar_editor_set_model),
	(egg_toolbar_editor_class_init), (egg_toolbar_editor_finalize),
	(egg_toolbar_editor_new), (editor_drag_data_received_cb),
	(editor_drag_data_delete_cb), (update_editor_sheet),
	(setup_editor), (egg_toolbar_editor_init):
	* lib/egg/egg-toolbar-editor.h:
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_to_xml),
	(egg_toolbars_model_save), (egg_toolbars_model_add_separator),
	(impl_add_item), (egg_toolbars_model_add_toolbar),
	(egg_toolbars_model_load), (egg_toolbars_model_class_init),
	(egg_toolbars_model_init), (egg_toolbars_model_finalize),
	(egg_toolbars_model_new), (egg_toolbars_model_remove_toolbar),
	(egg_toolbars_model_remove_item):
	* lib/egg/egg-toolbars-model.h:

	Brought type macros in line with the rest of libegg; and use
	gobject instance private data.

	* src/ephy-toolbars-model.c: (ephy_toolbars_model_get_type),
	(update_toolbar_removeable_flag),
	(ephy_toolbars_model_set_bookmarks), (toolbar_added),
	(toolbar_removed), (ephy_toolbars_model_new),
	(ephy_toolbars_model_has_bookmark):
	* src/ephy-toolbars-model.h:
	* src/toolbar.c: (toolbar_get_type), (init_normal_mode):

	Fix crasher bug #129991.

2003-12-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (prefs_dialog_finalize),
	(prefs_download_path_button_clicked_cb):

	One download directory chooser is enough.

2003-12-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.h:
	* src/toolbar.h:

	Move Toolbar struct decl to toolbar.h.

2003-12-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_get_toolbar),
	(ephy_window_set_zoom):
	* src/ephy-window.h:
	* src/window-commands.c: (window_cmd_edit_toolbar),
	(window_cmd_load_location):

	Bring ephy_window_get_toolbar signature in line with
	ephy_window_get_[statusbar|notebook].

2003-12-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	GDK_Meta_L is a keycode, not a modifier code.
	Map meta to GDK_MOD2_MASK.

2003-12-23  David Bordoley  <bordoley@msu.edu>

	* help/C/epiphany.xml:
	
	Updated printing docs from spark. GET A CVS ACCOUNT!
	*hint*hint*
	patch from Piers Cornwell <piers@myrealbox.com>

2003-12-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-encodings.c: (ephy_encodings_add_recent):

	Fix mem leak. (Found by Crispin.)

2003-12-22  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:

	Correctly cancel the download instead of just
	cancelling the request.

2003-12-21  Xan Lopez  <xan@gnome.org>

	* embed/downloader-view.c: (download_dialog_pause_cb):
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/mozilla-download.cpp:

	Re-implement Pause/Resume in downloader.
	
	* src/window-commands.c: (window_cmd_help_about):

	Change mail address.

2003-12-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:

	Sync with galeon.

2003-12-21  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade: (encoding_dialog):

	Change mnemonic.

2003-12-20  Marco Pesenti Gritti  <marco@gnome.org>

	* src/epiphany.in:

	Do not try to pickup already set MOZILLA_FIVE_HOME,
	hopefully fix crashes oepning links from thunderbird

2003-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutRedirector.cpp:

	Get rid of about:options.

2003-12-20  Christian Neumair  <chris@gnome-de.org>

	* src/prefs-dialog.c: (get_download_button_label):

	Set the download folder selection label to "Home" if download folder
	is home folder (#129737).

2003-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_menu_position_under_widget):

	Fix popup coordinates in RTL mode.

2003-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade: (add_language_dialog):

	Set the label's mnemonic widget.

2003-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-navigation-action.c: (ephy_navigation_action_get_type),
	(new_history_menu_item), (setup_back_or_forward_menu),
	(setup_up_menu):

	Use favicons in the back/forward menus.

2003-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Prepare for mozilla 1.6final and 1.7a.

2003-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-encoding-dialog.c: (sync_embed_cb):
	* src/ephy-encoding-menu.c: (update_encoding_menu_cb):

	Use return, not g_return_if_fail.

2003-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_dialog_browse_button_cb):

	EphyFileChooser now destroys with parent, don't set the flag again here.

2003-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-chooser.c: (ephy_file_chooser_new):

	Destroy file chooser with its parent window; fixes crashes.

2003-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_dom_mouse_click_cb):

	Improve comment.

	* src/ephy-window.c: (setup_ui_manager), (setup_notebook),
	(ephy_window_init):

	Only show the toolbar after the extensions have been attached
	to the window.

2003-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (add_lang_dialog_response_cb):

	Remove debug output leftovers.

2003-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:
	* embed/mozilla/mozilla-notifiers.cpp:
	* src/Makefile.am:
	* src/language-editor.c:
	* src/language-editor.h:
	* src/prefs-dialog.c: (prefs_dialog_finalize),
	(prefs_dialog_class_init), (language_editor_add),
	(language_editor_update_pref), (language_editor_update_buttons),
	(add_lang_dialog_response_cb), (setup_add_language_dialog),
	(language_editor_add_button_clicked_cb),
	(language_editor_remove_button_clicked_cb),
	(language_editor_up_button_clicked_cb),
	(language_editor_down_button_clicked_cb),
	(language_editor_treeview_drag_end_cb),
	(language_editor_selection_changed_cb), (create_language_section),
	(prefs_dialog_init):

	In-line the language editor in the prefs dialogue.

2003-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-encodings.c: (ephy_encoding_info_is_automatic):
	* embed/ephy-encodings.h:
	* src/ephy-encoding-dialog.c: (sync_embed_cb):
	* src/ephy-encoding-menu.c: (update_encoding_menu_cb):

	Factor out the common encoding is_automatic check.

2003-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_dom_mouse_click_cb):

	Don't try to save the submit button image instead of submitting
	the form. [Found by xan.]

2003-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (completion_func):

	Fix more mem leaks.

2003-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (completion_func):

	Fix mem leak. (Found by synap.)

2003-12-16  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-encodings.c: (ephy_encodings_get_encodings):
	* embed/ephy-favicon-cache.c: (icons_added_cb), (icons_removed_cb),
	(remove_obsolete_icons), (ephy_favicon_cache_init),
	(kill_download), (ephy_favicon_cache_finalize),
	(ephy_favicon_cache_get):
	* embed/ephy-history.c: (remove_obsolete_pages), (hosts_added_cb),
	(hosts_removed_cb), (pages_added_cb), (pages_removed_cb),
	(update_host_on_child_remove), (update_hosts), (ephy_history_init),
	(ephy_history_finalize), (ephy_history_get_host),
	(ephy_history_get_page):
	* lib/Makefile.am:
	* lib/ephy-node-db.c: (ephy_node_db_init), (ephy_node_db_finalize),
	(ephy_node_db_get_node_from_id), (_ephy_node_db_new_id),
	(_ephy_node_db_add_id), (_ephy_node_db_remove_id),
	(ephy_node_db_write_to_xml_valist):
	* lib/ephy-node-filter.c: (ephy_node_filter_expression_evaluate):
	* lib/ephy-node.c: (ephy_node_finalize), (real_remove_child),
	(remove_child), (ephy_node_dispose), (ephy_node_new_with_id),
	(ephy_node_get_id), (ephy_node_ref), (ephy_node_unref),
	(child_changed), (ephy_node_set_property),
	(ephy_node_get_property), (ephy_node_get_property_string),
	(ephy_node_get_property_boolean), (ephy_node_get_property_long),
	(ephy_node_get_property_int), (ephy_node_get_property_double),
	(ephy_node_get_property_float), (ephy_node_get_property_node),
	(write_parent), (ephy_node_write_to_xml), (ephy_node_add_child),
	(ephy_node_remove_child), (ephy_node_has_child),
	(ephy_node_sort_children), (ephy_node_reorder_children),
	(ephy_node_get_children), (ephy_node_get_n_children),
	(ephy_node_get_nth_child), (ephy_node_get_child_index),
	(ephy_node_get_next_child), (ephy_node_get_previous_child):
	* lib/ephy-node.h:
	* lib/ephy-state.c: (find_by_name):
	* lib/ephy-thread-helpers.c:
	* lib/ephy-thread-helpers.h:
	* lib/widgets/ephy-search-entry.c: (ephy_search_entry_timeout_cb):
	* lib/widgets/ephy-tree-model-node.c: (filter_changed_cb):
	* src/bookmarks/ephy-bookmarks-editor.c: (search_entry_search_cb):
	* src/bookmarks/ephy-bookmarks-export.c: (write_topics_list),
	(ephy_bookmarks_export_rdf):
	* src/bookmarks/ephy-bookmarks-menu.c: (add_bookmarks_menu),
	(ephy_bookmarks_menu_rebuild):
	* src/bookmarks/ephy-bookmarks.c: (compute_lower_fav),
	(get_topics_list), (topics_removed_cb),
	(ephy_bookmarks_find_bookmark), (ephy_bookmarks_find_keyword):
	* src/bookmarks/ephy-topic-action.c: (append_bookmarks_menu),
	(build_topics_menu):
	* src/bookmarks/ephy-topics-selector.c: (fill_model):
	* src/ephy-favorites-menu.c: (ephy_favorites_menu_rebuild):
	* src/ephy-history-window.c: (setup_filters):
	* src/ephy-location-action.c: (init_actions_list):
	* src/ephy-main.c: (main):

	No need to make our life hard being thread safe when we
	never use that code in a thread.

2003-12-15  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:

	Don't install statusbar.h.

2003-12-15  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extension.c: (ephy_extension_get_type):

	Fix silly type flags.

2003-12-15  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-zoom-action.c: (connect_proxy):

	Don't use deprecated macro.

2003-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-nautilus-view.c: (ephy_nautilus_view_finalize),
	(gnv_cmd_select_encoding), (gnv_cmd_file_print),
	(gnv_cmd_edit_find):

	Fix mem leaks.
	Fix a crash when finalizing a nautilus view after having
	used the find dialogue.

2003-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c:
	(ephy_bookmarks_import_mozilla):

	Better way of mapping hierarchy to topics when importing
	bookmarks from mozilla. Fixes bug #124145.

2003-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-string.c: (ephy_string_shorten), (ephy_string_to_int),
	(ephy_string_blank_chr), (ephy_string_elide_underscores),
	(ephy_string_double_underscores):
	* lib/ephy-string.h:
	* src/ephy-tab.c: (ephy_tab_set_link_message):

	Convert control chars to blanks.

2003-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_setup_dialog_new):
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-window.c:

	Use stock icon for print setup.

2003-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_init):

	Use g_signal_connect_object so the signal isn't emitted for a dead
	spinner.

2003-12-13  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-tab.c: (update_net_state_message),
	(ephy_tab_net_state_cb):

	Rework progress message building a bit to deal
	with the new NULL == clear behavior

2003-12-13  Marco Pesenti Gritti  <marco@gnome.org>
	    Adam Hooper <adamh@densi.com>

	* src/ephy-tab.c: (ephy_tab_set_link_message),
	(build_net_state_message), (ephy_tab_net_state_cb),
	(ephy_tab_init), (ephy_tab_get_status_message):
	* src/ephy-window.c: (sync_tab_message), (ephy_window_init):
	* src/statusbar.c: (statusbar_set_progress):
	* src/statusbar.h:

2003-12-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-permission-manager.c: (ephy_permission_info_new),
	(ephy_permission_info_copy), (ephy_permission_manager_add):
	* embed/ephy-permission-manager.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:

	Fix permission return types.

2003-12-10  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/print.glade:

	Make print dialogue spacing HIG-compliant.

	* src/ephy-tabs-menu.c: (tab_set_action_accelerator),
	(ephy_tabs_menu_update):

	Restore tabs menu shortcut keys ALT-1 .. ALT-0 for the first
	ten tabs; they somehow got lost in the Egg->Gtk port.

2003-12-09  Marco Pesenti Gritti  <marco@gnome.org>

	* data/epiphany.schemas.in:

	Default history to show only title

2003-12-09 Adam Hooper <adamh@densi.com>

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/Makefile.am:

	Move events code inside EphyBrowser.cpp and
	add an event for blocked popup.

	* embed/ephy-permission-manager.c:

	Some more docs

	* src/Makefile.am:
	* src/ephy-window.c: (ephy_window_get_statusbar):
	* src/ephy-window.h:

	Add a way to access the statusbar for plugins

2003-12-09  Jorn Baayen  <jorn@nl.linux.org>

	* lib/egg/egg-editable-toolbar.c: (set_item_drag_source):
	* lib/egg/egg-toolbar-editor.c: (compare_func), (sort_list),
	(editor_drag_data_received_cb), (editor_drag_data_delete_cb),
	(editor_create_item), (update_editor_sheet),
	(egg_toolbar_editor_add_action), (egg_toolbar_editor_load_actions):
	* src/toolbar.c: (toolbar_setup_actions):

	Make toolbar editing drag icons use the same icon size as the
	actual toolbar icons; sort actions in the toolbar editor; give
	the zoom action a zoom icon.

2003-12-09  Marco Pesenti Gritti  <marco@gnome.org>

	* autogen.sh:

	depend on automake 1.7, it seem it's needed by
	the deprecates code.

2003-12-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_get_type),
	(ephy_spinner_new), (get_spinner_dimensions), (ephy_spinner_init),
	(select_spinner_image), (ephy_spinner_expose),
	(bump_spinner_frame), (ephy_spinner_start),
	(ephy_spinner_remove_update_callback), (ephy_spinner_stop),
	(ephy_spinner_unload_images), (scale_to_real_size),
	(extract_frame), (ephy_spinner_load_images),
	(ephy_spinner_set_small_mode):

	Reformatted to conform to epiphany coding style.
	Fix some error condition checks, and initialise variables.

2003-12-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:
	* embed/print-dialog.c: (ephy_print_dialog_new):
	* src/prefs-dialog.c: (create_language_menu),
	(create_download_path_label), (prefs_dialog_init):

	Lockdown: set some buttons insensitive when their
	pref key is not writable.

	* src/prefs-dialog.c: (download_path_response_cb):

	Convert filename to utf8 first.

2003-12-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:

	Bump gtk+ and glib dependencies to 2.3.1.

2003-12-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (setup_font_combo),
	(create_fonts_language_menu), (create_node_combo),
	(create_language_menu):

	Sort the list of fonts alphabetically.

	Fix a bunch of mem leaks.

2003-12-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (load_mime_from_xml):

	Don't use g_return_if_fail for run-time error conditions.

2003-12-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (save_property_url),
	(ephy_tab_dom_mouse_click_cb):

	Make ctrl-click equivalent of middle click on links. Make shift-click
	save the link. Fixes bug #110786.

	* src/ephy-window.c: (tab_context_menu_cb):

	Fix context_menu function return value type.

2003-12-07  Marco Pesenti Gritti  <marco@gnome.org>

	* Makefile.am:
	* NEWS:
	* configure.in:

	Update for 1.1.1

2003-12-07  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/print.glade:
	* data/ui/epiphany-ui.xml:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/print-dialog.c: (ephy_print_info_free),
	(ephy_print_get_print_info), (ephy_print_dialog_response_cb),
	(print_filechooser_response_cb),
	(ephy_print_dialog_browse_button_cb),
	(ephy_print_setup_dialog_close_button_cb), (ephy_print_dialog_new),
	(ephy_print_setup_dialog_new):
	* embed/print-dialog.h:
	* src/ephy-nautilus-view.c: (ephy_nautilus_view_new_component),
	(gnv_cmd_file_print):
	* src/ephy-nautilus-view.h:
	* src/ephy-shell.c: (ephy_shell_get_type), (ephy_shell_class_init),
	(ephy_automation_factory_cb), (ephy_automation_factory_new),
	(ephy_shell_init), (server_timeout), (ephy_shell_startup),
	(ephy_shell_finalize), (ephy_shell_new_tab),
	(ephy_shell_get_session), (ephy_shell_get_bookmarks),
	(ephy_shell_get_toolbars_model), (ephy_shell_get_bookmarks_editor),
	(ephy_shell_get_history_window),
	(ephy_shell_get_print_setup_dialog), (ephy_shell_delete_on_exit):
	* src/ephy-shell.h:
	* src/ephy-window.c: (ephy_window_set_print_preview),
	(ephy_window_print):
	* src/ephy-window.h:
	* src/window-commands.c: (window_cmd_file_print_setup),
	(window_cmd_file_print_preview):
	* src/window-commands.h:

	Split print dialogue in print setup and actual print, and move
	print preview into the menus too. Made print setup a global dialogue,
	print a per-window dialogue.

	* lib/ephy-dialog.c: (set_value_from_pref), (set_pref_from_value),
	(set_value_from_combobox), (set_combo_box_from_value),
	(set_radiobuttongroup_from_value), (set_pref_from_info_and_emit),
	(togglebutton_clicked_cb), (radiobutton_clicked_cb),
	(spinbutton_timeout_cb), (changed_cb), (init_props), (load_info),
	(save_info), (impl_show), (ephy_dialog_set_size_group),
	(ephy_dialog_construct), (run_response_cb), (ephy_dialog_run),
	(ephy_dialog_set_parent), (ephy_dialog_class_init),
	(ephy_dialog_new_with_parent):
	* lib/ephy-dialog.h:
	* src/language-editor.c: (language_editor_class_init):
	* src/language-editor.h:
	* src/pdm-dialog.c: (pdm_dialog_init):
	* src/prefs-dialog.c: (fonts_language_changed_cb),
	(create_fonts_language_menu), (prefs_dialog_init),
	(prefs_language_more_button_clicked_cb):

	Slight api change; port callers.

2003-12-02  David Bordoley  <bordoley@msu.edu>

	* help/C/epiphany.xml:
	
	New Securing and snake oil certificates section :P
	New keybindings section. Update the prefs section
	and download section to match actual ui
	patch from Piers Cornwell <piers@myrealbox.com>

2003-12-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Fix a mem leak (ported from galeon).

2003-12-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_type),
	(ephy_embed_shell_finalize), (ephy_embed_shell_get_favicon_cache),
	(ephy_embed_shell_get_global_history),
	(ephy_embed_shell_get_downloader_view), (load_mime_from_xml),
	(ephy_embed_shell_init), (ephy_embed_shell_class_init):
	* embed/ephy-embed-shell.h:
	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* src/ephy-tab.c: (ephy_tab_init):

	Misc cleanups. Remove a duplicated signal from EphyEmbed.

2003-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-state.c: (sync_expander_cb), (ephy_state_add_expander):

	Use notify::expanded to persist expander state. Bug found by Crispin.

2003-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialog.cpp:

	Remove unused variable.

2003-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:

	Remove unneccessary _() call.

2003-12-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Add some missing NULL checks.

2003-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-spinner.c:

	Remove unused includes.

2003-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:

	Epiphany is now 100% fat-free.... err... free of
	deprecated widgets. Add -DGTK_DISABLE_DEPRECATED
	flag back again when in maintainer mode.

2003-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:

	Port from optionmenu to new GtkComboBox.

2003-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:
	* src/pdm-dialog.c: (show_cookies_properties):

	Fix strftime(3) usage.

2003-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c: (pdm_cmd_delete_selection), (compare_cookies):

	Fix two crashers.

2003-12-03  Piers Cornwell  <piers@myrealbox.com>

	* src/pdm-dialog.c: (show_cookies_properties):

	Improve cookie properties dialogue for bug #125498.

2003-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (set_info_from_pref):

	Set sensitivity from gconf key writability, and do it right.

2003-12-02  David Bordoley  <bordoley@msu.edu>

	* help/C/epiphany.xml:
	
	More cleanups. Added prefs section and downloader
	section. Still needs work to be brought 100%
	up2date.
	patch from Piers Cornwell <piers@myrealbox.com>

2003-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Add /system/http_proxy to list of directories to monitor.

2003-12-02  Xan Lopez  <xan@masilla.org>

	* data/mime-types-permissions.xml:

	Move quite a lot of things from unsafe to safe, still some to go.

2003-12-01  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-shell.c: (ephy_shell_get_history_window):

	pass the shell to the callbacks as expected. Fix warnings.

2003-12-01  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Handle case of get_location on an unrealized widget

2003-11-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c:

	Update my email address.

2003-11-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/language-editor.c: (language_editor_add):

	Fix mem leak introduced by last commit.

2003-11-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c:

	Remove gtkoptionmenu.h include.

	* src/language-editor.c: (language_editor_add):
	* src/prefs-dialog.c: (create_language_menu):

	Make languages list unique; don't allow to add an entry
	already in the list.

2003-11-30  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* lib/widgets/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Readd gtk deprecates (only in maintainer mode).

	* src/ephy-location-action.c: (sync_editable):

	Use not deprecated api.

	* lib/ephy-dialog.c: (set_value_from_info), (set_info_from_value),
	(connect_signals), (init_props):

	Remove optionmenu deprecated control.

2003-11-30  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-lockdown.schemas.in:

	Added disable_unsafe_protocols and additional_safe_protocols keys.

2003-11-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* data/glade/epiphany.glade:
	* data/glade/prefs-dialog.glade:
	* embed/downloader-view.c: (downloader_view_build_ui):
	* embed/ephy-embed-dialog.c: (ephy_embed_dialog_new_with_parent):
	* embed/ephy-encodings.c: (ephy_encodings_get_detectors):
	* embed/ephy-encodings.h:
	* embed/find-dialog.c: (update_navigation_controls),
	(set_properties), (impl_show), (find_dialog_class_init),
	(find_dialog_init), (find_dialog_new_with_parent):
	* embed/print-dialog.c: (impl_show), (print_dialog_init),
	(print_dialog_new_with_parent), (print_get_info):
	* lib/ephy-dialog.c: (ephy_dialog_get_type), (lookup_info),
	(set_sensitivity), (set_value_from_pref), (set_pref_from_value),
	(set_value_from_editable), (set_value_from_optionmenu),
	(set_value_from_combobox), (get_radio_button_active_index),
	(set_value_from_radiobuttongroup), (set_value_from_spin_button),
	(set_value_from_togglebutton), (set_value_from_info),
	(set_editable_from_value), (get_index_from_value),
	(set_optionmenu_from_value), (compare_values),
	(set_combo_box_from_value), (set_radiobuttongroup_from_value),
	(set_spin_button_from_value), (set_togglebutton_from_value),
	(set_info_from_value), (set_pref_from_info),
	(togglebutton_clicked_cb), (radiobutton_clicked_cb),
	(spinbutton_timeout_cb), (spinbutton_changed_cb), (changed_cb),
	(set_info_from_pref), (connect_signals), (disconnect_signals),
	(init_props), (load_info), (save_info), (setup_default_size),
	(dialog_destroy_cb), (impl_construct), (impl_show),
	(ephy_dialog_set_modal), (ephy_dialog_add_enum),
	(ephy_dialog_set_data_column), (ephy_dialog_set_pref),
	(ephy_dialog_set_size_group), (ephy_dialog_construct),
	(ephy_dialog_show), (ephy_dialog_run), (ephy_dialog_get_control),
	(ephy_dialog_get_value), (ephy_dialog_set_value), (free_prop_info),
	(ephy_dialog_init), (ephy_dialog_dispose), (ephy_dialog_finalize),
	(ephy_dialog_set_parent), (ephy_dialog_set_property),
	(ephy_dialog_get_property), (ephy_dialog_class_init),
	(ephy_dialog_new), (ephy_dialog_new_with_parent):
	* lib/ephy-dialog.h:
	* lib/ephy-file-chooser.c: (ephy_file_chooser_new):
	* src/ephy-encoding-dialog.c: (sync_embed_cb),
	(sync_parent_window_cb), (activate_choice),
	(view_node_selected_cb), (view_node_activated_cb),
	(ephy_encoding_dialog_init), (ephy_encoding_dialog_new):
	* src/ephy-shell.c: (ephy_shell_finalize),
	(ephy_shell_get_pdm_dialog), (ephy_shell_get_prefs_dialog):
	* src/ephy-shell.h:
	* src/language-editor.c: (language_editor_get_type),
	(language_editor_class_init), (language_editor_update_pref),
	(language_editor_add_button_clicked_cb),
	(language_editor_set_view), (language_editor_init),
	(language_editor_new), (language_editor_set_model),
	(language_editor_add):
	* src/language-editor.h:
	* src/pdm-dialog.c: (pdm_dialog_show_help),
	(action_treeview_selection_changed_cb), (setup_action),
	(cookies_treeview_selection_changed_cb),
	(pdm_dialog_cookies_construct), (pdm_dialog_passwords_construct),
	(pdm_dialog_init), (show_cookies_properties):
	* src/prefs-dialog.c: (prefs_dialog_get_type),
	(prefs_dialog_class_init), (prefs_dialog_show_help),
	(setup_font_combo), (fonts_language_combo_changed_cb),
	(create_fonts_language_menu), (create_node_combo),
	(language_combo_changed_cb), (create_language_menu),
	(get_download_button_label), (create_download_path_label),
	(prefs_dialog_init), (prefs_dialog_response_cb),
	(set_homepage_entry), (prefs_homepage_current_button_clicked_cb),
	(prefs_homepage_blank_button_clicked_cb),
	(language_dialog_changed_cb),
	(prefs_language_more_button_clicked_cb),
	(download_path_response_cb),
	(prefs_download_path_button_clicked_cb):
	* src/prefs-dialog.h:
	* src/window-commands.c: (window_cmd_edit_prefs):

	Improved API and implementation of EphyDialog. Add support for
	new combo box, and removed optionmenu.

	Port all dialogues to new API and use combobox instead of optionmenus.

2003-11-30 Chris Lahey <clahey@ximian.com>
	   Marco Pesenti Gritti  <marco@gnome.org>

	* data/Makefile.am:
	* data/epiphany-lockdown.schemas.in:
	* src/ephy-main.c: (main):
	* src/ephy-tab.c: (ephy_tab_new_window_cb), (ephy_tab_size_to_cb):
	* src/ephy-window.c: (update_chromes_visibility), (update_chrome),
	(ephy_window_fullscreen), (ephy_window_unfullscreen),
	(show_embed_popup), (update_layout_toggles), (chrome_notifier),
	(ephy_window_init), (ephy_window_finalize),
	(ephy_window_request_chrome), (ephy_window_set_print_preview),
	(ephy_window_show), (print_dialog_preview_cb):
	* src/ephy-window.h:
	* src/ppview-toolbar.c: (ppview_toolbar_set_window),
	(toolbar_cmd_ppv_close):
	* src/window-commands.c: (window_cmd_view_bookmarks_bar),
	(window_cmd_view_toolbar), (window_cmd_view_statusbar):

	Implement lockdown pref to not allow javascript to modify
	chromes. Do necessary changes to chromes code to make
	it possible.

2003-11-28  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/downloader-view.c: (status_icon_activated),
	(seconds_remaining_total), (update_status_icon),
	(download_changed_cb), (downloader_view_add_download):

	Show total downloads and time in the tray icon tooltip

2003-11-28  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_get_type),
	(proxy_menu_activate_cb), (combo_changed_cb), (sync_zoom_cb),
	(ephy_zoom_control_init), (ephy_zoom_control_set_tooltip),
	(ephy_zoom_control_class_init), (ephy_zoom_control_finalize):
	* lib/widgets/ephy-zoom-control.h:

	Port from option menu to GtkComboBox.

2003-11-28  Xan Lopez  <xan@masilla.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:

	Do not blindly overwrite when downloading a file with the same
	name than a local one, append a number after the name.
	Fixes (more or less) #12775

2003-11-27  Piers Cornwell  <piers@myrealbox.com>

	* data/glade/prefs-dialog.glade:

	Fix some mnemonics, and make some mnemonics work by
	assigning a mnemonic_widget.

2003-11-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyContentPolicy.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:

	Implement disabling unsafe protocols for lock-down mode.

2003-11-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_finalize),
	(ephy_shell_get_history_window), (ephy_shell_get_pdm_dialog):
	* src/ephy-shell.h:
	* src/pdm-dialog.c: (pdm_dialog_response_cb):
	* src/pdm-dialog.h:
	* src/window-commands.c: (window_cmd_edit_personal_data):

	Make PDM dialogue a singleton.

2003-11-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-cookie-manager.c: (ephy_cookie_copy),
	(ephy_cookie_manager_remove_cookie):
	* embed/ephy-cookie-manager.h:
	* embed/ephy-password-manager.c: (ephy_password_info_copy):
	* embed/ephy-password-manager.h:
	* embed/ephy-permission-manager.c: (ephy_permission_info_copy):
	* embed/ephy-permission-manager.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Mark parameters "const" where appropriate.

	* src/pdm-dialog.c: (pdm_cmd_delete_selection), (compare_cookies),
	(cookie_to_iter), (cookie_added_cb), (cookie_changed_cb),
	(cookie_deleted_cb), (cookies_cleared_cb),
	(pdm_dialog_fill_cookies_list), (pdm_dialog_fill_passwords_list),
	(pdm_dialog_init):

	Make the cookies list auto-updating.

2003-11-26  Marco Pesenti Gritti  <marco@gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c: (update_edit_actions_sensitivity),
	(edit_menu_show_cb), (show_embed_popup):

	Restore clipboard actions in input context menu.
	Show it only if mozilla is recent enough though.

2003-11-26  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/downloader-view.c: (update_download_row),
	(download_changed_cb), (downloader_view_add_download),
	(downloader_view_build_ui):
	* lib/widgets/ephy-cell-renderer-progress.c:

	Try out a different layout for downloads rows.
	Make the file column expand.

2003-11-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-cookie-manager.c: (ephy_cookie_manager_base_init):
	* embed/ephy-cookie-manager.h:
	* embed/ephy-permission-manager.c:
	(ephy_permission_manager_base_init):
	* embed/mozilla/EphySingle.cpp:

	Change signal names to be unique for interfaces on the same object.

2003-11-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-cookie-manager.c: (ephy_cookie_manager_base_init):

	Fix marshaller type.

2003-11-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySingle.cpp:

	Make it compile with mozilla < 1.5.

2003-11-24  Xan Lopez  <xan@masilla.org>

	* embed/downloader-view.c: (download_changed_cb):

	Use gnome_vfs_format_file_size_for_display to display size, put
	Unknown when size/remaining time are unknown instead of weird
	numbers.

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-permission-manager.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphySingle.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:
	* src/ephy-encoding-dialog.c: (sync_embed_encoding),
	(automatic_toggled_cb), (ephy_encoding_dialog_init):

	Implemented cookie and permissions observer used to actually
	send notifications on EphyCookieManager and EphyPermissionManager
	signals.

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/nsUnicharUtils.cpp:
	* embed/mozilla/nsUnicharUtils.h:

	Re-sync with mozilla.

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyEventListener.cpp:
	* embed/mozilla/ExternalProtocolHandlers.cpp:
	* embed/mozilla/ExternalProtocolHandlers.h:
	* embed/mozilla/ExternalProtocolService.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:

	Get rid of NS_INIT_ISUPPORTS() macros in constructors;
	it's not been needed since mozilla 1.3.

2003-11-24  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:

	No need to handle mailto registration separately.

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:

	Delete the obsolete mime-ask-action dialogue from glade file.

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c: (pdm_dialog_get_type), (pdm_dialog_class_init),
	(action_treeview_selection_changed_cb), (pdm_cmd_delete_selection),
	(pdm_key_pressed_cb), (pdm_dialog_remove_button_clicked_cb),
	(setup_action), (cookies_treeview_selection_changed_cb),
	(pdm_dialog_cookies_construct), (cookie_added_cb),
	(cookie_changed_cb), (cookie_deleted_cb), (cookies_cleared_cb),
	(pdm_dialog_fill_cookies_list), (pdm_dialog_cookies_destruct),
	(pdm_dialog_cookie_add), (pdm_dialog_cookie_remove),
	(pdm_dialog_passwords_construct), (password_added_cb),
	(password_changed_cb), (password_deleted_cb),
	(passwords_cleared_cb), (pdm_dialog_fill_passwords_list),
	(pdm_dialog_passwords_destruct), (pdm_dialog_password_add),
	(pdm_dialog_password_remove), (sync_notebook_tab),
	(pdm_dialog_init), (pdm_dialog_finalize),
	(show_cookies_properties),
	(pdm_dialog_cookies_properties_button_clicked_cb),
	(pdm_dialog_response_cb), (pdm_dialog_new):

	Refactored pdm dialogue code. Use new boxed cookie/password info
	types. Hook up to the single signals to get notified on password/
	cookie updates [actual updating code to be written :)].

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Added $(mimepermission_DATA) to EXTRA_DIST.

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/Makefile.am:

	Added egg tray icon headers to IGNORE_HFILES.

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Fix typo in EXTRADIST: s/check_mime/check-mime/

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:

	Remove ephy-types.h from Makefile.am, it's long gone.

2003-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/epiphany-docs.sgml:

	s/[Insert name here]/Epiphany/ 

2003-11-24  David Bordoley  <bordoley@msu.edu>

	* help/C/epiphany.xml:	
	
	s/window/tab in the open link in new tab section.

2003-11-24  David Bordoley  <bordoley@msu.edu>

	* help/C/epiphany.xml:

	A big chuck of doc neatening and organization
	plus some new stuff...

	patch from Piers Cornwell <piers@myrealbox.com>
	aka spark, with a few quick fixes from me.

2003-11-24  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/BaseProtocolContentHandler.cpp:
	* embed/mozilla/BaseProtocolContentHandler.h:
	* embed/mozilla/BaseProtocolHandler.cpp:
	* embed/mozilla/BaseProtocolHandler.h:

	Remove.

	* embed/mozilla/ExternalProtocolHandlers.cpp:
	* embed/mozilla/ExternalProtocolHandlers.h:

	Merge base implementations here. No need
	of using 200 files for a work around of
	mozilla problems ;)

	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:

	Use ftp CID directly from mozilla headers
	instead of doing a copy of it in ours.

2003-11-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-export.c:
	(ephy_bookmarks_export_rdf):

	When exporting to RDF, write all bookmarks, not just every
	second bookmark.

2003-11-23  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/ExternalProtocolService.cpp:
	* embed/mozilla/MozRegisterComponents.cpp:

	Do not build our externla protocol service
	with mozilla 1.6. It has his own and api is changed.

2003-11-23  Xan Lopez  <xan@masilla.org>

	* src/prefs-dialog.c: (get_download_button_label),
	(download_path_response_cb),
	(prefs_download_path_button_clicked_cb):

	Use EphyFileChooser API, convert download path to UTF8.

2003-11-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Make it compile with mozilla 1.4 and 1.4.1 again.

2003-11-23  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/Makefile.am:
	* embed/downloader-view.c: (status_icon_activated),
	(show_status_icon), (downloader_view_init),
	(downloader_view_finalize), (download_dialog_delete_cb):
	* lib/egg/Makefile.am:
	* lib/egg/update-from-egg.sh:

	Very basic tray icon for downloader.

2003-11-22  Marco Pesenti Gritti  <marco@gnome.org>

	* data/art/Makefile.am:
	* data/art/epiphany-bookmark-page.png:
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_construct):
	* src/ephy-history-window.c:
	* src/ephy-window.c:

	Use icon theme icon for add bookmark

2003-11-22  Marco Pesenti Gritti  <marco@gnome.org>

	* doc/reference-howto.txt:

	Add a tip on how to clean docs.

	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany.types:
	* doc/reference/tmpl/ephy-cookie-manager.sgml:
	* doc/reference/tmpl/ephy-embed-factory.sgml:
	* doc/reference/tmpl/ephy-embed-single.sgml:
	* doc/reference/tmpl/ephy-password-manager.sgml:
	* doc/reference/tmpl/ephy-permission-manager.sgml:

	Add some files chpe documented to the build.

	* embed/ephy-embed-factory.c:

	Document

2003-11-22  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-location-action.c: (sync_editable), (connect_proxy),
	(ephy_location_action_set_property),
	(ephy_location_action_get_property),
	(ephy_location_action_class_init), (ephy_location_action_init):
	* src/toolbar.c: (update_location_editable),
	(arbitrary_url_notifier), (toolbar_setup_actions),
	(toolbar_set_window), (toolbar_finalize):

	Implement arbitrary url lockdown pref

2003-11-22  Marco Pesenti Gritti  <marco@gnome.org>

	* doc/reference/Makefile.am:
	* embed/Makefile.am:
	* embed/ephy-embed-persist.c: (ephy_embed_persist_save):
	* embed/ephy-embed-persist.h:
	* embed/ephy-embed-popup-control.c: (save_url),
	(embed_popup_set_image_as_background_cmd):
	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_embed_single):
	* embed/ephy-embed.c:
	* embed/ephy-embed.h:
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download):
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed-single.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/Makefile.am:
	* src/ephy-nautilus-view.c: (ephy_nautilus_view_instance_init):
	* src/ephy-tab.c: (ephy_tab_init):
	* src/popup-commands.c: (save_property_url),
	(popup_cmd_set_image_as_background):
	* src/window-commands.c: (window_cmd_file_save_as),
	(save_temp_source):

	Add a factory to create embed objects and use it.
	Deal with dependency of mozilla-embed and mozilla-embed-persist
	on mozilla-embed-single internally.

2003-11-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Fix cookie deletion; use do_GetService instead of
	do_CreateInstance.

2003-11-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_class_init),
	(ephy_embed_single_load_proxy_autoconf):

	Added API documentation.

2003-11-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* embed/ephy-cookie-manager.c: (ephy_cookie_get_type),
	(ephy_cookie_new), (ephy_cookie_copy), (ephy_cookie_free),
	(ephy_cookie_manager_get_type), (ephy_cookie_manager_base_init),
	(ephy_cookie_manager_list_cookies),
	(ephy_cookie_manager_remove_cookie), (ephy_cookie_manager_clear):
	* embed/ephy-cookie-manager.h:
	* embed/ephy-embed-single.c: (ephy_embed_single_get_type),
	(ephy_embed_single_class_init), (ephy_embed_single_clear_cache),
	(ephy_embed_single_set_offline_mode),
	(ephy_embed_single_load_proxy_autoconf),
	(ephy_embed_single_get_font_list):
	* embed/ephy-embed-single.h:
	* embed/ephy-password-manager.c: (ephy_password_info_get_type),
	(ephy_password_info_new), (ephy_password_info_copy),
	(ephy_password_info_free), (ephy_password_manager_get_type),
	(ephy_password_manager_add), (ephy_password_manager_remove),
	(ephy_password_manager_list):
	* embed/ephy-password-manager.h:
	* embed/ephy-permission-manager.c: (ephy_permission_info_get_type),
	(ephy_permission_info_new), (ephy_permission_info_copy),
	(ephy_permission_info_free), (ephy_permission_manager_get_type),
	(ephy_permission_manager_base_init), (ephy_permission_manager_add),
	(ephy_permission_manager_remove), (ephy_permission_manager_clear),
	(ephy_permission_manager_test), (ephy_permission_manager_list):
	* embed/ephy-permission-manager.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed-single.h:
	* embed/mozilla/mozilla-notifiers.cpp:
	* src/Makefile.am:
	* src/pdm-dialog.c: (pdm_dialog_get_type), (pdm_dialog_cookie_add),
	(pdm_dialog_password_add), (pdm_dialog_cookie_remove),
	(pdm_dialog_password_remove), (pdm_dialog_cookies_free),
	(pdm_dialog_passwords_free), (pdm_dialog_init), (pdm_dialog_new),
	(show_cookies_properties),
	(pdm_dialog_cookies_properties_button_clicked_cb):
	* src/pdm-dialog.h:

	New interfaces: EphyCookieManager, EphyPermissionManager,
	EphyPasswordManager.
	Port all callers to new interfaces.
	Change linking order to make it link.

	Only set autoconf proxy url if it's non-empty.

2003-11-21  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:

	Pass a source based on filename instead of pixbuf
	for our own icon set, so that they are created only
	when necessary.
	Add code to insert icon theme icons in our icon set
	and use icon theme icons when possible.

	* src/ephy-window.c:

	Update icons id.

2003-11-20  Marco Pesenti Gritti  <marco@gnome.org>

	* data/glade/prefs-dialog.glade:

	Hide Open downloads pref. Since both behaviors are available
	maybe it's not necessary at all. Also I feel it confusing to
	have only one of the cases respecting it. I guess better
	to wait feedback on releases before making a call on this.

	* src/ephy-window.c:

	No more need of ... on dowload context menu

2003-11-20  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_class_init):
	* embed/ephy-embed-single.h:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* lib/ephy-marshal.list:

	Implement an handle_content signal to allow to write
	plugins to support external download managers.

2003-11-20  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-command-manager.c: (ephy_command_manager_base_init):
	* embed/ephy-embed-persist.c: (ephy_embed_persist_class_init):
	* embed/ephy-embed.c: (ephy_embed_base_init):

	Not necessary to store signal id in an array for interfaces.

2003-11-20  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-session.c: (ephy_session_save):

	hrm misplaced free in last commit

2003-11-20  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-session.c: (ephy_session_save):

	Make xml saving low disk safe.

2003-11-20  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-window.c: (show_embed_popup):

	Fix unrefing of context menu event

2003-11-20  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	If it's not possible to go up fails do not assert, just fail
	silently.

2003-11-19  Marco Pesenti Gritti  <marco@gnome.org>

	* Makefile.am:
	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/tmpl/config.sgml:

	Do not document config.h ;)
	Reenable docs build.

2003-11-19  Marco Pesenti Gritti  <marco@gnome.org>

	* doc/reference/.cvsignore:
	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany.types:
	* doc/reference/tmpl/config.sgml:
	* doc/reference/tmpl/ephy-session.sgml:
	* doc/reference/tmpl/ephy-shell.sgml:

	Complete docs base implementation. Should work
	more or less.

	* embed/Makefile.am:
	* lib/Makefile.am:
	* src/Makefile.am:

	Cleanup a bit libs build and use a static lib
	also for the src/ code so that we can use it
	for documents.

	* src/ephy-nautilus-view.c:

	Bad chpe forgot to modify func signature.

2003-11-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.h:
	* embed/ephy-download.h:
	* embed/ephy-embed-dialog.h:
	* embed/ephy-embed-event.h:
	* embed/ephy-embed-persist.h:
	* embed/ephy-embed-popup-control.h:
	* embed/ephy-embed-shell.h:
	* embed/ephy-embed-single.h:
	* embed/ephy-encodings.h:
	* embed/ephy-favicon-cache.h:
	* embed/ephy-history.h:
	* embed/find-dialog.h:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/mozilla-download.h:
	* embed/mozilla/mozilla-embed-persist.h:
	* embed/mozilla/mozilla-embed-single.h:
	* embed/print-dialog.h:
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-toolbar-editor.h:
	* lib/egg/egg-toolbars-model.h:
	* lib/ephy-debug.h:
	* lib/ephy-dialog.h:
	* lib/ephy-dnd.h:
	* lib/ephy-file-chooser.h:
	* lib/ephy-node-db.h:
	* lib/ephy-node-filter.h:
	* lib/ephy-node.h:
	* lib/ephy-prefs.h:
	* lib/ephy-state.h:
	* lib/ephy-string.h:
	* lib/ephy-zoom.h:
	* lib/widgets/ephy-arrow-toolbutton.h:
	* lib/widgets/ephy-cell-renderer-progress.h:
	* lib/widgets/ephy-ellipsizing-label.h:
	* lib/widgets/ephy-location-entry.h:
	* lib/widgets/ephy-node-view.h:
	* lib/widgets/ephy-search-entry.h:
	* lib/widgets/ephy-spinner.h:
	* lib/widgets/ephy-tree-model-node.h:
	* lib/widgets/ephy-tree-model-sort.h:
	* lib/widgets/ephy-zoom-action.h:
	* lib/widgets/ephy-zoom-control.h:
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmark-properties.h:
	* src/bookmarks/ephy-bookmarks-editor.h:
	* src/bookmarks/ephy-bookmarks-menu.h:
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-new-bookmark.h:
	* src/bookmarks/ephy-topic-action.h:
	* src/bookmarks/ephy-topics-selector.h:
	* src/ephy-automation.h:
	* src/ephy-completion-model.h:
	* src/ephy-encoding-dialog.h:
	* src/ephy-encoding-menu.h:
	* src/ephy-extensions-manager.h:
	* src/ephy-favicon-action.h:
	* src/ephy-favorites-menu.h:
	* src/ephy-go-action.h:
	* src/ephy-history-window.h:
	* src/ephy-location-action.h:
	* src/ephy-nautilus-view.h:
	* src/ephy-navigation-action.h:
	* src/ephy-notebook.h:
	* src/ephy-session.h:
	* src/ephy-shell.h:
	* src/ephy-tab.h:
	* src/ephy-tabs-menu.h:
	* src/ephy-toolbars-model.h:
	* src/ephy-window.h:
	* src/language-editor.h:
	* src/pdm-dialog.h:
	* src/ppview-toolbar.h:
	* src/prefs-dialog.h:
	* src/statusbar.h:
	* src/toolbar.h:

	Mark all EphyFooPrivate structs as private for gtk-doc.

2003-11-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c:

	Forgot to remove signal IDs from enum when I removed the signals.

2003-11-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (ephy_dialog_set_parent):
	* src/ephy-encoding-dialog.c: (sync_parent_window_cb),
	(ephy_encoding_dialog_init), (ephy_encoding_dialog_class_init),
	(ephy_encoding_dialog_new):

	Make encodings dialogue transient.

2003-11-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init),
	(ephy_embed_get_location), (ephy_embed_get_link_message),
	(ephy_embed_get_js_status):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-nautilus-view.c: (ephy_nautilus_view_instance_init),
	(gnv_embed_link_message_cb):
	* src/ephy-nautilus-view.h:
	* src/ephy-tab.c: (ephy_tab_set_link_message),
	(ephy_tab_link_message_cb), (ephy_tab_init):

	Re-use some more signals from GtkMozEmbed; fix getter_Copies usage in
	mozilla-embed.cpp. Fixes bug #127335.

2003-11-18  Marco Pesenti Gritti  <marco@gnome.org>

	* Makefile.am:
	* configure.in:
	* doc/Makefile.am:
	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany.types:

	Begin of gtk-doc support

2003-11-17  Marco Pesenti Gritti  <marco@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_import):

	Api fix

2003-11-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:
	* lib/ephy-state.c: (ephy_state_add_paned), (expander_activate_cb),
	(ephy_state_add_expander):
	* lib/ephy-state.h:

	Ported the Crispin's GtkNSSClientAuthDialogs from galeon.
	Changes:
	- use GtkExpander instead of the CDDB disclosure thingy
	- persist state in ephy-state
	- assing a mnemonic to expander label.

2003-11-17  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Pass WebPageDescriptor, not CurrentDescriptor.
	This way we dont refetch page on post.

2003-11-17  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:

	Resync with galeon.

	* embed/mozilla/mozilla-embed-single.cpp:

	Header name change

2003-11-16  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-shell.c: (toolwindow_show_cb), (toolwindow_hide_cb),
	(ephy_shell_get_bookmarks_editor):

	Do not access session from priv struct but use get_session,
	so it's properly initialized-> Fix epiphany -b crash

2003-11-16  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-session.c: (get_session_filename), (ephy_session_init),
	(ephy_session_finalize):
	* src/ephy-shell.c: (save_yourself_cb), (die_cb),
	(gnome_session_init), (ephy_shell_startup):

	Move gnome session code in the shell.

2003-11-16  Xan Lopez  <xan@masilla.org>

	* data/glade/prefs-dialog.glade:
	* src/prefs-dialog.c: (prefs_dialog_finalize),
	(get_download_button_label), (create_download_path_label),
	(prefs_dialog_init), (prefs_language_more_button_clicked_cb),
	(download_path_response_cb),
	(prefs_download_path_button_clicked_cb):

	Implement UI for default download path and auto open downlads
	prefs for the downloader.

2003-11-15  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:
	* embed/Makefile.am:
	* embed/mozilla/Makefile.am:
	* lib/Makefile.am:
	* lib/widgets/Makefile.am:
	* src/Makefile.am:

	Enable deprecates and werror only in maintainer mode
	(in the way suggested by Jamesh).

2003-11-14  Marco Pesenti Gritti  <marco@gnome.org>

	* data/GNOME_Epiphany_Automation.server.in:
	* data/GNOME_Epiphany_NautilusView.server.in:

	Use an unique factory for both interfaces.

	* data/ui/Makefile.am:

	Do not try to merge translations in nautilus xml.

	* src/ephy-nautilus-view.c: (disconnected_idle),
	(control_disconnected_cb), (ephy_nautilus_view_instance_init),
	(ephy_nautilus_view_finalize):

	Unref the view on control disconnected, not on finalize.

	* src/ephy-main.c: (main):

	Add a server mode argument, used internally by bonobo interface.
	Free popt context only when no more necessary.

	* src/ephy-automation.c:
	* src/ephy-automation.h:
	* src/ephy-shell.c: (ephy_nautilus_view_new),
	(ephy_automation_factory_cb), (ephy_automation_factory_new),
	(ephy_shell_init), (path_from_command_line_arg), (open_urls),
	(server_timeout), (ephy_shell_startup), (ephy_shell_finalize),
	(ephy_shell_new_tab):
	* src/ephy-shell.h:

	When running in server mode unref (and so exit) on a timeout.

	Expand args passed to the command line.

2003-11-13  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_embed_single):
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed-single.h:
	* src/ephy-shell.h:

	Put back borked mozilla alert.

2003-11-13  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-shell.c: (ephy_shell_finalize):

	Looks like we need to unregister factory since
	we initialized it by ourself.

2003-11-13  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:
	* src/ephy-main.c: (main):
	* src/ephy-shell.c: (ephy_shell_init), (ephy_shell_startup),
	(ephy_shell_finalize), (ephy_shell_get_session),
	(ephy_shell_get_extensions_manager):
	* src/ephy-window.c: (ensure_default_icon), (ephy_window_init):

	Rework shell services initialization so that it happen either
	on every instance, before the automation stuff is used, either
	when they are requested. This appear to fix the crash with two
	instances runned simultaneously.
	(Christian I'm not quite sure this is ok for plugins manager, if
	there are problems let me know.)

2003-11-13  Marco Pesenti Gritti  <marco@gnome.org>

	* idl/EphyAutomation.idl:
	* src/ephy-automation.c: (ephy_automation_factory_cb),
	(ephy_automation_factory_new), (impl_ephy_automation_loadurl):
	* src/ephy-automation.h:
	* src/ephy-main.c: (shell_weak_notify), (main):
	* src/ephy-shell.c: (ephy_shell_error_quark), (ephy_shell_init),
	(init_services), (open_urls), (ephy_shell_startup),
	(ephy_shell_finalize), (ephy_shell_new):
	* src/ephy-shell.h:

	First stab at reorganizing initialization.
	Fix crashes when launching an epiphany instance while
	another once is still not initialized completely. It still
	doesnt open the second session correctly though.

2003-11-12  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	Silly typos, thanks crispin.

2003-11-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (toolbar_editor_response_cb):

	Link up toolbar editor help button.

2003-11-11  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/epiphany.glade:

	Set initial visibility to false, fixes a warning when showing the
	encodings dialogue.

2003-11-11  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_class_init):
	* embed/ephy-embed-single.h:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-embed.h:
	* src/ephy-nautilus-view.c: (gnv_embed_new_window_cb):
	* src/ephy-session.c: (write_ephy_window):
	* src/ephy-shell.c: (ephy_shell_init):
	* src/ephy-tab.c: (ephy_tab_size_to_cb):
	* src/ephy-window.c: (translate_default_chrome):

	Build xul dialogs using GtkWindow+GtkMozEmbed.
	Make src code simpler and fix a pair of bugs.

2003-11-10  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/Makefile.am:

	And add it to Makefile.am too.

2003-11-10  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/certificate-dialogs.glade:

	We really need the glade file from galeon too.

2003-11-10  Christian Persch  <chpe@cvs.gnome.org>

	New extensions API.

	* Makefile.am:
	* configure.in:
	* lib/Makefile.am:
	* lib/ephy-module-loader.c: (ephy_module_loader_get_type),
	(ephy_module_loader_new), (ephy_module_loader_load),
	(ephy_module_loader_unload), (ephy_module_loader_class_init),
	(ephy_module_loader_init), (ephy_module_loader_finalize),
	(ephy_module_loader_factory):
